welcome

Programming Guide

English Ver sion 1.01.016

Web: http://www.advantech.com/eAutomation

e-mail: info@advantech.com

Copyright© 2008, Advantech Industry Automation Group. All rights reserved.


About this manual

About this programming guide

Target Readers

The guide introduces the functions of Advantech BASPro and how to program with it. This guide is suitable for new and previous users.

If you are a new user

The step-by-step Quick Start Guide in the guide helps users get familiar with Advantech BASPro, including its architecture, application, development environment, etc. Please start with the first section, and get to know the product and the application development gradually.

If you have the experience of developing with BASPro

You can skip some basic information and read selectively. In this guide some application development skills, troubleshooting, and helpful tips are covered for your reference. We hope this guide be useful when you develop control logic.

@ Please note that the users are supposed to be familiar with Windows Operating Systems and Environment in this guide.

Contact Us

Technical support department

Advantech Headquarters
No. 1, Alley 20, Lane 26, Rueiguang Road
Neihu District, Taipei Taiwan 114.
Tel:886-2-2792-7818
Fax:886-2-2794-7301
www.advantech.com

Advantech Mainland China
Beijing
No. 7, 6th Street, Shang Di Zone, Hai-Dian District
100085
Tel: 86-10-6298-4346
Fax: 86-10-6298-4342
Free Hotline:
800-810-0345
800-810-8389
http://www.advantech.com.cn
Shanghai
19F, No. 398, Huaihai Road (Middle)
Tel: 86-21-6385-5555
Fax: 86-21-6385-2266

Advantech Taipei
Industrial Automation Group
4F No. 108-3, Ming-Chuan Road
Shing-Tien City, Taipei Taiwan 231.
Tel:886-2-2218-4567
Fax:886-2-2218-3650
Toll Free: 0800-55-77-99
Email: taiwan@advantech.com.tw

Advantech USA
Industrial Automation Group
Cincinnati, Ohio
(Local headquaters)
1320 Kemper Meadow Dr, Suite 500
Cincinnati, OH 45240, USA
Tel: 1-513-742-8895
Fax: 1-513-742-8892
Toll Free: 1-877-294-8989
RMA/Tech Support: 1-877-451-6868
E-mail: Info@advantech.com
http://www.advantech.com/ea


Introduction

Advantech BASPro Introduction

Advantech BASPro, specially designed for Building Automation, is a powerful, completely graphical development tool.


Product Overview

Advantech BASPro, specially designed for Building Automation, is a powerful, completely graphical development tool. Complicated control logic can be realized by drag-and-drop action. After some simple training, general engineering technicians will be able to develop control logic with Advantech BASPro, this will greatly reduce the cost of project development and shorten the development cycle.

As a completely graphical programming tool, Advantech BASPro provides over 80 built-in basic function blocks and almost 30 special blocks for building automation. In building automation field, Advantech BASPro can meet the requirements of developing various complicated control logic. In addition, the support of hardware autoscan function, remote monitoring/diagnosis function, is convenient for users to develop and integrate cross-region system. The built-in Web Server can display device running status by Web browser such as Internet Explorer. Holiday and schedule function allows users to configure device running schedule throughout a whole year, and it also supports to set device running schedule to 4 periods each day. The built-in time synchronization function let users realize device linkage operation.

Advantech BASPro provides Modbus TCP/RTU server/client function. Communication and control between BAS-3000 series DDC and the third part devices can be easily achieved via Ethernet. Seamless connection between BAS-3000 series DDC and Advantech WebAccess can be realized via Modbus protocol. Built-in Modbus function blocks makes BASPro easily integrate the third party hardware devices which support Modbus protocol.

Advantech BASPro provides abundant built-in function blocks, has powerful communication capability, and has a stable and effective running kernel program on DDC. These features enlarge the application range of BAS-3000 series DDC products. They can be used not only in building automation, but also in industrial automation, device monitoring, environment monitoring, etc.


Product Features

Advantech BASPro is an excellent graphical development tool. it provides abundant function blocks, supplies simple operation ability, it still has the following features:

Completely graphical programming

For completely graphical development environment, hardware configuration and control logic development are convenient and easy. Thus the project development period can be shortened and the cost can be reduced.

Remote maintenance function

Advantech BASPro supports the remote maintenance function. It supports remote upload/download control logic function. The product supports remote modifying, debugging, and monitoring status of controllers. Meanwhile it supports remote IP configuration of DDC controllers, which makes it convenient to develop cross-region monitor and control system.

Convenient holiday/schedule configuration function

Advantech BASPro supports the holiday/schedule configuration function, which allows users to plan out all the holidays in the year. This function still supports to set 4 numbers different running periods to control the system. The running periods can be distinguish between holidays and workdays. In addition, the electric power periods can be configured, the users can control the device running status by these parameters to reduce the cost .

Auto scan BAS-3000 Series DDC function

The built-in autoscan function allows users to scan BAS-3000 Series DDC in Ethernet. Then the users can get hardware status information and configure I/O parameters.

Hardware device linkage operation function

Device linkage can be easily designed by built-in function blocks. For example, the users can judge the status of indoor air conditioner (start, stop, or stand-by) by monitoring whether the window is open or not. This can be easily designed by drag-and-drop several function blocks to control pages.

Time synchronization function

The built-in time synchronization function can configure any BAS-3520 series DDC as time server or client, and still can configure an external accurate time source as time server. This function ensures the synchronous linkage, and can plan out accurate schedule.

Flexible and abundant function blocks

Advantech BASPro integrates control logic requirements into function blocks. Instead of programming control logic scripts, the users can develop complex control logic just by drag-and-drop action.

Powerful building automation function blocks

The function blocks designed for building automation can meet all kinds of requirements in building automation field, such as air conditioner control, power saving control, environment control, etc.

Abundant function blocks

The function blocks of Advantech BASPro can be divided into the following categories:

  • Various I/O blocks: local tags, Modbus Ethernet address tags, Modbus RTU address tags, internal tags, etc.

  • Logic function blocks: boolean operation, value comparison, trigger function, etc.

  • Math function blocks: basic operations (indexical, logarithm, extract, etc.), range conversion.

  • Time sequence control blocks: time delay, counter, timing, pulse function.

  • Data conversion blocks: conversions between data of different types, such as conversions between decimal data, binary data, and hexadecimal data.

  • Pre-set control function blocks: PID control blocks, device operation blocks, slope control blocks, alarm function blocks, etc.

  • Schedule blocks: time comparison, holidays identification and time period identification, etc.

  • Sequence control blocks: decide the sequence to start/stop each I/O device depending on the setting value and real value.

  • HVAC calculation blocks: dew point calculation, wet bulb temperature calculation, enthalpy calculation, air pressure calculation.


Installation

Software Installation, Modification, and Uninstall

In this Chapter, we will guide you through the Installation of Advantech BASPro Software.


Software Installation

First, insert the CD into your CD-ROM Drive, then run BASProSetup.exe on your CD to start installShield Wizard. It will guide you through the installation.

Step 1: Run BASProSetup.exe, and the following message appears:

Step 2: Click "Next," and the following message appears:

The default installation path is: C:\Program Files\Advantech\Advantech BASPro. You can click "Browse" to change the installation path.

Step 3: Click "Next," and the following message appears:

Step 4: Click "Next," and the following message including some System Information appears:

Step 5: Click "Next," and the software will automatically finish the installation.

After you have installed the software properly, Advantech Automation\Advantech BASPro\Advantech BASPro Builder, ..\Advantech BASPro Monitor, and ..\Advantech BASPro Manual will appear in the start menu.


Quick Start

To provide you with some basic ideas on project development, a simple, step-by-step BAS-3500 DDC application is provided in this chapter for your reference.


Designed Target and Steps

Design Target and Steps

Design Target

The demo project is a project with BAS-3520/BAS-3050 DO output demonstration. This control logic supports 2 groups of output, the second group DO is 5000 millisecond later than the first group.

After control logic running on hardware devices, you will see that DO LED on BAS-3050 controller will be on, five seconds later, DO LED on BAS-3520 controller will be on as well.

Function Blocks

To design this logic, users will use the following function blocks:

1. BAS-DO

2. Blink

3. OnDelay

Steps

How to develop this demo project can be displayed as follow,

Create a new project ->Design control logic ->Download project to DDC controller ->On-line debug and simulation.

In the following sections we will explain each step in detail.


Create a New Project

This section covers general procedures of creating a new project. Following this guide, users can create a simple BAS-3500 series DDC application project easily, and then can do monitoring or simulation.

Create a project

Click the "New project" [image] icon in the toolbar or "New project" in the "File" menu.

"Create a new project" dialog box appears:

Please key in the location where you want to save the project, you can click the [image] button to browse disk path, and then key in the project name.

Note: The project name and path cannot contain any special characters.

Click "OK," a new project node appears in the following window.

Add nodes

Right click project node, select "Add node" in the pop-up menu.

"Add a new node" dialog box appears.

For example, you can key in node name: "node," then click "OK," a new node and its variable list file will appear in the following window.

The nodeVar page, which is the node's variable list file, will be added into the software automatically.

Add pages

Right click node and select "Add page" in the pop-up menu.

"Add new control page" dialog box appears.

Note: Here suggests users to input control page name just in English.

Type the page name, then click "OK," a new control page appears in the main window and a sub-tree appears in the left window.

Insert function blocks in the control page

In the function blocks list window, select the function block (here we use BAS-DO), which you want to insert to the control page, with the left button of the mouse, then keep press the left button of the mouse and drag it to the control page.


Design Control Logic

Connections between function blocks

You can configure control logic by connection the function blocks on the control page. Also, you can simulate and debug the running status of control logic by BASPro simulation function.

On the left of the function block are the input connectors, while the output connectors are on the right. You can connect the output connectors to the input connectors.

If you want to change the direction of the line, you can build a inflexion point on the control page by pressing left button of the mouse. If you want to cancel the operation, just right click.

If you want to delete a connection, left click to select the line, then right click, select "Delete" in the pop-up menu. Refer to Function Blocks for detail.

Certain rules must be obeyed in connecting blocks. Connectors of different data type cannot be connected. Refer to Function Blocks for detail.

Logic design

The function blocks concerned in this demo are as follows:

BAS-DO function block: DO function block of BAS-3500 series DDC;

Blink function block: generates on/off signals in output connector depending on the PreV values.

OnDelay function block: creates a time delay when IN changes from 0 to 1. After the delay time (DT), if IN doesn't change, set Q to 1; If IN changes to 1, set Q to 0.

Follow the steps below to develop the whole logic:

1. In order to realize two groups of DO output, you have to use OnDelay block. Set DT connector of OnDelay to 5000ms;

2. Suppose the DO output signal is automatically generated in the example, Blink block is needed here. Set value of PreV connector of Blink to 8000ms;

3. Connect Q connector of Blink to IN connector of OnDelay and IN connectorof BAS-DO_4 in sequence;

4. Connect Q connector of OnDelay to IN connector of BAS-DO_2.

The designed control logic is as below:

Configure node properties

After control logic were designed OK, you will have to configure node properties. Left click and select "node," and right click, then select "Properties" in the pop-up menu.

The following dialog box appears.

Type IP address of BAS-3500 series DDC device. Change the running cycle depending on the complexity of your control logic. Generally, just keep 200ms as default.

Congratulations! A simple BAS-3500 series DDC application project has been successfully created!

Based on the above information, the users will know how to develop complicated projects by reading later chapters of this manual.

Set execution sequence of pages

If you have added multiple pages in the project, you will have to set the execution sequence of those pages (In the demo, there is only one page, you still need to select this "Page.fbl" to chosen list of control page order dialog).

Click "Page Order," and the following dialog box appears.

For add/remove pages, please refer to Function Blocks.


Download to DDC Controller

Download control logic to BAS-3500 series DDC device after you have insured that BAS-3500 series DDC device is correctly connected.

Connection between BAS-3520 and BAS-3050 uses plug and socket mode.

After the control logic pages are programmed OK, please download the control pages to DDC device. Select "Download" in "Online" menu, the following dialog box appears:

Select node name, then the IP address will appear automatically. Click "Connect" to connect DDC device. When the device is correctly connected, the following dialog box appears:

Select [image] and [image] buttons, all control pages, order.dat, and system file ModBus.ini will appear in the right list as below:

Click "Download" button, the software will automatically download all the select files to DDC device. And here will remind you to reset the page order if you have changed it.

The following dialog box appears when finished.

Click "Stop" then Click 'Restart' button to valid the control logic which you downloaded to DDC device just now. The control logic in DDC device is running with the new control logic, see the figure below:


Monitor and Debug

Monitor

You can monitor the running status of the device through BASPro Monitor program when control logic is running on DDC device. Select the node to monitor and then click "Monitor" in the "Online" menu to start BASPro Monitor:

Or left click and select the node, then right click, select "Monitor" in the pop-up menu:

BASPro Builder will automatically execute BASPro Monitor program:

Double click [image] , the page with the designed control logic will display the running status.

When output signal of Blink block is "ON", LED of BAS-3050 controller will be on. 5 seconds later, LED of BAS-3520 will be on as well. Refer to the figure below:

5 seconds later:

When output signal of Blink block is "OFF", LED of BAS-3050 controller will be off. 5 seconds later, LED of BAS-3520 will be off as well.

Debug with Simulation

BASPro Builder supports simulation mode, which allow users to debug errors when developing control logic conveniently.
In this demo, we will show you how to use Modsim tool together with simulation function of BASPro.

1. Run Modsim32.exe, the configuration is shown as below:

Note: Not all the function blocks can show the correct value and message when on simulation mode, some function blocks just can show real values when them run on BAS-3500 series DDC, such as function blocks in "Local" functions list.

2. Select "Start" in "Simulation" menu to run simulation mode:

The control page immediately turns to running status. TV connector of Blink block is counting automatically. When TV = PreV, Q changes from 0 to 1 or from 1 to 0.

TV connector of OnDelay block is counting automatically. When TV = DT, Q = IN.

3. Click "Stop," then the simulation mode will stop.


Hardware Setting and Wiring

This quick start demo is designed to quickly acquaint developers with the basic principles of creating project, designing control logic, download and debug, etc. After all the software design we discussed in the previous sections, we will download control logic to DDC device and realize the control logic on the hardware devices.

Devices used in the demo are as follows:

1. BAS-3520 master module

2. BAS- 3050 extended module

3. Power supply: 24 V AC/DC

4. Ethernet cable

Note: Before download the project to BAS3520 series DDC, please firstly make sure the hardware devices are correctly wired:

Hardware wiring:

BAS-3520 uses power supply of 24V AC/DC. The connection is shown as below:

Note: The cross-section diameter of the power cable should not be less than 2 mm.

BAS-3520 master module has 4 channels UI, 8 channels DI, 4 channels DO, 4 channels AO, among which UI is a combination of AI and DI. When used as DI, it only supports dry contact:

BAS-3520 universal input wiring:

BAS-3520 analog output wiring:

BAS-3520 digital input wiring:

BAS-3520 digital output wiring. Actually VCC is connected with external power supply:

BAS-3050 module contains 8 channels DI and 8 channels DO,

BAS-3050 digital input wiring:

BAS-3050 digital output wiring:


Project Development Environment

This chapter gives an overview of Advantech BASPro development environment, it helps users to be familiar with the interface, the functions, and the utilities to develop application.

¡¡


Components

The Components of Advantech BASPro

Advantech BASPro is widely used in various monitoring systems, especially in factory automation, environment monitoring, building automation, and devices monitoring/control, etc.
¡¡

Advantech BASPro consists of: Advantech BASPro Builder and Advantech BASPro Monitor.
¡¡

Advantech BASPro Builder: a graphical programming tool for the engineer to design and maintain the control logic for BAS-3500 series DDC. BASPro Builder consists of projects, nodes, control pages and function blocks. Each function block has its own unique function block diagram and input/output parameters, etc.

Advantech BASPro Monitor: designed for online monitoring the control logic, when BASPro control logic running on BAS-3500 series DDC. There are two ways to carry out this function: 1. click "Monitor" under "Online" menu, when you are developing application of BASPro Builder; 2. find out BASPro Monitor on "start" menu, and then click the BASPro Monitor icon.


BASPro Builder

BASPro Builder developing environment consists of the following parts: menu bar, standard toolbar, function blocks list and project/node windows docking or hiding automatically at the left/right/bottom side in the workspace. The work space can be divided into three zones: Project/Node zone, Functions zone and Control Page/Variable edit zone.

In the following sections we will introduce them one by one.

To start BASPro Builder, please double-click BASPro Builder icon on the desktop or from the Windows Program Group.

¡¡

At first, the log on dialog will pop up, if it is the first time start after install, the default user name is "admin", and password is "advantech".

Note:

The user name is not case sensitive, but password is case sensitive, and if user can't input the correct user name and password within the retry limit-3, the system will quit.

¡¡

After successful log on, it will appear as follow:


File

¡¡

The pull down menu of File includes some sub items: New Project, Open Project, Close Project, Save Project, Export CSV..., Printer Setup and Exit etc. Each sub-item has its corresponding hot key and icon. Please refer to the table below:

No. | Sub Items | Hot Key | Icon | Description
1 | New Project | Ctrl+N |  | Creates a new project.
2 | Open Project | Ctrl+O |  | Opens the project (.fbp file).
3 | Save Project | Ctrl+S |  | Saves the project and all the opened control pages and variable list.
4 | Close Project |  |  | Closes the project and its page.
5 | Export CSV... | Ctrl+E |  | The Modbus address mapping information in control pages which are selected in page order exports to one CSV file for HMI software to import.
6 | Printer Setup |  |  | Selects the printer and setup the printer.
7 | Exit |  |  | Exits the program.
8 | Print |  |  | Prints control page. If any project in program opens, this sub-item will appear.
9 | Print Preview |  |  | Previews the page the user wants to print. If the control page displays, this sub-item is available.

¡¡

Here, we will introduce you the [Export CSV...] function in detail.

When you open a project, the Modbus address mapping to one CSV file function is active, and you can click the icon [image] on the toolbar or push hotkey (Ctrl+E) to enter the CSV export dialog.

¡¡

You can click [Process] button to reload or create CSV data, and if you have saved a CSV file of this node, it will show the choose message box, and if this function is firstly used, you will enter in the function blocks scan step.

¡¡

If you choose [Load exist], the saved data will show in the list,

¡¡

Or you can choose [Recreate] function to create one new CSV data and deal with it in the list control, if you create a new CSV data, the [Reload] button will be active.

¡¡

Then, you can edit the Tag name and description by Tag edit function, and then click [Save] button to validate your update, If you do an error operation, you can choose [Reload] button to reload new CSV data immediately without scan process.

¡¡

1 Tag name and description edit

Note: The tag edit function is "match case".

¡¡

2 To set export or not

¡¡

3 To reload the raw data, the system will show you the warning message to remind you whether to save your change,

¡¡

After your edit job, you can save your update, and then to export the processed CSV data to a directory,

Then, the export path will show you in the edit control, it will convenient you find and view export file, and then click [Exit] to finish CSV export job.

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡

¡¡


Edit

¡¡

The pull down list of Edit menu includes sub items: Cut, Copy, Paste, Delete, Redo, Undo and Select all, etc. Each sub-item has its corresponding hot key and icon. Please refer to the below table:

No. | Sub Items | Hot Key | Icon | Description
1 | Cut | Ctrl+X |  | Cuts the selected function block in the page.
2 | Copy | Ctrl+C |  | Copies the selected function block in the Graphic interface of the control page.
3 | Paste | Ctrl+V |  | Pastes the selected function block to the Graphic interface of the control page.
4 | Delete | Del |  | Deletes the selected function block.
5 | Redo | Ctrl+Y |  | Redo the edit.
6 | Undo | Ctrl+Z |  | Undo the edit, such as move, delete, etc.
7 | Select all | Ctrl+A |  | Selects all the function blocks in the control page.


View

¡¡

No. | Sub Items | Description
1 | Tool bar | Show or hide the Toolbars in the program window.
2 | Status Bar | Show or hide the Status Bar in the program window.
3 | Functions | Show or hide the function list zone in the program window.
4 | Project | Show or hide the project/node zone in the program window.
5 | Show Order | Show or hide the execution sequence of the function blocks (in the middle of each function block in the control page).


Node

¡¡

If there are several Control pages inside one project node, the user can set the Properties, Page Order, Add Node or Delete Node, Change Name etc. Right click the node can also access to the pull down list:

No. | Sub Items | Description
1 | Page Order | Adjusts the execution sequence of several pages in the node.
2 | Properties | Set the node properties.
3 | Add Node | Adds new nodes in the project.
4 | Delete Node | Deletes the selected nodes. If no node is selected, then the first node will be deleted as default.
5 | Change Name | Changes the name of the selected node.


Page

¡¡

The page menu lists all the operations to the page, including Add Page, Delete Page, Save Page, Close Page, Close all, etc.
¡¡

No. | Sub Items | Description
1 | Add Page | Adds new page for the selected node.
2 | Delete Page | Deletes the selected page.
3 | Save Page | Saves the current page.
4 | Close Page | Closes the current page.
5 | Close all | Closes all pages.


Variable

¡¡

After the node*** is added to the project, a variable list named ***Var will be generated automatically (below the the node). Select this variable list, right click or Open/Close the variable list, Add /Delete variables through the variable pull down list in the menu bar.

No. | Sub Items | Description
1 | Open | Opens the selected variable list.
2 | Add variable | Adds variable to the variable list.
3 | Delete variable | Deletes variable in the variable list.
4 | Close | Closes the current variable list.


Setup

The Setup menu has four sub items, including Order, Holiday, Schedule, etc. The user can arrange the execution sequence, holiday groups, time zone and I/O address, etc. through those sub items.

No. | Sub Items | Description
1 | Order | Adjusts the execution sequence of the function blocks automatically. The user needs to apply this function to adjust the execution sequence before saving or exiting the current control page.
2 | Holiday | Sets the holiday function block. The user needs to set and download the the holiday group file to the hardware device to allow the holiday function block to set parameters. For detailed information, please refer to Holiday.
3 | Schedule | Sets the time zone of each week. For detailed information, please refer to Schedule.

¡¡

*Holiday:

 System default:

  • Each project has 10 groups.
  • For each group, the user can set 12 months.
  • After the holiday setting is opened, the first month in the group should be the current month.
  • Saturday and Sunday are the default holidays.
  • The red-lettered days in the date bars are holidays, while the blue ones are not holidays.

Set holiday groups:

  • Select a specific group number to create or modify. If the group selected does not exist, the system will create a group automatically.
  • Move the mouse to the date box, click to change the color (red, blue).
  • Add description information of current holiday group in the edit control, and the max characters limit is 2000.
  • Save.
  • The holiday group and holiday function block appear.
  • The holiday function block can get the parameters set in the input end of the holiday function block from the same holiday group number. (For detailed information, please refer to 6.1.9).


*Schedule:

System default:

  • Each project has 10 groups.
  • Each day of both the the working days and holidays are divided into 4 time sections.
  • The starting time and the stopping time are 00：00 by default. If they both do not change, then the control station/DDC will ignore this frame and other relevant function blocks.

Set time zone:

  • Select a specific group number to create or modify. If the group selected does not exist, the system will create a group automatically.
  • Move the mouse to the specific time section, the default time section will prompt automatically.
  • Click the pull down arrow, move the mouse to the expected time, then click to change.
  • Add description information of current schedule group in the edit control, and the max characters limit is 2000.
  • Save.
  • The interface between Time Groups and Tsch function block
    The Tsch Function Block will retrieve the parameter from the same Time Group number as the user designed in the input connector of the Tsch Function Block. (For detailed information, please refer TSch Function Block).

    ¡¡

    • Note: The default time will increase by 5 minutes.


Simulation

The two sub items in Simulation include Start and Stop, which can be used to test the control logic in the control page. For detailed information , please refer to the below table:

No. | Sub Items | Hot Key | Icon | Description
1 | Start |  |  | Starts simulating the specific page.
2 | Stop |  |  | Stops simulating.


Online

There are five sub items, including Download, Upload, Monitor, IP Set, and Web Server Update . The user can download files to DDC through Download item and upload the files on DDC to PC through Upload item. The user can click Monitor to execute BASPro Monitor program to check online control logic, can use IP Set to set new IP for the control node, can update the latest version Web Server via Web Server Update. For detailed information, please refer to the table,

No. | Sub Items | Description
1 | Download | Downloads the files to the control node. For detailed information, please refer to Download.
2 | Upload | Uploads the files on the control node to PC. For detailed information, please refer to Upload.
3 | Monitor | When the kernel program- BASProRunCE and BASProKrnCE is running on control node, the monitor is used to monitor the control logic. There are two ways to execute this function: 1 When Advantech BASPro builder is opened, click the Monitor under Online menu, 2 Double-click Advantech BASPro Monitor icon on the start menu of PC.
4 | IP Set | Sets new IP Address for the selected control node. The user changes the network parameters of the control node. For detailed information, please refer to IP Set.
5 | Web Server Update | When you select the node to update Web Server, you can enter in the update user interface via this menu, please refer to Web Server Update.

Download
We assume that a control page of the node and some function blocks have been created.

Remember to download and restart the computer each time the file is modified so that the old files can be replaced by the new ones. Otherwise, the files are just in the computer.
Follow the steps below to download and restart:
Step 1. Click "Download" from the Online pull down list; the download dialog box will appear:

¡¡

Step 2. Select node from the node list.
Note: The IP can't be changed because it is set in Node Properties. Please check whether the IP address here is the same with that of hardware.
¡¡

Step 3. Click Connect button.

After clicking Connect button, the system will automatically connect to DDC device. If the connection is successful, the node will show "Connect to xxx.xxx.xxx.xxx on port 2001";xxx.xxx.xxx.xxx is the IP address of DDC device. If the connection is failed, the node will show "connect fail"
¡¡

Disconnect
If the connection is successful, the button will display"Disconnect"

¡¡

Step 4. Check DDC unit.

When the Control Logic System is running, Terminate, Reboot, Stop and Restart commands are available. The user can view the status of the kernel program and the control page:
Kernel Program Status: Running, the kernel program is running in DDC. Terminated, the kernel program is teminated in DDC.
Control Pages Status: Running, the control page is executed in DDC. Stopped, the control page is stopped in DDC;
¡¡

Step 5. Select from Control Page, Page Order, Variables and Schedule.
Control Page: When the Control page is selected, all the control page files under this node will be listed on the right portion with the name and file type.
Page Order: when the Page Order is selected, the file related to the execution sequence of control pages under this same node will be listed on the right portion with the name and .dat file type, i.e. order.dat.
Variable: the global variable table file under this node will be listed on the right portion with the name and file type.
Schedule: When the Schedule is selected, the *.ini data file will be listed on the right portion with the name and file type.

Note:
1. If a new project is just created for this node, please follow this sequence: Variable - Schedule - Control Page - Page Order to download the files to DDC unit because new DDC unit has not any data files.
2. If the user has not defined any variables yet , it is not necessary to download variable files.
3. If the user has not defined any schedule blocks yet, it is not necessary to download schedule files.

Step 6. Select the file to be downloaded. After the category is selected, you have to select the desired files or those files you just changed/ increased to download.

Note: If several files need to be downloaded at the same time, please press Ctrl to select them all. Click again will cancel the selection.

¡¡

Step 7. Select Download. All the selected files of this category will be downloaded to DDC unit.

Note: If the user clicks "Download" when there is no file selected, all the files in list box will be downloaded.

Step 8. Click Restart.

Once the download finished, DDC unit should be restarted to set the new receive files to replace the old ones.

Stop: When the stop button is clicked, the connected DDC unit will enter a stop mode and all the control pages will not be executed.

Start: When the start button is clicked, the connected DDC unit will enter a start mode and all the control pages will be executed.

Restart: When the restart button is clicked, the connected DDC unit will firstly transfer to a stop mode and load the control page from a storage device to a real time buffer. Then the unit will enter the running mode automatically.

Step 9. Click Exit. Close download dialog box. When the system is restarted, the user can click exit to close the download window.

Other commands in the download window:

Run: Click run to start the kernel program.

Terminate: Click terminate to exit the program, before exit the program, the system will do the save operation to save all running control pages. If you didn't restart new download files to validate them, the new download file will be overwrite by the same name old one.

Reboot : Click Reboot to reboot WinCE OS on target DDC.

¡¡

Update Kernel Files

When new version BASPro program update, you can execute Update operation.

Note1: Only the kernel program on termination status, you can operate Kernel files update.

¡¡

Note2: When users update BASPro to a new version, users should follow these steps:

Step1: At first users should update BASPro kernel files in WinCE OS to the new version by the old version BASProBuilder, and then reboot WinCE OS to make update action valid;

Step2: When the BASPro kernel files start to run in WinCE OS, users can run the new version BASProBuilder or BASProMonitor, then the BASPro is updated to the new version completely.

¡¡

When you click the check box [Kernel Files], then will show the browse folder dialog as follow,

¡¡

After you find the update folder, then you can download all of the files in this folder to target DDC.

Note: In order to validate the update files, the system requires to download all of the update files.

¡¡

After download, in order to validate update files, you should click [Reboot] button to reboot DDC,

¡¡

After DDC restart, you will see the new kernel program version information as follow,

Note: Only when the kernel program needs to upgrade, the user can click terminate. When the update finishes, click run to start the kernel program.
Upload

Upload is to fetch the current files on DDC to PC. If the user wants to save the files to the local storage device of the PC, please follow the steps below:

Step1. Click Upload under Online menu, the upload dialog box will appear:

¡¡

Select the node, check the IP address and click Connect,
The control pages and parameters setting files listed in the dialog box:

Use mouse and Ctrl button to select file.
Click "Upload" to upload the file to PC.

Note: If no file is selected, a warning window will appear to prompt "No items were selected! Upload all?" If yes, press OK; if not, press cancel.

Delete: Click delete, then the selected file will be deleted from the connected DDC.
¡¡

Note:
1 If the user is not familiar with the system, please do not delete any file. Use the download dialog box to upload the kernel program.
2 The control page(*.fbl) can only be deleted when you are sure it unnecessary.

Upload: Click upload, then the selected files will be stored to the local disk of PC.

Save pages in Order: Click this button to save all the running control pages on DDC, this function can be executed only when control logic is running. Then you will get the control pages with the running parameters.
¡¡

Note:
1 Before clicking upload, the user should set the storage location, the system had set the default storage location as this: Node_Backup, if necessary, you can change it, but can't change the project path. If you have the same name folder, to make sure BASPro won't overwrite your important files.
2 It is strongly recommended when the system is busy, the program should be stopped before upload. (The monitor menu under Online can be used to view the status)
The picture below shows the warning window of upload timeout.

¡¡

Exit: Click exit to close upload window. If you have uploaded control pages successfully, the system will remind you to reopen the project to valid backup node.

¡¡

then you will see the backup node after you reopen project, as follow,

¡¡

IP Setting

Please refer to IP Address Setting.

¡¡

Web Server Update

When you get the latest version Web Server Cab file to update, you can do the update via this dialog.

At first, you should select the node to update, then the dialog will show as follow, and the IP address of the selected node will show in the IP control and it is read-only.

¡¡

then, you can click Browse button to find the update file named as "WebServer.CAB", then you can click Update button to update.

when download success, it will show you the message to hint you to reboot DDC. If you want to valid the update immediately, then you can reboot it from Download menu.

Click Exit button to exit the update dialog.


Hardware Menu

Hardware

The pull down list of the Hardware includes three sub items: Search Master DDC, Search Slave DDC, Device Configuration. Please refer to the below table:

No. | Sub Items | Description
1 | Search Master DDC | Advantech BASPro provides an auto-scan function for BAS-3500 series DDC. When BAS-3500 series DDC is working normally, through selecting "Online Device" item in the function list and clicking menu bar Hardware->Search Master DDC, the user can enter the auto-search page of BAS-3500. For detailed information, please refer to Search DDC.
2 | Search Slave Module | If there is a slave module under the master device, right click the Mater and select Search Slave Module to scan the salve device.
3 | Device Configuration | The user can process all the I/O parameters configuration of BAS-3500 series DDC in this user interface. For detailed information, please refer to Device Configuration.


Customize Menu

Customize

The pull down list of the Customize includes four sub items:

a UI language Configuration

b Authentication Management

c UI default setting

d Comment Font Configuration

¡¡

Language

Language Configuration include: English and Chinese.

¡¡

Please refer to the below table:

No. | Sub Items | Description
1 | English | Displays BASPro user interface in English.
2 | Chinese | Displays BASPro user interface in Chinese.

Authentication

In authentication management Dialog, user can modify current user information, create a new one, and delete some user;

In the top group box, user can modify current user password and click [Apply] will show you whether update success;

In the middle group box, user can create a new user, when user click [Create], if the user is not in the user groups and the total number doesn't reached the maximize 20, will show the create success message;

In the bottom group box, user can delete some user.

UI Setting

In UI Setting menu, user can do two parts default configure, when one project is opened, these menus will be valid,

In default page properties dialog, user can configure the default color and size when create a new control page,

Note:

The size of control page is limited, the maximize of width is 2048 pixel, and the maximize of height is 4096 pixel.

¡¡

In the default edit properties dialog, user can configure the default edit properties, such as the default configuration of copy and paste function blocks,

a When create or copy function blocks, if user select the "Add postfix" property, will like this

b When create or copy function blocks, if user select the "Without postfix" property, will like this,

c When paste function blocks, if user select the "Offset" property, will like this,

d When paste function blocks, if user select the "Follow mouse" property, will like this,

Comment Font

In Comment Font menu, user can configure the default properties of Comment text, when one project is opened, this menu will be valid,

Then, when drag-and-drop one comment function blocks to control page,

¡¡

The comment text will display as the default configuration.

¡¡

¡¡


Window

The window has two sub items: Cascade and Tile Horizontally. When it is necessary to display several windows, the user can choose one of them.

Cascade Windows style:

Tile Windows style:


Help

The help has two sub items: About BASProBuilder and Help.

¡¡

When the user clicks About BASProBuilder, the software edition of BASProBuilder appears.

When the user clicks Help, the online help file appears.


Toolbar

¡¡

Advantech BASPro provides two floating toolbars, which enable the user to quickly execute some operations through clicking the the icon to achieve the same result with operating through the menu bar.

No. | Icon | Description | In Menu Bar
1 |  | Creates a new project. | File->New project
2 |  | Opens the project. | File->Open project
3 |  | Saves the page. | Page->Save page
4 |  | Saves project. | File->Save project
5 |  | Prints the page. | File->Print
6 |  | Closes the page. | Page->Close page
7 |  | Closes all the pages. | Page->Close all
8 |  | Deletes the block. | Edit->Delete
9 |  | Cuts the block. | Edit->Cut
10 |  | Copies the block. | Edit->Copy
11 |  | Pastes the block. | Edit->Paste
12 |  | Undoes the operation. | Edit->Undo
13 |  | Redoes the operation. | Edit->Redo
14 |  | Export Modbus address mapping to one CSV file | File->Export CSV...
15 |  | About BASProBuiler edition information. | Help->About BASProBuiler
16 |  | Onlines the help file. | Help->Help
17 |  | Refreshes the screen. | N/A
18 |  | Shows grid. ¡¡ | N/A
19 |  | Snaps to grid. After this item is selected, the blocks will be lined up to the grid when the block is added to the page. The smallest moving unit (both horizontal and vertical) is one grid. | N/A
20 |  | Starts the simulation. | Simulation->Start
21 |  | Stops the simulation. | Simulation->Stop
22 |  | Zooms in the page. | N/A
23 |  | Zooms out the page. | N/A
24 |  | Zooms to fit. | N/A


Status Bar

¡¡

At the bottom of the program window is the system status bar, through which the current status, system time and running mode can be viewed.

¡¡

Note:
When editing control pages, the number of function blocks in this control page will be shown in the status bar if you select Edit->Select All or click [Ctrl + A] hotkey,


Work Space

The work space of Advantech BASPro is divided into three parts: Project/Node zone, Basic Function/eBA Function/Online Device zone, and control page/variable edit zone.


Project/Node

Project/Node zone is the interface for the engineer to create and modify the project. In this part, the structure of each project is a directory tree list, including project, node, global variable list, and all the control pages. The engineers can view the detailed information of the control page by double-click a specific item. Meanwhile, if a new control page is added, it will be shown in this directory tree list.

When BASPro Builder runs for the first time, Project/Node is blank. The user can open an exist project as well as creating a new project.

¡¡

Step 1: Click File->New project menu or the icon [image] in the toolbar, a dialog box for creating a new project will appear:

Specify a location to save the project and the project name, click OK.

Project/Node will show the project name just created in the directory tree list.

¡¡

Note: Although we can open several projects in BASPro Builder at the same time, it is suggested to execute one project each time because the system will auto-position the sub directory of each project.

Step 2: Select the project name and right click to add node:

¡¡

Enter the node name, click OK:

¡¡

The node name and the corresponding variable list appear in Project/Node zone:

¡¡

Each time a node is created, the system will add its sub directory to the project directory. Each project could have 64 nodes at most.

Select the node name and right click, select "Properties," then the node property dialog box will appear:

Edit the node property. There are four fields:

IP address: the IP address setting of node should be as the same as the IP address of BAS-3500 series DDC real setting.
¡¡

Description: the description of the node.
¡¡

Running cycle: it is this node execution cycle and default as 200 ms, which means the system will examine the control logic execution cycle every 200 ms. If the execution cycle is reached, then the system will execute the control logic. Therefore, when you are defining the control page execution cycle, it should be larger or equal to the running cycle setting.
¡¡

Time synchronization setting: designed to synchronize the Date and Time of BAS-3500 series DDC in one project. You can check the box to define the setting. Once you check the box, you will see the following figure.

Time synchronization setting:

Server: once the server is checked, then the clock of this node is the master clock, and other nodes' clocks should be synchronized.
Client: once the client is checked, then this node will send out the request time synchronization signal to the master node to synchronize the clock.

Time Server IP: if the client of time synchronization setting is checked, then the field of server IP address should be defined as the IP address of master node.

Update Cycle: To define the time sync cycle only if the client of time synchronization setting is selected, the unit is minute.


Page

When the user starts BASPro Builder, the program window appears as follow.

In this window, the user can view the functions list windows, the contents of the project, and a blank edit zone. The user can open the control page by double-clicking the relevant page name in project/node zone.

¡¡

Variable edit
Double-click the variable list name, the variable list will appear:

¡¡

Right-click the variable list name to add the variable:

A table appearing in the variable list allows the user to enter variable name, type, description, initialization value and whether to retain.

Name: the variable name.

Type: the data type, such as Float, Integer, Boolean type, etc. It depends on the variable itself.
¡¡

Description: The description of the variable.
¡¡

Init Value: The initialization value showed in the table.¡£
¡¡

Retain: the value retained when BAS-3500 series DDC power is restarted.
¡¡

For the data type range, please refer to the table below:

No. | Data Type | Lower Limit | Upper Limit
1 | BOOL | 0 | 1
2 | INTEGER | -2147483648 | 2147483647
3 | FLOAT | -3.402823466e+38 | 3.402823466e+38
4 | BYTE | 00 | 0xFF
5 | WORD | 00 | 0xFFFF
6 | DWORD | 00 | 0xFFFF FFFF（Hex）

Control page edit

Right-click the node name to add the page:

Enter the page name, click OK.

¡¡

A blank page is shown on the right:

The user can drag the function block to the page to realize various control logics. This part allows the engineer to configure control logic through function blocks, and also supports to debug the control logic by simulation mode. Please note that each function block has its own specific function block diagram and input/output parameters.

Note: Each node can supports 30 numbers control pages, each page supports 50 numbers function blocks including 4 PID function blocks, each BAS-3500 series DDC includes 16 PID function blocks at most.
Set the property of the control page

Open/Create a control page. If the system default setting needs to be changed, the user can set the property of the control page. Right-click the blank part of the control page, select "Properties" in the pop-up dialog box.

Background Color:
This part is used to define the background color of a specific control page. The user can click the icon [image] to select color:

¡¡

Size (Pixel): Define the size of the control page.
Width: 2048 pixels (default), range 100 ~2048.
Height: 2048 pixels (default), range 100 ~2048.


Function Block Zone

Function Blocks List

In this area, all the function blocks and online devices that Advantech BASPro supports are listed.
There are three tabs: Basic Function, eBA Function and Online Device.
Basic Function blocks are the function blocks that carry out the basic functions, such as logic, mathematics, counter and selector, etc.

eBA Function is a special building automation function blocks group. It can be any block that the user specifies, such as pump, fan, Dew point, etc.

Online Device can be used to search the online device list, view the device information, and process device configuration, etc.

The engineer can use the mouse to drag the specified function block to the control page and edit it.

After the Function Block is dragged to the control page, the user can define its properties. Although the properties of the function blocks look alike, they are different in deed. The parameters and table tabs are not the same. There are three basic tabs: Generic, Connectors, and Properties.
Then we open the Properties tab and configure it:

A specific function block properties dialog appears:

Click Generic tab to configure.
Name: Name the function block. Generally there is a default name, but the user can change it, the length of which should be 32(64) letters at most.
Description: The description of this function block. Generally it is read only and can't be changed.
Input Number: It allows the engineer to change the number of the input connectors. Most of the numbers can't be changed while only some can, such as the input number parameters of AND function block.

Configure Connectors tab.

¡¡

In Connecters tab, the user can see Input and Output, which respectively means input connector and output connector .
Input function allows the user to assign the initial parameter for the project or servers as a data receiving end of other function blocks. Output function is used to transfer the output of this function block to other function blocks.

Properties tab:
This tab can set the background color of the function block.

¡¡

After the properties are configured, the function block is shown as below:

¡¡

The background color is light blue if the block is selected; while the customized color if not selected. The default color is grey.

Establish/Delete input-output association

After configuring Function Blocks, we have to establish the operation channel for them so each parameter can be processed. The way to establish the operation channel is to link the correspondent Input/Output connectors (the destination and the source points).

¡¡

Note: while you establish/Delete a linkage, the active area of your mouse will be limited within the control page diagram portion. If you want to release this limitation, you have to either finish the current action by establishing/deleting a linkage, or press the right button of your mouse to end up the leakage action.

1) Establish association

To connect two function blocks, please follow the below two steps:
Step 1 Select the source point. Move the mouse to the red output connector of the function block (source point); Click the connector, a cross will appear; Then move the mouse, a straight line will appear.

¡¡

If the user needs to draw a folding line, just click the page during dragging.

Step2: Select the target point. Move the mouse to the output connector of the function block (target point), then click the connector:

After connecting the input connector and the target point connector, an operation channel is built. Follow those steps to build other channels.

No te: Only input connector can serve as the target point and it can only be connected once. Please do not connect it repeatedly!

When the function block is being connected, the system will auto-check the data types of those two connectors and convert the data type of the source point to that of the target point data when necessary. For example, if the data type of the target point is integer and the source point is float, the system will convert the float to the integer automatically. However if one is Text and the other is Analog, the system will prompt a warning. For example, if the OUT of ADD_5 (Analog) is connected to the IN1 of SString_4 (Text), a warning will appear as shown below:

¡¡

Note: Most of input/output connectors can't be changed, except for a connector without connecting line. Only when the input connector is not the target point, the value can be changed.

2) Delete association
Sometimes, the user needs to change the control logic or delete the operation channel. Use the mouse to click the connecting line to delete it.

When there are several pages in a project, the user can setup the page execution sequence through right-clicking the node name.

Add/Remove the available pages in the popup dialog box and use Up/Down key to set the execution sequence.

¡¡

N ote: The user needs to download the order.dat file to BAS-3500 series DDC node and restart control logic, otherwise the system can't work properly or still execute the old control page order. Please remember to download it to the corresponding node each time you change it.


BASPro Monitor

Find BASPro Monitor from desktop of your PC or Windows program group and run, then you will see it as follows:

¡¡

At first, the log on dialog will pop up, if it is the first time start after install, the default user name is "admin", and password is "advantech".

Note:

The user name is not case sensitive, but password is case sensitive, and if user can't input the correct user name and password within the retry limit-3, the system will quit.

After successful log on, it will appear as follow:

¡¡

Advantech BASPro Monitor consists of menu Bar, toolbar, control page list window, monitoring window, and status Bar.


Menu Bar

Menu Bar has five sub items: File, View, Online, Language and Help (?):

File Menu

File Menu has three sub items: Connect, Disconnect, and Exit.

¡¡

No. | Sub Items | Icon | Description
1 | Connect |  | Connects to the control station. For detailed information, please refer to *Connect to.
2 | Disconnect |  | Disconnects with the current nodes connected. Since the program can only monitor one node, the user must disconnect it before monitoring other nodes.
3 | Exit |  | Exits the monitoring.

*Connect to: Select the IP address of a specified node to connect:

Click OK, then the control page will show the station node IP and the control page name. Otherwise click cancel to exit.


View

Use the mouse to select/hide, zoom in/out the listed items:

¡¡

In the view menu, the users can display or hide these items, such as tool bar, status bar, and control page, and also can zoom in, zoom out or zoom to fit the window of monitor interface.


Online

This pull down list has five sub items: Diagnose, Stop, Hot Start, Cold Start, Run Length and Edition Information.

¡¡

No. | Sub Items | Description
1 | DiagNostic | A message box pops up, showing system, process and communication, etc based on the message type that the user selected. For detailed information, please refer to *DiagNostic.
2 | Stop | Stops executing the file of the selected control page.
3 | Warm Start | After the control logic is stopped, restart to run the control logic and the control page will not be re-loaded. A dialog box will pop up requesting for confirmation.
4 | Cold Start | After the control logic is stopped, re-load the control page and restart to run the control logic. A dialog box will pop up requesting for confirmation.
5 | Running Cycle | The running Cycle of a specified control unit.
6 | Get Version | The edition information of BASPro Monitor, including the kernel mode and the edition number of run mode.

*DiagNostic
The message box is shown as below:

*Runnig Cycle
Click Running Cycle, a set value box will pop up, showing the current running cycle of a specified control unit. The user can enter a new value, click OK or click cancel to save the current value and exit.


Monitor Customize

Customize

The pull down list of the Customize includes two sub items:

a UI language Configuration

b Authentication Management

Language

Language Configuration include: English and Chinese.

¡¡

Please refer to the below table:

No. | Sub Items | Description
1 | English | Displays BASPro user interface in English.
2 | Chinese | Displays BASPro user interface in Chinese.

Authentication

In authentication management Dialog, user can modify current user information, create a new one, and delete some user;

In the top group box, user can modify current user password and click [Apply] will show you whether update success;

In the middle group box, user can create a new user, when user click [Create], if the user is not in the user groups and the total number doesn't reached the maximize 20, will show the create success message;

In the bottom group box, user can delete some user.

¡¡


About(?)

The pull down list of the About includes one sub item. Please refer to the below table:

No. | Sub Items | Description
1 | About BASPro Monitor | Displays BASPro Monitor edition information.

When the user clicks this sub item, the software edition of BASPro Monitor appears.


Toolbar

¡¡

The toolbar provides some icons through which the user can operate more easily.

No. | Icon | Description | In Menu
1 |  | Connects to the control station node. | File->Connect to
2 |  | Disconnects with the node. | File->Disconnect
3 |  | Zooms in the control logic diagram in the control page. | View->Zoom In
4 |  | Zooms out the control logic diagram in the control page. | View->Zoom Out
5 |  | Zooms to fit. | View->Zoom to Window
6 |  | BASPro Monitor edition information. | About (?)


Status Bar

Through BASProMonitor Status Bar, the user can view Running Time, Running Cycle. Please ensure that the time of running cycle is greater than the running time to avoid system failure.

¡¡

Running Cycle: It represents the cycle that the system checks all the control pages in the control station.
Running Time: The total time for executing all the control pages in each cycle.
¡¡

Note: Running Cycle should be greater than Running Time.

¡¡


Control Page and Monitor Zone

When the node is connected, the node IP and the page name will be shown in the control page. Double-click the page name, the user can see the page control logic.

Monitor

Step 1. Please make sure the control page is connected.
Step 2. Move the mouse to the selected terminal (the small red box left to the function block).
Step 3. Please make the selected input terminal is not connected to the output of other blocks.
Step 4. Double-click the red box, a window for setting will pop up.
¡¡

Note: Since the data type is divided into digital and analog, there are two kinds of dialog boxes.

Analog Data Type: Enter a new value to replace the old one. Once the value is changed, the system will automatically check whether the value in within the range permitted. It not, the system will not accept. Click OK to accept the change or click cancel to stop the operation and close the window.

Digital Data Type: Click the expected digital. Click OK to accept the change or click cancel to close the window.


Function Block List

BASPro Function Blocks Introduction

As a completely graphical programming tool, Advantech BASPro provides over 80 built-in basic function blocks and almost 30 special blocks for building automation.


IO Member Summary

Summary

Input/Output function blocks access variables of I/O devices though tag name or Modbus address. The variables can be measured values, output values, bit, registers, or any values in I/O devices. The data can be analog or digital. Choosing the right I/O functions depends on:

1. Whether the user wants to read or writer

2. The data is analog or digital

3. Three cases of accessing variables in linear mode

Sometimes users need to convert analog into project units. This can be done through scaling function blocks (To be explained later). Here we introduce "Generic", "Connectors" and "Properties" of each function block examples will be given as well.

Item | Module Name | Description
1 | BAS- 3520 | 8-ch DI digital input channel, 4-ch DO digital output channel, 4-ch UI analog input channel, 4-ch AO analog output channel.
2 | BAS-3512 | 8-ch DI digital input channel, 4-ch DO digital output channel.
3 | BAS-3050 | 8-ch DI digital input channel, 8-ch DO digital output channel.
4 | BAS- 3051 | 16-ch DI digital input channel.
5 | BAS-3018 | 8-ch UI analog input channel.
6 | BAS-3024 | 4-ch DO digital output channel ,4-ch UI analog input channel, 4-ch AO analog output channel.
7 | Ethernet | Reads data from remote devices though specific network interface.
8 | Serial | Reads values of specific devices through specific communication ports.
9 | MB-AI | Reads Modbus input register or holding register though Ethernet interface or serial ports which are Modbus TCP/RTU protocol compliant, mode 1
10 | MB-AI1 | Reads Modbus input register or holding register though Ethernet interface or serial ports which are Modbus TCP/RTU protocol compliant, mode 2
11 | MB-AO | Writes holding register (address: 4XXXX) to other controllers with serial ports or Ethernet interface which are Modbus TCP/RTU protocol compliant.
12 | MB-DI | Reads Modbus input register or coil status from other controllers through Ethernet interface or serial ports.
13 | MB-DO | Writes an output coil to other controllers with Ethernet interface or serial ports.
14 | MB-DOS | Writes multiple output coils status to other controllers with Ethernet network or serial ports.

I/O function blocks list

I/O function blocks comparison list


BAS-3018 Function Block

BAS-3018 function block is the mapping of BAS-3018 DDC in BASPro software. Configuring hardware parameters of BAS-3018 DDC or accessing I/O data, etc. should be realized through this function block.

This block can be found in the local tags list of the basic function block list:

BAS-3018 in the basic function blocks list

By dragging it to control page, we can see BAS-3018 function block as below:

BAS-3018 function block in the control page

Refer to the table below for basic I/O function of BAS-3018:

I/O Type | I/O Channel Number | Description
UI | 8-ch | Universal analog input channel, supports various analog inputs such as voltage value, current value, thermal resistance, etc.

Double click the block or right click the block to check properties of the block. There are 3 tabs here: Generic, Connectors, Properties, which will be explained in sequence.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Block name | Displays block name and dragging sequence by default. | Text | BAS-3018_X
2 | Block description | Describes corresponding hardware information of this block Read only | Text | One of BA Controllers Designed by Advantech.

2). Connectors

The input connectors on the left side of BAS-3018 function block can be set. However, the output connectors on the right are not configurable.

The input connector of digital data

Item | Name | Default | Data Type | Default Value for 'Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Execute this function block or not 1: Yes 0: Skip For BAS-3018, the default setting should be done in property setting page.

The input connector of analog data

Item | Name | Default | Data Type | Default Value for "Show" | Description
1 | UIType0~UIType7 | 72 | Integer | False | Displays current setting of 8-ch universal input connectors of BAS-3018. Read only.
2 | SW | 1 | Integer | True | Short for DIP switch, corresponds to Hardware DIP switch setting.
3 | IPort | 2 | Integer | False | Com Port setting when does Modbus RTU communication.
4 | UITComp0~UITComp7 | 0.00 | Float | False | Temperature compensation setting when one UI channel connects to temperature sensor.
5 | UICMR | 50 | Integer | False | Displays common mode rejection setting. Read only.

The output connector of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | ERR | False | Boolean | False | True | Displays communication status of BAS-3018 DDC 0: Normal 1: abnormal

The output connector of analog data

Item | Name | Default Value | Data Type | Decimal | Display Range | Description
1 | UI0~UI7 | 0.00 | Float | 2 | Depends on different UI types | Displays UI input value, and can be input connector of other function blocks
2 | Poll | 0 | Integer | 0 | -- | Displays data transmitting status of BAS-3018.
3 | Recv | 0 | Integer | 0 | -- | Displays data receiving status of BAS-3018.

Output connectors of text type data

Item | Name | Type | Description
1 | MOD | Text | Display communication message

3). Properties

Item | Name | Description
1 | Bg Color | Color: Selects background color for function block.

Note:

1. While setting UI functions, make sure that the jumper setting of hardware match the corresponding setting in the software. Current input of UI requires jumpers on the hardwire to be switched to current input mode. And for other inputs, such as voltage, thermister, thermal couple, etc., jumpers should be set to voltage input mode.

2. BASPro Monitor program is helpful when modifying the settings on-line. Or else the data will not change unless re-download the control page to BAS-3500 series DDC.


BAS-3024 Function Block

BAS-3024 function block is the mapping of BAS-3024 DDC in BASPro software. Configuring hardware parameters of BAS-3024 DDC or accessing I/O data, etc. should be realized through this function block.

This block can be found in the local tags list of the basic function block list:

BAS-3024 in the basic function blocks list

By dragging it to control page, we can see BAS-3024 function block as below:

BAS-3024 function block in the control page

Refer to the table below for basic I/O function of BAS-3024:

I/O Type | I/O Channel Number | Description
DO | 4-ch | Digital input channel.
UI | 4-ch | Universal analog input channel, supports various analog inputs such as voltage value, current value, thermal resistance, etc., can be used as digital input channel in BAS-3024.
AO | 4-ch | Analog output channel, voltage value and current value can be set.

Double click the block or right click the block to check properties of the block. There are 3 tabs here: Generic, Connectors, Properties, which will be explained in sequence.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Block name | Displays block name and dragging sequence by default. | Text | BAS-3024_X
2 | Block description | Describes corresponding hardware information of this block Read only | Text | One of BA Controllers Designed by Advantech.

2). Connectors

The input connectors on the left side of BAS-3024 function block can be set. However, the output connectors on the right are not configurable.

The input connector of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Execute this function block or not 1: Yes 0: Skip For BAS-3024, the default setting should be done in property setting page.

Input connectors of analog data

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | DOType0~DOType3 | 0 | Integer | False | Displays current setting of 4-ch output of BAS-3024. Read only.
2 | UIType0~UIType3 | 72 | Integer | False | Displays current setting of 4-ch universal input connectors of BAS-3024. Read only.
3 | AOType0~AOType3 | 72 | Integer | False | Displays current setting of 4-ch output connectors of BAS-3024. Read only.
4 | SW | 1 | Integer | True | Short for DIP switch, corresponds to Hardware DIP switch setting.
5 | IPort | 2 | Integer | False | Com Port setting when does Modbus RTU communication.
6 | UITComp0~UITComp3 | 0.00 | Float | False | Temperature compensation setting when one UI channel connects to temperature sensor.
7 | UICMR | 50 | Integer | False | Displays UI channel common mode rejection setting. Read only.

Output connectors of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | DO0~DO3 | False | Boolean | False | True | Displays output values of DO channels and can be output connectors of other function blocks.
2 | ERR | False | Boolean | False | True | Displays communication status of BAS-3024 DDC 0: Normal 1: abnormal

Output connectors of analog data

Item | Name | Default Value | Data Type | Decimal | Display Range | Description
1 | UI0~UI3 | 0.000000 | Float | 2 | Depends on different UI types | Displays input values of UI channels and can be input connectors of other function blocks.
2 | AO0~AO3 | 0.000000 | Float | 2 | Depends on different AO types | Displays output values of AO channels and can be input connectors of other function blocks.
3 | Poll | 0 | Integer | 0 | -- | Displays data transmitting status of BAS-3024.
4 | Recv | 0 | Integer | 0 | -- | Displays data receiving status of BAS-3024.

Output connectors of text type data

Item | Name | Type | Description
1 | MOD | Text | Display communication message

3). Properties

Item | Name | Description
1 | Bg Color | Color: Selects background color for function block.

Note:

1. While setting UI and AO functions, make sure that the jumper setting of hardware match the corresponding setting in the software. Current input of UI requires jumpers on the hardwire to be switched to current input mode. And for other inputs, such as voltage, thermister, thermal couple, etc., jumpers should be set to voltage input mode.

2. BASPro Monitor program is helpful when modifying the settings on-line. Or else the data will not change unless re-download the control page to BAS-3500 series DDC.


BAS-3050 Function Block

BAS-3050 function block is the mapping of BAS-3050 DDC in BASPro software. Configuring hardware parameters of BAS-3050 DDC or accessing I/O data, etc. should be realized through this function block.

This block can be found in the local tags list of the basic function block list:

BAS-3050 in the basic function blocks list

By dragging it to control page, we can see BAS-3050 function block as below:

BAS-3050 function block in the control page

Refer to the table below for basic I/O function of BAS-3050:

I/O Type | I/O Channel Number | Description
DI | 8-ch | Digital input channel.
DO | 8-ch | Digital output channel.

Double click the block or right click the block to check properties of the block. There are 3 tabs here: Generic, Connectors, Properties, which will be explained in sequence.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Block name | Displays block name and dragging sequence by default. | Text | BAS-3050_X
2 | Block description | Describes corresponding hardware information of this block Read only | Text | One of BA Controllers Designed by Advantech.

2). Connectors

The input connectors on the left side of BAS-3050 function block can be set. However, the output connectors on the right are not configurable.

The input connector of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Execute this function block or not 1: Yes 0: Skip For BAS-3050, the default setting should be done in property setting page.

Input connectors of analog data

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | SW | 1 | Integer | True | Short for DIP switch, corresponds to Hardware DIP switch setting.
2 | DIType0~DIType7 | 0 | Integer | False | Displays data type of each DI channel, such as normal DI input or pulse input.
3 | DOType0~DOType7 | 0 | Integer | False | Displays data type of each DO channel, such as normal DO output or PWM output.

Output connectors of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | DO0~DO7 | False | Boolean | False | True | Displays output value of DO channel and can be output connectors of other function blocks.
2 | ERR | False | Boolean | False | True | Displays communication status of BAS-3050 DDC 0: Normal 1: abnormal

Output connectors of analog data

Item | Name | Default Value | Data Type | Decimal | Display Range | Description
1 | DI0~DI7 | 0 | Integer | 0 | 0, 1(Default) | Displays input values of DI channels and can be input connectors of other function blocks.
2 | Poll | 0 | Integer | 0 | -- | Displays data transmitting status of BAS-3050.
3 | Recv | 0 | Integer | 0 | -- | Displays data receiving status of BAS-3050.

Output connectors of text type data

Item | Name | Type | Description
1 | MOD | Text | Display communication message

3). Properties

Item | Name | Description
1 | Bg Color | Color setting: Selects background color for function block.

Note:

1. BASPro Monitor program is helpful when modifying the settings on-line. Or else the data will not change unless re-download the control page to BAS-3500 series DDC.


BAS-3051 Function Block

BAS-3051 function block is the mapping of BAS-3051 DDC in BASPro software. Configuring hardware parameters of BAS-3051 DDC or accessing I/O data, etc. should be realized through this function block.

This block can be found in the local tags list of the basic function block list:

BAS-3051 in the basic function blocks list

By dragging it to control page, we can see BAS-3051 function block as below:

BAS-3051 function block in the control page

Refer to the table below for basic I/O function of BAS-3051:

I/O Type | I/O Channel Number | Description
DI | 16-ch | Digital input channel.

Double click the block or right click the block to check properties of the block. There are 3 tabs here: Generic, Connectors, Properties, which will be explained in sequence.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Block name | Displays block name and dragging sequence by default. | Text | BAS-3051_X
2 | Block description | Describes corresponding hardware information of this block Read only | Text | One of BA Controllers Designed by Advantech.

2). Connectors

The input connectors on the left side of BAS-3051 function block can be set. However, the output connectors on the right are not configurable.

The input connector of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Execute this function block or not 1: Yes 0: Skip For BAS-3051, the default setting should be done in property setting page.

Input connectors of analog data

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | SW | 1 | Integer | True | Short for DIP switch, corresponds to Hardware DIP switch setting.
2 | DIType0~DIType15 | 0 | Integer | False | Displays data type of each DI channel, such as normal DI input or pulse input.

Output connectors of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | ERR | False | Boolean | False | True | Displays communication status of BAS-3051 DDC 0: Normal 1: abnormal

The output connector of analog data

Item | Name | Default Value | Data Type | Decimal | Display Range | Description
1 | DI0~DI5 | 0 | Integer | 0 |  | Displays input values of DI channels and can be input connectors of other function blocks.
2 | Poll | 0 | Integer | 0 | -- | Displays data transmitting status of BAS-3051.
3 | Recv | 0 | Integer | 0 | -- | Displays data receiving status of BAS-3051.

Output connectors of text type data

Item | Name | Type | Description
1 | MOD | Text | Display communication message

3). Properties

Item | Name | Description
1 | Bg Color | Color setting: Selects background color for function block.

Note:

1. BASPro Monitor program is helpful when modifying the settings on-line. Or else the data will not change unless re-download the control page to BAS-3500 series DDC.


BAS-3512 Function Block

BAS-3512 function block is the mapping of BAS-3512 DDC in BASPro software. Configuring hardware parameters of BAS-3512 DDC or accessing I/O data, etc. should be realized through this function block.

This block can be found in the local tags list of the basic function block list:

BAS-3512 in the basic function blocks list

By dragging it to control page, we can see BAS-3512 function block as below:

BAS-3512 function block in the control page

Refer to the table below for basic I/O function of BAS-3512:

I/O Type | I/O Channel Number | Description
DI | 8-ch | Digital input channel.
DO | 4-chl | Digital output channel.

Double click the block or right click the block to check properties of the block. There are 3 tabs here: Generic, Connectors, Properties, which will be explained in sequence.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Block name | Displays block name and dragging sequence by default. | Text | BAS-3512_X
2 | Block description | Describes corresponding hardware information of this block Read only | Text | One of BA Controllers Designed by Advantech.

2). Connectors

The input connectors on the left side of BAS-3512 function block can be set. However, the output connectors on the right are not configurable.

Input connectors of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Execute this function block or not 1: Yes 0: Skip For BAS-3512, the default setting should be done in property setting page.

Input connectors of analog data

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | DIType0~DIType7 | 0 | Integer | False | Displays current setting of 8-ch input of BAS-3512. Read only.
2 | DOType0~DOType3 | 0 | Integer | False | Displays current setting of 4-ch output of BAS-3512. Read only.

Output connectors of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | DO0~DO3 | False | Boolean | False | True | Displays output values of DO channels and can be output connectors of other function blocks.
2 | ERR | False | Boolean | False | True | Displays communication status of BAS-3512 DDC 0: Normal 1: abnormal

Output connectors of analog data

Item | Name | Default Value | Data Type | Display range | Description
1 | DI0~DI7 | 0 | Integer | 0, 1(Default) | Displays input values of DI channels and can be input connectors of other function blocks.
2 | DO0~DO3 | False | Boolean | 0, 1(Default) | Displays output values of DO channels and can be output connectors of other function blocks.
3 | Poll | 0 | Integer | -- | Displays data transmitting status of BAS-3512.
4 | Recv | 0 | Text | -- | Displays data receiving status of BAS-3512.

Output connectors of text type data

Item | Name | Type | Description
1 | MOD | Text | Display communication message

3). Properties

Item | Name | Description
1 | Bg Color | Color: Selects background color for function block.
2 | Comm Type | Communication type setting: sets communication based on Modbus TCP or RTU. The default setting is Modbus TCP communication type.
3 | IPAddress | IP address setting: sets IP address for BAS-3512. The default setting is:11.0.0.2. Other available IP address can be set in simulation mode.
4 | SocketPort | Communication port setting: sets communication ports of Modbus TCP. The default setting is: 502, Read Only.

Note:

1. BASPro Monitor program is helpful when modifying the settings on-line. Or else the data will not change unless re-download the control page to BAS-3500 series DDC.


BAS-3520 Function Block

BAS-3520 function block is the mapping of BAS-3520 DDC in BASPro software. Configuring hardware parameters of BAS-3520 DDC or accessing I/O data, etc. should be realized through this function block.

This block can be found in the local tags list of the basic function block list:

BAS-3520 in the basic function blocks list

By dragging it to control page, we can see BAS-3520 function block as below:

BAS-3520 function block in the control page

Refer to the table below for basic I/O function of BAS-3520:

I/O Type | I/O Channel Number | Description
UI | 4-ch | Universal analog input channel, supports various analog inputs such as voltage value, current value, thermal resistance, etc., can be used as digital input channel in BAS-3520.
AO | 4-ch | Analog output channel, voltage value and current value can be set.
DI | 8-ch | Digital input channel.
DO | 4-ch | Digital output channel.

Double click the block or right click the block to check properties of the block. There are 3 tabs here: Generic, Connectors, Properties, which will be explained in sequence.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Block name | Displays block name and dragging sequence by default. | Text | BAS-3520_X
2 | Block description | Describes corresponding hardware information of this block Read only | Text | One of BA Controllers Designed by Advantech.

2). Connectors

The input connectors on the left side of BAS-3520 function block can be set. However, the output connectors on the right are not configurable.

Input connectors of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Execute this function block or not 1: Yes 0: Skip For BAS-3520, the default setting should be done in property setting page.

Input connectors of analog data

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | DIType0~DIType7 | 0 | Integer | False | Displays current setting of 8-ch input of BAS-3520. Read only.
2 | DOType0~DOType3 | 0 | Integer | False | Displays current setting of 4-ch output of BAS-3520. Read only.
3 | UIType0~UIType3 | 72 | Integer | False | Displays current setting of 4-ch universal input connectors of BAS-3520. Read only.
4 | AOType0~AOType3 | 72 | Integer | False | Displays current setting of 4-ch output connectors of BAS-3520. Read only.

Output connectors of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | DO0~DO3 | False | Boolean | False | True | Displays output values of DO channels and can be output connectors of other function blocks.
2 | ERR | False | Boolean | False | True | Displays communication status of BAS-3520 DDC 0: Normal 1: abnormal

Output connectors of analog data

Item | Name | Default Value | Data Type | Decimal | Description
1 | DI0~DI7 | 0 | Integer | 0 | Displays output values of DO channels and can be output connectors of other function blocks.
2 | UI0~UI3 | 0.00 | Float | 2 | Displays input values of DI channels and can be input connectors of other function blocks.
3 | AO0~AO3 | 0.00 | Float | 2 | Displays output values of AO channels and can be input connectors of other function blocks.
4 | Poll | 0 | Integer | 0 | Displays data transmitting status of BAS-3520.
5 | Recv | 0 | Integer | 0 | Displays data receiving status of BAS-3520.

Output connectors of text type data

Item | Name | Type | Description
1 | MOD | Text | Display communication message

3). Properties

Item | Name | Description
1 | Bg Color | Color setting: Selects background color for function block.
2 | Comm Type | Communication type setting: Sets communication type based on Modbus TCP or RTU. The default setting is Modbus TCP communication type.
3 | IPAddress | IP address setting: Sets IP address for BAS-3520. The default setting is:11.0.0.2. Other available IP address can be set in simulation mode.
4 | SocketPort | Communication port setting: Sets communication ports of Modbus TCP. The default setting is: 502, Read Only.

Note:

1. While setting UI and AO functions, make sure that the jumper setting of hardware match the corresponding setting in the software. Current input of UI requires jumpers on the hardwire to be switched to current input mode. And for other inputs, such as voltage, thermister, thermal couple, etc., jumpers should be set to voltage input mode.

2. BASPro Monitor program is helpful when modifying the settings on-line. Or else the data will not change unless re-download the control page to BAS-3500 series DDC.


BAS-UI Function Block

BAS-UI function block is the mapping of universal input channels of BAS-3000 series DDC in BASPro software. Operations like accessing I/O data of the universal input channels of BAS-3000 series DDC should be done through this function block.

This block can be found in the local tags list of the basic function block list:

BAS-UI in the basic function blocks list

By dragging it to control page, we can see BAS-UI block as below:

BAS-UI function block in the control page

Double click the block or right click the block to check properties of the block. There are 3 tabs here: Generic, Connectors, Properties, which will be explained in sequence.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Block name | Displays block name and dragging sequence by default. | Text | BAS-UI _X
2 | Block description | Describes corresponding hardware information of this block Read only | Text | One UI Channel of BA Controllers Designed by Advantech.

2). Connectors

The input connector on the left side of BAS-UI function block can be set. However, the output connector on the right can not be set.

Input connectors of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Execute this function block or not 1: Yes 0: Skip For BAS-UI, the default setting should be done in property setting page.
2 | A/M | True | Boolean | False | True | Displays and sets running status and simulation status of this function block: A/M=1: real running status; A/M=0: simulation status.

Input connectors of analog data

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | IPort | 2 | Integer | False | Communication Port setting, when does Modbus RTU communication via COM Port
2 | Mop | 0.00 | Float | True | Displays and sets real analog input of specific channel of specific function block.
3 | Type | 72 | Integer | False | Displays analog input type of specific channel of specific function block. Read only.
4 | SW | 0 | Integer | True | Short for DIP switch, corresponds to Hardware DIP switch setting.
5 | CH | 0 | Integer | True | Short for Channel, mark specific channel of specific block with settings of Channel.
6 | Count | 8 | Integer | False | Short for Channel Number, It's designed just for applying Modbus RTU to access remote I/O. For example, if this function block is for BAS-3024(4 channels UI) you should set as 4, if for BAS-3018(8 channels UI) you should set as 8.
7 | TComp | 0.00 | Float | False | When this UI channel connects to temperature sensor, sets temperature compensation value if the utility setting is not very exact.

The output connector of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "show" | Description
1 | ERR | False | Boolean | False | True | Displays communication status of specific channel of specific block. The default display setting is Hide. 0: Normal 1: abnormal

Output connectors of analog data

Item | Name | Default Value | Data Type | Decimal | Default Value for "show" | Description
1 | OUT | 0.00 | Float | 2 | True | Displays analog input of specific channel of specific block or simulated analog input.
2 | COUT | 0.00 | Float | 2 | True | Displays analog input value which is scaled according to user configuration.
3 | DType |  | Text |  | True | Displays Data Type of the specific channel of specific block. For example: 1 0~10V 2 0~20mA 3 4~20mA 4 PT-100 5 PT-1000 6 Thermistor 7 DI etc.

Output connectors of text type data

Item | Name | Type | Description
1 | MOD | Text | Display communication message

3). Properties

Item | Name | Description
1 | Bg Color | Color setting: Selects background color for function block.
2 | Comm Type | Communication type setting: Sets communication based on Modbus TCP or RTU. The default setting is Modbus TCP communication type.
3 | IPAddress | IP address setting: Sets IP address for BAS-UI. The default setting is:11.0.0.2. Other available IP address can be set in simulation mode.
4 | SocketPort | Communication port setting: Sets communication ports of Modbus TCP. The default setting is: 502, Read Only.
5 | Open Loop Operation | Open Loop operation setting when Range code = 4-20mA, PT-100, PT-1000, or Thermistor 1 Output the highest value of Range Code 2 Output the lowest value of Range Code 3 User specify value
6 | Scale | To convert the real analog input to scaled input value, as follow description.

Scale

Scale type: two options here: Auto Scale, MX+B. Before setting relevant parameter, the user needs to select a type first.

Scale type I: Auto Scale

Formula:
COUT= a * b + c
a = ((IN -InputLo) / (InputHi-InputLo))
b = (Output Hi - Output Lo)

c = Output Lo

Item | Parameter Name | Data Type | Description
1 | Output Hi | Float | The highest limit of COUT.
2 | Output Lo | Float | The lowest limit of COUT.
3 | InputHi | Float | The highest limit of input values.
4 | InputLo | Float | The lowest limit of input values.

Example:

If IN=32767, then COUT=50.00

COUT = a * b + c
= (IN -Input Lo)/ (Input Hi-Input Lo)) * (Output Hi - Output Lo) + Output Lo
= (32767-0)/(65535-0) * (100-0) + 0
=0.5 * 100+0
=50

Scale Type II: MX + B

This type converts input values via classic linear equation.

Formula: COUT = M * IN + B

Item | Parameter Name | Data Type | Description
1 | M | Float | Straight line slope.
2 | X |  | Reads data.
3 | B | Float | Cut of point of the straight line on x-axis.

Example:

If IN =10, M=1.0, B=0.5, then COUT = 10 * 1 + 0.5 =10.5

Note:

1. While setting UI functions, make sure that the jumper setting of hardware match the corresponding setting in the software.

2. BASPro Monitor program is helpful when modifying the settings on-line. Or else the data will not change unless re-download the control page to BAS-3000 series DDC.


BAS-AO Function Block

BAS-AO function block is the mapping of input channels of BAS-3000 series DDC in BASPro software. Operations like accessing I/O data of the analog output channels of BAS-3000 series DDC should be done through this function block.

This block can be found in the local tags list of the basic function block list:

BAS-AO in the basic function blocks list

By dragging it to control page, we can see BAS-AO block as below:

BAS-AO function block in the control page

Double click the block or right click the block to check properties of the block. There are 3 tabs here: Generic, Connectors, Properties, which will be explained in sequence.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Block name | Displays block name and dragging sequence by default. | Text | BAS-AO _X
2 | Block description | Describes corresponding hardware information of this block Read only | Text | One AO Channel of BA Controllers Designed by Advantech.

2). Connectors

The input connectors on the left side of BAS-AO function block can be set. However, the output connectors on the right can not be set.

Input connectors of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Execute this function block or not 1: Yes 0: Skip For BAS-AO, the default setting should be done in property setting page.
2 | A/M | True | Boolean | False | True | Displays and sets running status and simulation status of this function block: A/M=1: real running status; A/M=0: simulation status.

Input connectors of analog data

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | IPort | 2 | Integer | False | Communication Port setting, when does Modbus RTU communication via COM Port
2 | IN | 0.000000 | Float | True | Displays and sets real analog output of specific channel of specific function block.
3 | Mop | 0.000000 | Float | True | Displays and sets simulated analog output of specific channel of specific function block.
4 | Type | 72 | Integer | False | Displays analog input type of specific channel of specific function block. Read only.
5 | SW | 0 | Integer | True | Short for DIP switch, corresponds to Hardware DIP switch setting.
6 | CH | 0 | Integer | True | Short for Channel, mark specific channel of specific block with settings of Channel.
7 | Count | 4 | Integer | False | Short for Channel Number, It's designed just for applying Modbus RTU to access remote I/O. For example, if this function block is for BAS-3024(4 channels AO) you should set as 4.

The output connector of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | ERR | False | Boolean | False | True | Displays communication status of specific channel of specific block. The default display setting is Hide. 0: Normal 1: abnormal

Output connectors of analog data

Item | Name | Default Value | Data Type | Decimal | Description
1 | V | 0.000000 | Float | 2 | Displays analog output of specific channel of specific block or simulated analog output.
2 | ScaledV | 0.000000 | Float | 2 | Displays scaled analog output, which is used for behind logic, not real output.
3 | DType |  | Text | 0 | Displays Data Type of the specific channel of specific block. For example: 1 0~10V 2 0~20mA 3 4~20mA

Output connectors of text type data

Item | Name | Type | Description
1 | MOD | Text | Display communication message

3). Properties

Item | Name | Description
1 | Bg Color | Color setting: Selects background color for function block.
2 | Comm Type | Communication type setting: Sets communication based on Modbus TCP or RTU. The default setting is Modbus TCP communication type.
3 | IPAddress | IP address setting: Sets IP address for BAS-AO. The default setting is:11.0.0.2. Other available IP address can be set in simulation mode.
4 | SocketPort | Communication port setting: Sets communication ports of Modbus TCP. The default setting is: 502, Read Only.
5 | Scale | To convert the real analog output to scaled output value, as follow description.
6 | Clamp Limit | To clamp the real analog output, as follow description.

Scale:

Scale type: three options here: Auto Scale, MX+B, and No Scale. Before setting relevant parameter, the user needs to select a type first.

Scale type I: Auto Scale

Formula:
V = a * b + c
a = ((IN -InputLo) / (InputHi-InputLo))
b = (Output Hi - Output Lo)

c = Output Lo

Item | Parameter Name | Data Type | Description
1 | Output Hi | Float | The highest limit of V.
2 | Output Lo | Float | The lowest limit of V.
3 | InputHi | Float | The highest limit of input values.
4 | InputLo | Float | The lowest limit of input values.

Example:

If IN=32767, then V=50.00

V = a * b + c
= (IN -Input Lo)/ (Input Hi-Input Lo)) * (Output Hi - Output Lo) + Output Lo
= (32767-0)/(65535-0) * (100-0) + 0
=0.5 * 100+0
=50

Scale Type II: MX + B

This type converts input values via classic linear equation.

Formula: V = M * IN + B

Item | Parameter Name | Data Type | Description
1 | M | Float | Straight line slope.
2 | X |  | Reads data.
3 | B | Float | Cut of point of the straight line on x-axis.

Example:

If IN =10, M=1.0, B=0.5, then V = 10 * 1 + 0.5 =10.5

Scale Type III: No Scale

V = IN.

Clamp limit:

Item | Name | Range | Data Type | Description
1 | ClampHi |  | Float | Limits value of IN when greater than ClampHi.
2 | ClampLo |  | Float | Retains value of IN when smaller than ClampLo.

Note: Input value will be limited between ClampHi and ClampLo in running mode.

Note:

1. While setting AO functions, make sure that the jumper setting of hardware match the corresponding setting in the software.

2. BASPro Monitor program is helpful when modifying the settings on-line. Or else the data will not change unless re-download the control page to BAS-3000 series DDC.


BAS-DI Function Block

BAS-DI function block is the mapping of digital input channels of BAS-3000 series DDC in BASPro software. Operations like accessing I/O data of the digital input channels of BAS-3000 series DDC should be done through this function block.

This block can be found in the local tags list of the basic function block list:

BAS-DI in the basic function blocks list

By dragging it to control page, we can see BAS-DI block as below:

BAS-DI function block in the control page

Double click the block or right click the block to check properties of the block. There are 3 tabs here: Generic, Connectors, Properties, which will be explained in sequence.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Block name | Displays block name and dragging sequence by default. | Text | BAS-DI _X
2 | Block description | Describes corresponding hardware information of this block Read only | Text | One DI Channel of BA Controllers Designed by Advantech.

2). Connectors

The input connectors on the left side of BAS-DI function block can be set. However, the output connectors on the right can not be set.

Input connectors of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Execute this function block or not 1: Yes 0: Skip For BAS-DI, the default setting should be done in property setting page.
2 | A/M | True | Boolean | False | True | Displays and sets running status and simulation status of this function block: A/M=1: real running status; A/M=0: simulation status.
3 | Start | True | Boolean | False | False | When DI does pulse input acquisition, start/stop setting 1 start 0 stop

Input connectors of analog data

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | IPort | 2 | Integer | False | Communication Port setting, when does Modbus RTU communication via COM Port
2 | Mop | 0 | Integer | True | Displays and sets simulated digital input of specific channel of specific function block.
3 | Type | 0 | Integer | False | Displays analog input type of specific channel of specific function block. Read only.
4 | SW | 0 | Integer | True | Short for DIP switch, corresponds to Hardware DIP switch setting.
5 | CH | 0 | Integer | True | Short for Channel, mark specific channel of specific block with settings of Channel.
6 | Count | 16 | Integer | False | Short for Channel Number, It's designed just for applying Modbus RTU to access remote I/O. For example, if this function block is for BAS-3050(8 channels DI) you should set as 8, if for BAS-3051(16 channel) you should set as 16.
7 | Edge | 0 | Integer | False | Displays the edge setting when acquires pulse input 0 Rising edge 1 Falling edge

The output connector of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | ERR | False | Boolean | False | True | Displays communication status of specific channel of specific block. The default display setting is Hide. 0: Normal 1: abnormal

Output connectors of analog data

Item | Name | Default Value | Data Type | Decimal | Display Type | Description
1 | OUT | 0 | Integer | 0 |  | Displays digital input of specific channel of specific block or simulated digital input.
2 | DType |  | Text | 0 |  | Displays Data Type of the specific channel of specific block. For example: 1 DI 2 Accumulator 3 Pulse Input

Output connectors of text type data

Item | Name | Type | Description
1 | MOD | Text | Display communication message

3). Properties

Item | Name | Description
1 | Bg Color | Color setting: Selects background color for function block.
2 | Comm Type | Communication type setting: Sets communication based on Modbus TCP or RTU. The default setting is Modbus TCP communication type.
3 | IPAddress | IP address setting: Sets IP address for BAS-DI. The default setting is:11.0.0.2. Other available IP address can be set in simulation mode.
4 | SocketPort | Communication port setting: Sets communication ports of Modbus TCP. The default setting is: 502, Read Only.

Note:

1. BASPro Monitor program is helpful when modifying the settings on-line. Or else the data will not change unless re-download the control page to BAS-3000 series DDC.


BAS-DO Function Block

BAS-DO function block is the mapping of digital output channels of BAS-3000 series DDC in BASPro software. Operations like accessing I/O data of the digital output channels of BAS-3000 series DDC should be done through this function block.

This block can be found in the local tags list of the basic function block list:

BAS-DO in the basic function blocks list

By dragging it to control page, we can see BAS-DO block as below:

BAS-DO function block in the control page

Double click the block or right click the block to check properties of the block. There are 3 tabs here: Generic, Connectors, Properties, which will be explained in sequence.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Block name | Displays block name and dragging sequence by default. | Text | BAS-DO _X
2 | Block description | Describes corresponding hardware information of this block Read only | Text | One DO Channel of BA Controllers Designed by Advantech.

2). Connectors

The input connectors on the left side of BAS-DO function block can be set. However, the output connectors on the right can not be set.

Input connectors of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Execute this function block or not 1: Yes 0: Skip For BAS-DO, the default setting should be done in property setting page.
2 | A/M | True | Boolean | False | True | Displays and sets running status and simulation status of this function block: A/M=1: real running status; A/M=0: simulation status.
3 | Mop | False | Boolean | False | True | Displays and sets simulated digital output of specific channel of specific function block.
4 | Start | True | Boolean | False | True | Displays and sets PWM output trigger of specific channel of specific function block.
5 | IN | False | Boolean | False | True | Displays and sets real digital output of specific channel of specific function block.

Input connectors of analog data

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | IPort | 2 | Integer | False | Communication Port setting, when does Modbus RTU communication via COM Port
2 | Type | 0 | Integer | False | Displays digital input type of specific channel of specific function block. Read only.
3 | SW | 0 | Integer | True | Short for DIP switch, corresponds to Hardware DIP switch setting.
4 | CH | 0 | Integer | True | Short for Channel, mark specific channel of specific block with settings of Channel.
5 | Count | 8 | Integer | False | Short for Channel Number, It's designed just for applying Modbus RTU to access remote I/O. For example, if this function block is for BAS-3050(8 channels DO) you should set as 8.
6 | DutyCy | 50.00 | Float | False | Duty cycle setting when DO as PWM output (input range: 0.1~100, decimal=0.1, unit =%)
7 | Period | 1.00 | Float | False | Period setting when DO as PWM output (input range: 0.1~3600, unit=second )

Note: When DO as PWM output, the minimization duty time=1ms, when period=1s, duty cycle=0.1%, then duty time=1000ms*0.1/100=1ms.

Output connectors of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | ERR | False | Boolean | False | True | Displays communication status of specific channel of specific block. The default display setting is Hide. 0: Normal 1: abnormal

Output connectors of analog data

Item | Name | Default Value | Data Type | Decimal | Description
1 | V | False | Boolean | 0 | Displays digital output of specific channel of specific block or simulated digital output.
2 | DType |  | Text | 0 | Displays data type of the specific channel of specific block. For example: 1 DO 2 PWM

Output connectors of text type data

Item | Name | Type | Description
1 | MOD | Text | Display communication message

3). Properties

Item | Name | Description
1 | Bg Color | Color setting: Select background color for function block.
2 | Comm Type | Communication type setting: Sets communication based on Modbus TCP or RTU. The default setting is Modbus TCP communication type.
3 | IPAddress | IP address setting: Sets IP address for BAS-DO. The default setting is:11.0.0.2. Other available IP address can be set in simulation mode.
4 | SocketPort | Communication port setting: Sets communication ports of Modbus TCP. The default setting is: 502, Read Only.

Note:

1. BASPro Monitor program is helpful when modifying the settings on-line. Or else the data will not change unless re-download the control page to BAS-3000 series DDC.


Serial Port Function Block

Serial port function block remotely reads value of specified device through specific communication port.

This block can be found in the Comm Link tags list of the basic function block list:

Serial in the basic function blocks list

To execute this function block, the user need to select the function block and drag it to the control page. Serial port function block is shown as below:

Serial port function block in the control page

Right-click the block to check the properties of the block. There are three tabs here: Generic , Connectors, Properties, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | SERIAL_X
2 | Description | A text to describe the content of this block. Read only | Text | Setting the Serial Communication Parameter

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: can 0: cannot

Input connectors of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | Cycle | 2000 | Integer | True | Scan time interval.
2 | Port | 2 | Integer | True | Communication port number (1~2)
3 | Baud | 9600 | Integer | True | [Telecommunication] Baud Rate.
4 | Parity | 0 | Integer | True | 0: NONE 1: ODD 2: EVEN
5 | Data Bit | 8 | Integer | True | Data bit.
6 | Stop Bit | 1 | Integer | True | Stop bit.
7 | Time Out | 5000 | Integer | True | communication timeout time (Unit: ms).
8 | PKTDT | 8 | Integer | True | Packet Delay Time (Unit: ms).
9 | Retry | 3 | Integer | True | Retry times if communication failed
10 | RecoveryT | 120 | Integer | True | Recovery time (Unit: second) if communication failed

N ote:
1. This port number is assigned to a specific thread of the program of the controller, you can link it to the Iport connector of MB-AI/MB-AO/MB-DI/MB-DO or BAS-DI/BAS-DO/BAS-UI/BAS-AO( just for BAS-3500 series DDC).
2. No parameter can be changed in simulation mode or online mode. please modify them in BASProBuilder routine.

Output connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | QPort | 0 | Integer |  | True | Selects port number.
2 | Poll | 0 | Integer |  | True | Number of sent packet.
3 | Recv | 0 | Integer |  | True | Number of received packet.
4 | ERR | 0 | Integer |  | True | Error marks 1: Error 0: Normal

Note: Each port can be assigned only once. If several function blocks are connected to the controller via the same port, only the first function block will be executed. Error value "1" will return for other blocks.

3). Properties

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


ETHERNET Function Block

ETHERNET function block reads data from remote device through specified network interface.

This block can be found in the Comm Link tags list of the basic function block list:

Ethernet in the basic function blocks list

To execute ETHERNET function block, the user need to select the block and then drag it to the control page. ETHERNET function block is shown as below:

ETHERNET function block in the control page

Right-click the block to check the properties of the block. There are three tabs here: Generic , Connectors, Properties, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | ETHERNET_X
2 | Description | A text to describe the content of this block. Read only | Text | Setting the Ethernet Communication Parameter

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: can 0: cannot

Input connectors of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | Cycle | 2000 | Integer | True | Scan time interval (Unit=ms).
2 | Port | 5 | Integer | True | Virtual port number (5~6).
3 | Time Out | 5000 | Integer | True | Valid communication time (Unit=ms).
4 | PKTDT | 8 | Integer | True | Delay time between two Packets (Unit=ms) .

N ote:
1. This port number is assigned to a specific thread of the program of the controller, you can link it to the Iport connector of MB-AI/MB-AO/MB-DI/MB-DO or BAS-DI/BAS-DO/BAS-UI/BAS-AO( just for BAS-3500 series DDC).
2. No parameter can be changed in simulation mode or online mode. please modify them in BASProBuilder routine.
Output connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | QPort | 0 | Integer |  | True | Select port number.
2 | Poll | 0 | Integer |  | True | Number of sent packet.
3 | Recv | 0 | Integer |  | True | Number of received packet.
4 | ERR | 0 | Integer |  | True | Error marks 1: Error 0: Normal

Note: Each port can be assigned only once. If several function blocks are connected to the controller via the same port, only the first function block will be executed. Error value "1" will return for other blocks.

3). Properties

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


MB-AI Function Block

MB-AI function block reads Modbus input register (Adress:3XXXX) or holding register (Adress:4XXXX) from other controllers via Ethernet interface or serial ports through Modbus TCP/RTU protocol. The user can convert analog unit to project unit by scaling the block.

This block can be found in the Comm Link tags list of the basic function block list:

MB-AI in the basic function blocks list

To execute MB-AI function block, the user need to select the block and then drag it to the control page. MB-AI function block is shown as below:

MB-AI function block

Right-click the block to check the properties of the block. There are three tabs here: Generic , Connectors, Properties, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | MB-AI_X
2 | Description | A text to describe the content of this block. Read only | Text | MB-AI Read Input/Holding registers (3XXXX/4XXXX) from MODBUS Server via Ethernet Network or Serial Port

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Bool ean | False | True | Can scan 1: can 0: cannot
2 | A/M | True | Bool ean | False | True | Operation mode: 1: Auto 0: Manual

Input connectors of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | IPort | 2 | Integer | True | Communication port number of serial port (1~2) and Ethernet interface (5~6).
2 | Type | 0 | Integer | True | Data Type of target data (0: floating, 1: Floating Swapped 2: 16 bit signed integer, 3: 16 bit unsigned integer, 4: 32 bit signed integer, 5: 32 bit unsigned integer).
3 | Count | 8 | Integer | True | Data count (Range: 1~8)
4 | MBAddr | 30001 | Integer | True | Modbus reads start address.
5 | DesAddr | 0 | Integer | True | Describes target address of Modbus in the controller to save values.

Output connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT1 | 0.000000 | Float | 2 | True | Reads value 1
2 | OUT2 | 0.000000 | Float | 2 | True | Reads value 2
3 | OUT3 | 0.000000 | Float | 2 | True | Reads value 3
4 | OUT4 | 0.000000 | Float | 2 | True | Reads value 4
5 | OUT5 | 0.000000 | Float | 2 | True | Reads value 5
6 | OUT6 | 0.000000 | Float | 2 | True | Reads value 6
7 | OUT7 | 0.000000 | Float | 2 | True | Reads value 7
8 | OUT8 | 0.000000 | Float | 2 | True | Reads value 8

Output connectors of string data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | Mod | Auto/Manual | Text | True | Chooses A/M mode 1: Auto 0: Manual
2 | DTYPE |  | Text | True | Data Type

Output connectors of digital data

Item | Name | Value | Data Type | Default Vaule for "Negate" | Default Value for "Show" | Description
1 | ERR | False | Bool ean | False | True | Error marks 1: Error, failed to read data 0: read data normally

3). Properties

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

Communication link

Item | Name | Description
1 | Comm Type | Selects communication protocol and interface. (Modbus RTU or TCP or NONE)

Communication Type 1: Modbus RTU

Item | Name | Description
1 | Unit | Address of remote I/O unit.

Communication Type 2:Modbus TCP

Item | Name | Description
1 | IPAddress | IP address of target station.
2 | SocketPort | Socket port number of target station.

Application routine I: serial port
Purpose: Port 2 with alarm function remotely monitors voltage via serial port communication.
Signals: Power Meter (Modbus 40001~40002)
Tag Name: PM-2
Link: CPU module, COMM2 (RS-485)

System block diagram

Step 1. Create a control page and drag SERIAL, MB-AI, Alarm to the page.
Step 2. Modify parameter of serial port 2 (ex: Cycle: Polling time: 5s, Port: 2, Baud Rate: 9600, Parity:0 (NONE), Data bit: 8, Stop bit:1, TimeOut:5000(ms))

 Note: Check the communication parameter of the device before modifying parameters of the function blocks.

Step 3. Assign communication link and device unit address for MB-AI (PM-2: Type: 0, Count: 8, DesAddr: In local Modbus data buffer, Start Modbus Address=40801).
Step 4. Simulate Step 3 to check whether the link is successful. If Dtype displays Data Type, the link is successful.

Step 5. Assign HH/H/L/LL limit (Alarm 3) for alarm function block.
Step 6. Link Serial2, PM-2(MB-AI) and Alarm2.
Step 7. Add page number for the control page.
Step 8. Select node name and download it to the controller.
Step 9. Monitor the status via BASPro Monitor tool.

Application routine II: network interface

System block diagram

Step 1. Create a control page and drag Ethernet and MB-AI to the page.
Step 2. Change parameter of ETHERNET to :Cycle: Polling Time :2 Sec, Port: 5 (Virtual Port 5 ~6), TimeOut: 5000(ms)

 Note: Check the communication parameter of the device before modifying parameters of the function blocks.

Step 3. Assign communication link and device unit address for MB-AI (PM-2: Type: Single register, Count: 8, DesAddr: In local Modbus data buffer, Start Modbus Address=40801)

 Note: Check parameters of MOD and Dtype in simulation mode, If Dtype displays Data Type, the link is successful.


MB-AI1 Function Block

MB-AI1 function block reads Modbus input register (Adress:3XXXX) or holding register (Adress:4XXXX) from other controllers via Ethernet interface or serial ports through Modbus TCP/RTU protocol. The user can convert analog unit to project unit by scaling the block.

This block can be found in the Comm Link tags list of the basic function block list:

MB-AI1 in the basic function blocks list

To execute MB-AI1 function block, the user need to select the block and then drag it to the control page. MB-AI1 function block is shown as below:

MB-AI1 function block

Right-click the block to check the properties of the block. There are three tabs here: Generic , Connectors, Properties, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | MB-AI1_X
2 | Description | A text to describe the content of this block. Read only | Text | MB-AI1 Read Input/Holding registers (3XXXX/4XXXX) from MODBUS Server via Ethernet Network or Serial Port

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Bool ean | False | True | Can scan 1: can 0: cannot
2 | A/M | True | Bool ean | False | True | Operation mode: 1: Auto 0: Manual

Input connectors of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | IPort | 2 | Integer | True | Communication port number of serial port (1~2) and Ethernet interface (5~6).
2 | Type | 0 | Integer | True | Data Type of target data (0: floating, 1: Floating Swapped 2: 16 bit signed integer, 3: 16 bit unsigned integer, 4: 32 bit signed integer, 5: 32 bit unsigned integer).
3 | Count | 8 | Integer | True | Data count (Range: 1~8)
4 | MBAddr | 30001 | Integer | True | Modbus reads start address.
5 | DesAddr | 0 | Integer | True | Describes target address of Modbus in the controller to save values.

Output connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | Real analog input value
2 | COUT | 0.000000 | Float | 2 | True | Scaled analog input value

Output connectors of string data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | Mod | Auto/Manual | Text | True | Chooses A/M mode 1: Auto 0: Manual
2 | DTYPE |  | Text | True | Data Type

Output connectors of digital data

Item | Name | Value | Data Type | Default Vaule for "Negate" | Default Value for "Show" | Description
1 | ERR | False | Bool ean | False | True | Error marks 1: Error, failed to read data 0: read data normally

3). Properties

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

Communication link

Item | Name | Description
1 | Comm Type | Selects communication protocol and interface. (Modbus RTU or TCP or NONE)

Communication Type 1: Modbus RTU

Item | Name | Description
1 | Unit | Address of remote I/O unit.

Communication Type 2:Modbus TCP

Item | Name | Description
1 | IPAddress | IP address of target station.
2 | SocketPort | Socket port number of target station.

Application routine I: serial port
Purpose: Port 2 with alarm function remotely monitors voltage via serial port communication.
Signals: Power Meter (Modbus 40001~40002)
Tag Name: PM-2
Link: CPU module, COMM2 (RS-485)

System block diagram

Step 1. Create a control page and drag SERIAL, MB-AI1, Alarm to the page.
Step 2. Modify parameter of serial port 2 (ex: Cycle: Polling time: 5s, Port: 2, Baud Rate: 9600, Parity:0 (NONE), Data bit: 8, Stop bit:1, TimeOut:5000(ms))

 Note: Check the communication parameter of the device before modifying parameters of the function blocks.

Step 3. Assign communication link and device unit address for MB-AI1 (PM-2: Type: 0, Count: 8, DesAddr: In local Modbus data buffer, Start Modbus Address=40801).
Step 4. Simulate Step 3 to check whether the link is successful. If Dtype displays Data Type, the link is successful.

Step 5. Assign HH/H/L/LL limit (Alarm 3) for alarm function block.
Step 6. Link Serial2, PM-2(MB-AI1) and Alarm2.
Step 7. Add page number for the control page.
Step 8. Select node name and download it to the controller.
Step 9. Monitor the status via BASPro Monitor tool.

Application routine II: network interface

System block diagram

Step 1. Create a control page and drag Ethernet and MB-AI1 to the page.
Step 2. Change parameter of ETHERNET to :Cycle: Polling Time :2 Sec, Port: 5 (Virtual Port 5 ~6), TimeOut: 5000(ms)

 Note: Check the communication parameter of the device before modifying parameters of the function blocks.

Step 3. Assign communication link and device unit address for MB-AI1 (PM-2: Type: Single register, Count: 8, DesAddr: In local Modbus data buffer, Start Modbus Address=40801)

 Note: Check parameters of MOD and Dtype in simulation mode, If Dtype displays Data Type, the link is successful.

Scale

Scale type: two options here: Auto Scale, MX+B. Before setting relevant parameter, the user needs to select a type first.

Scale type I: Auto Scale

Formula:
COUT= a * b + c
a = ((IN -InputLo) / (InputHi-InputLo))
b = (Output Hi - Output Lo)

c = Output Lo

Item | Parameter Name | Data Type | Description
1 | Output Hi | Float | The highest limit of COUT.
2 | Output Lo | Float | The lowest limit of COUT.
3 | InputHi | Float | The highest limit of input values.
4 | InputLo | Float | The lowest limit of input values.

Example:

If IN=32767, then COUT=50.00

COUT = a * b + c
= (IN -Input Lo)/ (Input Hi-Input Lo)) * (Output Hi - Output Lo) + Output Lo
= (32767-0)/(65535-0) * (100-0) + 0
=0.5 * 100+0
=50

Scale Type II: MX + B

This type converts input values via classic linear equation.

Formula: COUT = M * IN + B

Item | Parameter Name | Data Type | Description
1 | M | Float | Straight line slope.
2 | X |  | Reads data.
3 | B | Float | Cut of point of the straight line on x-axis.

Example:

If IN =10, M=1.0, B=0.5, then COUT = 10 * 1 + 0.5 =10.5


MB-AO Function Block

MB-AO function block writes holding register (Address: 4XXXX) to other controllers with serial ports or Ethernet network through Modbus TCP/RTU protocol.

This block can be found in the Comm Link tags list of the basic function block list:

MB-AO in the basic function blocks list

To execute MB-AO function block, the user need to select the block and then drag it to the control page. MB-AO function block is shown as below:

MB-AO function block

Right-click the block to check the properties of the block. There are three tabs here: Generic , Connectors, Properties, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | MB-AO_X
2 | Description | A text to describe the content of this block. Read only | Text | MB-AO Write Holding registers (4XXXX) to MODBUS Server via Ethernet Network or Serial Port

2). Connectors

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: can 0: cannot
2 | A/M | True | Boolean | False | True | Operation mode: 1: Auto 0: Manual

Input connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IPort | 2 | Integer | 0 | True | Communication port number of serial port (1~2) and Ethernet interface (5~6).
2 | IN | 0.00 | Float | 2 | True | Writes value.
3 | Mop | 0.00 | Float | 2 | True | Re-writes value manually.
4 | DeadBand | 0.00 | Float | 2 | True | Value in dead band(>=0), Only when fabs(IN-V)>DeadBand, then output value
5 | Type | 0 | Integer | 0 | True | Data type of written value (0: floating, 1: Floating Swapped 2: 16 bit signed integer, 3: 16 bit unsigned integer, 4: 32 bit signed integer, 5: 32 bit unsigned integer).
6 | MBAddr | 40001 | Integer | 0 | True | Modbus writes to target address.

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | V | 0.00 | Float | 2 | True | Reads value of I/O tabs before writing data.

Output connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | ERR | False | Boolean | False | True | Error marks 1: Error, failed to read data 0: Read data normally

Output connectors of string data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | Mod | Auto/Manual | Text | True | Chooses A/M mode 1: Auto 0: Manual
2 | DTYPE |  | Text | True | Data type

3). Properties

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

Communication link

Item | Name | Description
1 | Comm Type | Selects communication protocol and interface. (Modbus RTU or TCP or NONE)

Communication Type 1: MODBUS RTU

Item | Name | Description
1 | Unit | Address of remote I/O unit.

Communication Type 2: MODBUS TCP

Item | Name | Description
1 | IPAddress | IP address of target station.
2 | SocketPort | Socket port number of target station.

Communication link

Refer to MB_AI Function Block for detail information.

Scale:

Scale type: three options here: Auto Scale, MX+B, and No Scale. Before setting relevant parameter, the user needs to select a type first.

Scale type I: Auto Scale

Formula:
V = a * b + c
a = ((IN -InputLo) / (InputHi-InputLo))
b = (Output Hi - Output Lo)

c = Output Lo

Item | Parameter Name | Data Type | Description
1 | Output Hi | Float | The highest limit of V.
2 | Output Lo | Float | The lowest limit of V.
3 | InputHi | Float | The highest limit of input values.
4 | InputLo | Float | The lowest limit of input values.

Example:

If IN=32767, then V=50.00

V = a * b + c
= (IN -Input Lo)/ (Input Hi-Input Lo)) * (Output Hi - Output Lo) + Output Lo
= (32767-0)/(65535-0) * (100-0) + 0
=0.5 * 100+0
=50

Scale Type II: MX + B

This type converts input values via classic linear equation.

Formula: V = M * IN + B

Item | Parameter Name | Data Type | Description
1 | M | Float | Straight line slope.
2 | X |  | Reads data.
3 | B | Float | Cut of point of the straight line on x-axis.

Example:

If IN =10, M=1.0, B=0.5, then V = 10 * 1 + 0.5 =10.5

Scale Type III: No Scale

V = IN.

Clamp limit:

Item | Name | Range | Data Type | Description
1 | ClampHi |  | Float | Limits value of IN when greater than ClampHi.
2 | ClampLo |  | Float | Retains value of IN when smaller than ClampLo.

Note: Input value will be limited between ClampHi and ClampLo in running mode.

Disable operation: Two options: "Keep last value" or "User defined".
Keep last value: If value in EN connector of MB-AO turns to "False", write the last value to OUT.
User defined: If value in EN connector of MB-AO turns to "False", write the user defined value to OUT.


MB-DI Function Block

MB-DI function block reads Modbus input register or coil status (Address: 1XXXX or 0XXXX) from other controllers via Ethernet interface or serial ports through Modbus TCP/RTU protocol.

This block can be found in the Comm Link tags list of the basic function block list:

MB-DI in the basic function blocks list

To execute MB-DI function block, the user need to select the block and then drag it to the control page. MB-DI function block is shown as below:

MB-DI function block

Right-click the block to check the properties of the block. There are three tabs here: Generic , Connectors, Properties, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | MB-DI_X
2 | Description | A text to describe the content of this block. Read only | Text | MB-DI Read Input Status/Coil (0XXXX/1XXXX) from MODBUS Server via Ethernet Network or Serial Port

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: can 0: cannot
2 | A/M | True | Boolean | False | True | Operation mode 1: Auto 0: Manual

Input connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IPort | 2 | Integer |  | True | Communication port number of serial port (1~2) and Ethernet interface (5~6).
2 | Count | 8 | Integer |  | True | Data count (Range: 1~8)
3 | MBAddr | 10001 | Integer |  | True | Modbus reads start address.
4 | DesAddr | 532 | Integer |  | True | Describes target cell address of Modbus in the controller to save values.

The output connector of digital data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT1 | False | Boolean | False | True | Reads value 1
2 | OUT2 | False | Boolean | False | True | Reads value 2
3 | OUT3 | False | Boolean | False | True | Reads value 3
4 | OUT4 | False | Boolean | False | True | Reads value 4
5 | OUT5 | False | Boolean | False | True | Reads value 5
6 | OUT6 | False | Boolean | False | True | Reads value 6
7 | OUT7 | False | Boolean | False | True | Reads value 7
8 | OUT8 | False | Boolean | False | True | Reads value 8
9 | ERR | False | Boolean | False | True | Error marks 1: Error, failed to read data 0: Read data normally

Output connectors of string data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | Mod | Auto/Manual | Text | True | Chooses A/M mode 1: Auto 0: Manual

3). Properties

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

Communication link

Refer to MB_AI Function Block for detail information.


MB-DO Function Block

MB-DO function block writes an output coil to other controllers via Ethernet network or serial ports through Modbus TCP/RTU protocol.

This block can be found in the Comm Link tags list of the basic function block list:

MB-DO in the basic function blocks list

To execute MB-DO function block, the user need to select the block and then drag it to the control page. MB-DO function block is shown as below:

MB-DO function block

Right-click the block to check the properties of the block. There are three tabs here: Generic , Connectors, Properties, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | MB-DO_X
2 | Description | A text to describe the content of this block. Read only | Text | MB-DO Write coil Status (0XXXX) to MODBUS Server via Ethernet Network or Serial Port

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: can 0: cannot
2 | IN | False | Boolean | False | True | Writes value.
3 | Mop | False | Boolean | False | True | Re-writes value manually.
4 | A/M | True | Boolean | False | True | Operation mode: 1: Auto 0: Manual

Input connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IPort | 2 | Integer |  | True | Communication port number of serial port (1~2) and Ethernet interface (5~6).
2 | MBAddr | 1 | Integer |  | True | Modbus reads start address.

Output connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | V | False | Boolean | False | True | Reads value of I/O tabs before writing data.
2 | ERR | False | Boolean | False | True | Error marks 1: Error, failed to read data 0: Read data normally

Output connectors of string data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | Mod | Auto/Manual | Text | True | Chooses A/M mode 1: Auto 0: Manual

3) Properties

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

Communication link

Refer to MB_AI Function Block for detail information.

Disable operation: Two options: "Keep last value" or "User defined".
Keep last value: If value in EN connector of MB-DO turns to "False", IN value (Command output) will be the value in this cycle.
User defined: If value in EN connector of MB-DO turns to "False", IN value (Command output) will be the user defined value and written to OUT.


MB-DOS Function Block

MB-DOS function block writes multiple output coils status (Address: 0XXXX) to other controllers via Ethernet network or serial ports through Modbus TCP/RTU protocol.

This block can be found in the Comm Link tags list of the basic function block list:

MB-DOS in the basic function blocks list

To execute MB-DOS function block, the user need to select the block and then drag it to the control page. MB-DOS function block is shown as below:

MB-DOS function block

Right-click the block to check the properties of the block. There are three tabs here: Generic , Connectors, Properties, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | MB-DOS_X
2 | Description | A text to describe the content of this block. Read only | Text | MB-DOS Write multi-coils Status (0XXXX) to MODBUS Server via Ethernet Network or Serial Port

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: can 0: cannot
2 | IN | False | Boolean | False | True | Writes value.
3 | Mop | False | Boolean | False | True | Re-write value manually.
4 | A/M | True | Boolean | False | True | Operation mode: 1: Auto 0: Manual

Input connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IPort | 2 | Integer |  | True | Communication port number of serial port (1~2) and Ethernet interface (5~6).
2 | QTY | 1 (1~16) | Integer |  | True | DO output quantity read or written at a time.
3 | MBAddr | 1 | Integer |  | True | Modbus reads start address.

Output connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | V | False | Boolean | False | True | Reads value of I/O tabs before writing data.
2 | ERR | False | Boolean | False | True | Error marks 1: Error, failed to read data 0: Read data normally

Output connectors of string data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | Mod | Auto/Manual | Text | True | Chooses A/M mode 1: Auto 0: Manual

3) Properties

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

Communication link

Refer to MB_AI Function Block for detail information.

Disable operation: Two options: "Keep last value" or "User defined".
Keep last value: If value in EN connector of MB-DO turns to "False", IN value (Command output) will be the value in this cycle.
User defined: If value in EN connector of MB-DO turns to "False", IN value (Command output) will be the user defined value and written to OUT.


Logic Summary

Summary

Logic function blocks define output value depending on logics of all the input values.

Item | Block Name | Description
1 | AND | Defines output value depending on AND logic of all input values. If all values connected to IN are "True" (1), set output value to 1. Otherwise set it to "False" (0).
2 | OR | Defines output value depending on OR logic of all input values. If all values connected to IN are "True" (1), set output value to 1. Otherwise set it to "False" (0).
3 | NOT | Defines output value depending on NOT logic of all input values. Negate the IN value and transfer the result to OUT.
4 | NAND | Defines output value depending on NAND logic of all input values. If all the values connected to IN are True (1), the output value will be False (0) . Otherwise it will be True (1).
5 | NOR | Defines output value depending on NOR logic of all input values. If any value of IN is True, the output value will be False. Otherwise it will be True.
6 | XOR | Defines output value depending on XOR logic of all input values. If all values connected to IN differ from each other, the output value will be "True". Otherwise it will be "False" (0).
7 | EQ | When values of two INs equal (IN1=IN2), sets OUT to ON. Otherwise sets it to OFF.
8 | NE | When values of two INs are different, sets OUT to ON. Otherwise sets it to OFF.
9 | LT | When value of IN1 is less than value of INI2 (IN1<IN2) , sets OUT to ON. Otherwise, sets it to OFF.
10 | LE | When value of IN1 is less than or equal to value of INI2 (IN1¡ÜIN2) , sets OUT to ON. Otherwise, sets it to OFF.
11 | GT | When value of IN1 is greater than value of INI2 (IN1>IN2) , sets OUT to ON. Otherwise, sets it to OFF.
12 | GE | When value of IN1 is greater than or equal to value of INI2 (IN1¡ÝIN2) , sets OUT to ON. Otherwise, sets it to OFF.
13 | CMP | Sets mark bit of OUT by comparing IN1 and IN2. Refer to control logic list for the result.
14 | RS | Sets value of Q1 and value of Q2. Value of Q1 depends on connector S, connector R and last status value. While Q2 value is Q1 negation. Value of input connector S plays the decisive role.
15 | SR | Sets output value. Value of Q1 depends on connector R, connector S and last status value. While Q2 value is Q1 negation. Value of input connector R plays the decisive role.
16 | DFF | Defines output value depending on DFF logic of all input values. If connector TRG changes from 0 to 1, output value will be IN. Otherwise, last value will be kept in OUT.
17 | TRIG | Defines value of OUT, which depends on rising edge or falling edge of binary signal in OUT.

Logic function block list


AND Function Block

AND function block defines output value depending on AND logic of all input values. If all values connected to IN are ?/span>True?/span>(1), set output value to 1. Otherwise set it to 0.

To execute AND function block, the user need to select the block and then drag it to the control page. AND function block is shown as below:

AND function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Range | Initial Value
1 | Name | Block name | Text | -- | AND_X
2 | Description | A text to describe the content of this block. Read only | Text | -- | AND-The output is ON if all inputs are on, otherwise, it is OFF.
3 | Input Number | Number of input connectors | Integer | 2~10 | 2

Note: Only description part cannot be modified.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: can 0: cannot
2 | IN1 | False | Boolean | False | True | Input value IN1.
3 | IN2 | False | Boolean | False | True | Input value IN2.
(The user can set values of IN1~IN10)
11 | IN10 | False | Boolean | False | True | Input value IN10.

Note: IN1~IN10 will automatically change none zero values into 1 no matter Data Types of source tags are Boolean, Integer or Float.

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | Logic value of operator AND.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


OR Function Block

OR function block defines output value depending on OR logic of all input values. If all values connected to IN are "True" (1), set output value to 1. Otherwise set it to "False" (0).
To execute OR function block, the user need to select the block and then drag it to the control page. OR function block is shown as below:

OR function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.
1). Generic

Item | Name | Description | Type | Range | Initial Value
1 | Name | Block name | Text | -- | OR_X
2 | Description | A text to describe the content of this block. Read only | Text | -- | The output is ON if any connector inputs is ON ; Otherwise is OFF.
3 | Input Number | Number of input connectors | Integer | 2~10 | 2

Note: No item can be modified except Name.
¡¡

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | IN1 | False | Boolean | False | True | Input value IN1.
3 | IN2 | False | Boolean | False | True | Input value IN2.
(The user can set values of IN1~IN10)
11 | IN10 | False | Boolean | False | True | Input value IN10.

Note: IN1~IN10 will automatically change none zero values into 1 no matter Data Types of source tags are Boolean, Integer or Float.

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | Logic value of operator OR.

3). Properties

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


NOT Function Block

NOT function block efines output value depending on NOT logic of all input values. Negate the IN value and transfer the result to OUT.

To execute NOT function block, the user need to select the block and then drag it to the control page. NOT function block is shown as below:

NOT function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.
1). Generic

Item | Name | Description | Type | Initial value
1. | Name | Block Name | Text | NOT_X
2. | Description | A text to describe the content of this block. Read only | Text | NOT-The value connected to the input (IN) is performed INVERSE operation and set the result to the output (OUT).

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | IN | False | Boolean | False | True | Output

Note: IN1~IN10 will automatically change none zero values into 1 no matter data types of source tags are Boolean, Integer or Float.

The output connector of digital data

Item | Name | Value | Data type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | Logic value of operator NOT.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


NAND Function Block

NAND function block defines output value depending on NAND logic of all input values. If all the values connected to IN are True (1), the output value will be False (0) . Otherwise it will be True (1).

To execute NAND function block, the user need to select the block and then drag it to the control page. NAND function block is shown as below:

NAND function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.
1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | NAND_X
2 | Description | A text to describe the content of this block. Read only | Text | The output is OFF if all connector inputs are ON ; Otherwise is ON.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | IN1 | False | Boolean | False | True | Output value 1.
3 | IN2 | False | Boolean | False | True | Output value 2.
(The user can set values of IN1~IN10)
11 | IN10 | False | Boolean | False | True | Output value 10.

Note: IN1~IN10 will automatically change none zero values into 1 no matter Data Types of source tags are Boolean, Integer or Float.

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | Logic value of operator NAND.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


NOR Function Block

NOR function block defines output value depending on NOR logic of all input values. If any value of IN is True, the output value will be False. Otherwise it will be True.

To execute NOR function block, the user need to select the block and then drag it to the control page. NOR function block is shown as below:

NOR function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.
1). Generic

Item | Name | Description | Type | Range | Initial Value
1 | Name | Block name | Text | -- | NOR_X
2 | Description | A text to describe the content of this block. Read only | Text | -- | NOR-If any values connected to the input (IN) are True , then set the output (OUT) to False, Otherwise set to True.
3 | Input Number | Number of input connectors | Integer | 2~10 | 2

¡¡

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | IN1 | False | Boolean | False | True | Input value 1.
3 | IN2 | False | Boolean | False | True | Input value 2.
(The user can set values of IN1~IN10)
11 | IN10 | False | Boolean | False | True | Input value 10.

Note: IN1~IN10 will automatically change none zero values into 1 no matter Data Types of source tags are Boolean, Integer or Float.

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | Logic value of operator NOR.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


XOR Function Block

XOR function block defines output value depending on XOR logic of all input values. If all values connected to IN differ from each other, the output value will be ?/span>True?/span>. Otherwise it will be ?/span>False?/span>(0)¡£

To execute XOR function block, the user need to select the block and then drag it to the control page. XOR function block is shown as below:

XOR function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.
1). Generic

Item | Name | Description | Type | Initial value
1 | Name | Block name | Text | XOR_X
2 | Description | A text to describe the content of this block. Read only | Text | XOR-The output (OUT) is ON if connector inputs IN1, IN2 are different, Otherwise is off.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | IN1 | False | Boolean | False | True | Output value 1.
3 | IN2 | False | Boolean | False | True | Output value 2.

The output connector of digital data

Item | Name | Value | Data type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | Logic value of operator XOR.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


EQ Function Block

When values of two INs equal (IN1=IN2), EQ function block sets OUT to ON. Otherwise sets it to OFF.

To execute EQ function block, the user need to select the block and then drag it to the control page. EQ function block is shown as below:

EQ function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | EQ_X
2 | Description | A text to describe the content of this block. Read only | Text | EQ-The output is ON if IN1 is equal to IN2.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

Input connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN1 | 0.000000 | Float | 2 | True | Output value 1.
2 | IN2 | 0.000000 | Float | 2 | True | Output.

Note:

1: Values of IN1 and IN2 are 1 by default.

2: The uses cannot select Data Type of IN. However, different Data Types of other function blocks can be connected to IN. Data Types will convert automatically.

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | Logic value of operator EQ.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

Item | IF |  | THEN
 | Condition |  | Action
 | IN1 | IN2 | OUT
1 | < > |  | 0
2 | = |  | 1


NE Function Block

When values of two INs are different, NE function block sets OUT to ON. Otherwise sets it to OFF.

To execute NE function block, the user need to select the block and then drag it to the control page. NE function block is shown as below:

NE function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.
1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | NE_X
2 | Description | A text to describe the content of this block. Read only | Text | NE-The output is ON if IN1 is not equal to IN2.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

Input connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN1 | 0.000000 | Float | 2 | True | Output value 1.
2 | IN2 | 0.000000 | Float | 2 | True | Output value 2.

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | Logic value of operator NE.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

Item | IF |  | THEN
 | Condition |  | Action
 | IN1 | IN2 | OUT
1 | < > |  | 1
2 | = |  | 0


LT Function Block

When value of IN1 is less than value of INI2 (IN1<IN2) , LT function block sets OUT to ON. Otherwise, sets it to OFF.

To execute LT function block, the user need to select the block and then drag it to the control page. LT function block is shown as below:

LT function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.
1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | LT_X
2 | Description | A text to describe the content of this block. Read only | Text | LT-The output is ON if IN1 is less than IN2.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

Input connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN1 | 0.000000 | Float | 2 | True | Output value 1.
2 | IN2 | 0.000000 | Float | 2 | True | Output value 2.

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | Logic value of operator LT.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

Item | IF |  | THEN
 | Condition |  | Action
 | IN1 | IN2 | OUT
1 | < |  | 1
2 | > = |  | 0


LE Function Block

When value of IN1 is less than or equal to value of INI2 (IN1¡ÜIN2) , LE function block sets OUT to ON. Otherwise, sets it to OFF.

To execute LLE function block, the user need to select the block and then drag it to the control page. LE function block is shown as below:

LE function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.
1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | LE_X
2 | Description | A text to describe the content of this block. Read only | Text | LE-The output is ON if IN1 is less than or equal to IN2.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

Input connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN1 | 0.000000 | Float | 2 | True | Output value 1.
2 | IN2 | 0.000000 | Float | 2 | True | Output value 2.

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | Logic value of operator LE.

3). Properties:

Color: Select background color for function block.¡£

Item | Name | Description
1 | Bg Color |

4). Control logic list

Item | IF |  | THEN
 | Condition |  | Action
 | IN1 | IN2 | OUT
1 | < = |  | 1
2 | > |  | 0


GT Function Block

When value of IN1 is greater than value of INI2 (IN1>IN2) , GT function block sets OUT to ON. Otherwise, sets it to OFF.

To execute GT function block, the user need to select the block and then drag it to the control page. GT function block is shown as below:

GT function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.
1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | GT_X
2 | Description | A text to describe the content of this block. Read only | Text | GT-The output is ON if IN1 is Greater than IN2.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

Input connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN1 | 0.000000 | Float | 2 | True | Output value 1.
2 | IN2 | 0.000000 | Float | 2 | True | Output value 2.

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | Logic value of operator GT.

3). Properties:

Color: Select background color for function block.¡£

Item | Name | Description
1 | Bg Color |

4). Control logic list

Item | IF |  | THEN
 | Condition |  | Action
 | IN1 | IN2 | OUT
1 | > |  | 1
2 | < = |  | 0


GE Function Block

When value of IN1 is greater than or equal to value of INI2 (IN1¡ÝIN2) , GE function block sets OUT to ON. Otherwise, sets it to OFF.

To execute GE function block, the user need to select the block and then drag it to the control page. GE function block is shown as below:

GE function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.
1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | GE_X
2 | Description | A text to describe the content of this block. Read only | Text | GE-The output is ON if IN1 is Greater than or equal to IN2.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

Input connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN1 | 0.000000 | Float | 2 | True | Output value 1.
2 | IN2 | 0.000000 | Float | 2 | True | Output value 2.

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | Logic value of operator GE.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

Item | IF |  | THEN
 | Condition |  | Action
 | IN1 | IN2 | OUT
1 | > = |  | 1
2 | < |  | 0


CMP Function Block

CMP function block sets mark bit of OUT by comparing IN1 and IN2. Refer to control logic list for the result.

To execute CMP function block, the user need to select the block and then drag it to the control page. CMP function block is shown as below:

CMP function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | CMP_X
2 | Description | A text to describe the content of this block. Read only | Text | CMP-The IN1 is compared with IN2 and set the relative output flag.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

Input connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN1 | 0.000000 | Float | 2 | True | Output value 1.
2 | IN2 | 0.000000 | Float | 2 | True | Output value 2.

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | GT | False | Boolean | False | True | If IN1>IN2, Output value will be ON.
2 | GE | False | Boolean | False | True | If IN1≧IN2, Output value will be ON.
3 | EQ | False | Boolean | False | True | If IN1=IN2, Output value will be ON.
4 | LE | False | Boolean | False | True | If IN1<IN2, Output value will be ON.
5 | LT | False | Boolean | False | True | If IN1≦IN2, Output value will be ON.

3). Properties:

Color: Select background color for function block.¡£

Item | Name | Description
1 | Bg Color |

4). Control logic list

Item | IF |  | THEN
 | Condition |  | Action
 | IN1 | IN2 | GT | GE | EQ | LE | LT
1 | < |  | 0 | 0 | 0 | 1 | 1
2 | = |  | 0 | 1 | 1 | 1 | 0
3 | > |  | 1 | 1 | 0 | 0 | 0


RS Function Block

RS function block sets value of Q1 and value of Q2. Value of Q1 depends on connector S, connector R and last status value. While Q2 value is Q1 negation. Value of input connector S plays the decisive role.

To execute RS function block, the user need to select the block and then drag it to the control page. RS function block is shown as below:

RS function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.
1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | RS_X
2 | Description | A text to describe the content of this block. Read only | Text | RS Flip-Flop ,The value of Input Connector S is dominant.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

 Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | R | False | Boolean | False | True | Reset negation.
3 | S | False | Boolean | False | True | Set negation.

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | Q1 | False | Boolean | False | True | Logic value of RS-FF operation.
2 | Q2 | False | Boolean | False | True | Q1 negation.
3 | F | False | Boolean | False | True | Mark inside the system.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list
 If connector S is True (1), connector Q1 will be True and keep the value until restart.
Reset Q1 to False (0), If RST=1, SET=0.
If SET=1 and RST=1, Q1 will be1 .

Item | IF |  |  | THEN
 | Condition |  |  | Action
 | S | R | Status of OUT in last cycle | Q1 | Q2 (Q1Negation)
1 | 0 | 0 | 0 | 0 | 1
2 | 0 | 0 | 1 | 1 | 0
3 | 0 | 1 | 0 | 0 | 1
4 | 0 | 1 | 1 | 0 | 1
5 | 1 | 0 | 0 | 1 | 0
6 | 1 | 0 | 1 | 1 | 0
7 | 1 | 1 | 0 | 1 | 0
8 | 1 | 1 | 1 | 1 | 0


SR Function Block

SR function block sets output value. Value of Q1 depends on connector R, connector S and last status value. While Q2 value is Q1 negation. Value of input connector R plays the decisive role.

To execute SR function block, the user need to select the block and then drag it to the control page. SR function block is shown as below:

SR function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | SR_X
2 | Description | A text to describe the content of this block. Read only | Text | SR Flip-Flop ,The value of Input Connector R is dominant.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | R | False | Boolean | False | True | Discrete input signal variables (Boolean). Reset F-F.
3 | S | False | Boolean | False | True | Discrete input signal variables (Boolean). Set F-F.

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | Q1 | False | Boolean | False | True | Logic value of RS-FF operation.
2 | Q2 | False | Boolean | False | True | Q1 negation.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

Item | IF |  |  | THEN
 | Condition |  |  | Action
 | S | R | Status of OUT in last cycle | Q1 | Q2 (Q1Negation) | F
1 | 0 | 0 | 0 | 0 | 1 |
2 | 0 | 0 | 1 | 1 | 0 |
3 | 0 | 1 | 0 | 0 | 1 |
4 | 0 | 1 | 1 | 0 | 0 |
5 | 1 | 0 | 0 | 1 | 0 |
6 | 1 | 0 | 1 | 1 | 0 |
7 | 1 | 1 | 0 | 0 | 1 |
8 | 1 | 1 | 1 | 0 | 1 |


DFF Function Block

DFF function block defines output value depending on DFF logic of all input values. If connector TRG changes from 0 to 1, output value will be IN. Otherwise, last value will be kept in OUT.

To execute DFF function block, the user need to select the block and then drag it to the control page. DFF function block is shown as below:

DFF function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.
1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | DFF_X
2 | Description | A text to describe the content of this block. Read only | Text | If the value of the TRG is changed from 0 to 1 (True) , then set the value of OUT as IN, Otherwise OUT is still keep last value.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | TRG | False | Boolean | False | True | Trigger signal.

The input connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN | 0.000000 | Float | 2 | True | Input value.

Output connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT1 | 0.000000 | Float | 2 | True |
2 | OUT2 | 0.000000 | Float | 2 | True |

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

Item | IF |  | THEN
 | Condition |  | Action
 | Initial | TRG | OUT1
1 | 1 | 1 | =IN
2 | 1 | 0 | =0.00
3 | 0 | 1 | =IN
4 | 0 | 0 | = keep last value


TRIG Function Block

TRIG function block defines value of OUT, which depends on rising edge or falling edge of binary signal in OUT.

To execute TRIG function block, the user need to select the block and then drag it to the control page. TRIG function block is shown as below:

TRIG function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.
1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | TRIG_X
2 | Description | A text to describe the content of this block. Read only | Text | Detect the Rising or Falling edge state of Input binary signal

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | Edge | False | Boolean | False | True | Detects edge signal.
3 | LastV | False | Boolean | False | False | Status of edge signals in last cycle. (Used inside)

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | ERI | False | Boolean | False | True | If rising edge is detected, set ERI in a cycle to be 1 (True).
2 | EFA | False | Boolean | False | True | If falling edge is detected, set EFA in a cycle to be 1 (True).

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

Item | IF |  | THEN
 | Condition |  | Action
 | LastV | Edge | ERI | EFA
1 | 0 | 0 | 0 | 1
2 | 0 | 1 | 0→ 1→0 (3 cycles) | 0
3 | 1 | 0 | 0 | 0→ 1→0 (3 cycles)
4 | 1 | 1 | 0 | 0


Math Summary

Summary

Math function blocks define output value depending on the numeral calculation results of all input values.

Item | Block Name | Description
1 | ADD | Performs add operation of IN values and transfers the result to OUT.
2 | SUB | Performs subtraction operation of IN1 and IN2 and transfers the result to OUT.
3 | MUL | Performs multiply operation of IN1 and IN2 and transfers the result to OUT.
4 | DIV | Divides IN1 by IN2 and transfers the result to OUT.
5 | EXP | Performs power exponent operation of IN values and transfers the result to OUT.
6 | SQRT | Performs sqrt operation of IN values and transfers the result to OUT.
7 | MAX | Transfers the maximum value among all IN (no more than 10) values to OUT.
8 | MIN | Transfers the minimum value among all IN (no more than 10) values to OUT.
9 | AVG | Transfers the average value among all IN (no more than 10) values to OUT.
10 | LOG | Gets logarithm of 10 of IN values and transfer the result to OUT.
11 | LN | Gets natural logarithm of IN values and transfer the result to OUT.
12 | ABS | Gets ABS of IN values and transfer the result to OUT.
13 | Scale | Includes formula MX+B and formula SLope.
13.1 | MX+B | The formula is: COUT=M * IN + B
13.2 | SLope | The formula is: COUT = (IN -InputLo) / (InputHi-InputLo) * (Output Hi - Output Lo) + Output Lo
14 | HILOLIM | Performs the High/Low limit function of input value, mode1
15 | HILOLIM2 | Performs the High/Low limit function of input value, mode2
16 | HILOLIM3 | Performs the High/Low limit function of input value, mode3
17 | Filter | Provide High/Low limit, if keep special period then set error as true

Math function block list


ADD Function Block

ADD function block performs add operation of IN(IN1...IN10) values and transfers the result to OUT.

To execute ADD function block, the user need to select the block and then drag it to the control page. ADD function block is shown as below:

ADD function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Range | Initial Value
1 | Name | Block name. | Text | -- | ADDx
2 | Description | A text to describe the content of this block. Read only | Text | -- | ADD-The result of the output connector is the sum of all the values of input connectors.
3 | Input Number | Number of input connectors. | Integer | 2~10 | 2

Note: Only description part cannot be modified.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

Input connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN1 | 0.000000 | Float | 2 | True | Value 1 which will be added.
2 | IN2 | 0.000000 | Float | 2 | True | Value 2 which will be added.
Input connectors 1~10
10 | IN10 | 0.000000 | Float | 2 | True | Value 10 which will be added.

Note: Values of IN1~IN10 are 0 by default. Data Type is selectable.

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | =IN1+IN2+...+IN10

Note: Data type is selectable.

3). Properties
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


SUB Function Block

SUB function block performs subtraction operation of IN1 and IN2 and transfers the result to OUT.

To execute SUB function block, the user need to select the block and then drag it to the control page. SUB function block is shown as below:

SUB function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic :

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | SUB_X
2 | Description | A text to describe the content of this block. Read only | Text | SUB-The result of the output connector is the result of the IN1 subtracts the IN2.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

Input connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN1 | 0.000000 | Float | 2 | True | Input value
2 | IN2 | 0.000000 | Float | 2 | True | Input value

Note: Values of IN1and IN2 are 0 by default. Data Type is selectable.

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | =IN1-IN2

Note: Data type is selectable.

3). Properties:
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


MUL Function Block

MUL function block performs multiply operation of IN1 and IN2 and transfers the result to OUT.

To execute MUL function block, the user need to select the block and then drag it to the control page. MUL function block is shown as below:

MUL function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Range | Initial Value
1 | Name | Block name | Text | -- | MUL_X
2 | Description | A text to describe the content of this block. Read only | Text | -- | MUL-The result of the output connector is the result of the Input1(NI1) multiplies the Input2(IN2) until the Input10(IN10).
3 | Input Number | Number of input connectors. | Integer | 2~10 | 2

Note: Only description part cannot be modified.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

Input connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN1 | 1.000000 | Float | 2 | True | Value 1 which will be multiplied.
2 | IN2 | 1.000000 | Float | 2 | True | Value 2 which will be multiplied.
Input connectors 1~10
10 | IN10 | 0.000000 | Float | 2 | False | Value 10 which will be multiplied.

Note: Values of IN1 and IN2 are 1.00 by default, IN3~IN10 are 0.00 by default.

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | =IN1*IN2*...*IN10

 Note: Data type cannot be selected. But it can be converted to Integer by connecting to FloatToInt block.

3). Properties:
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


DIV Function Block

DIV function block dvides IN1 by IN2 and transfers the result to OUT.

To execute DIV function block, the user need to select the block and then drag it to the control page. DIV function block is shown as below:

DIV function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic :

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | DIV_X
2 | Description | A text to describe the content of this block. Read only | Text | DIV-The result of the output connector is the Input1 (IN1) divided by the Input2 (IN2).

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

Input connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN1 | 1.000000 | Float | 2 | True | Dividend
2 | IN2 | 1.000000 | Float | 2 | True | Divisor

Note: Values of IN1~IN2 are 1 by default.

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | =IN1/IN2

Note: Data type cannot be selected. But it can be converted to Integer by connecting to FloatToInt block.

3). Properties:
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


EXP Function Block

EXP function block performs power exponent operation of IN values and transfers the result to OUT.

To execute EXP function block, the user need to select the block and then drag it to the control page. EXP function block is shown as below:

EXP function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | EXP_X
2 | Description | A text to describe the content of this block. Read only | Text | EXP-The result of the output connector as the value of an exponential operation of the input connector.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN | 1.000000 | Float | 2 | True | Input value

Note: Values of IN are 1by default.

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | =Exp（IN）

Note: Data type cannot be selected. But it can be converted to Integer by connecting to F2I data function block.

3). Properties:
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


SQRT Function Block

SQRT function block performs sqrt operation of IN values and transfers the result to OUT.

To execute SQRT function block, the user need to select the block and then drag it to the control page. SQRT function block is shown as below:

SQRT function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | SQRT_X
2 | Description | A text to describe the content of this block. Read only | Text | SQRT-The result of the output connector as the value of a square root operation of the input connector.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN | 1.000000 | Float | 2 | True | Input value

Note: Values of IN are 1by default.

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | =SQRT（IN）

Note: Data type cannot be selected. But it can be converted to Integer by connecting to F2I function block.

3). Properties:
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


MAX Function Block

MAX function block transfers the maximum value among all IN (no more than 10) values to OUT.

To execute MAX function block, the user need to select the block and then drag it to the control page. MAX function block is shown as below:

MAXfunction block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Range | Initial Value
1 | Name | Block name | Text | -- | MAX_X
2 | Description | A text to describe the content of this block. Read only | Text | -- | MAX-The result of the output connector as the value of the largest value among the input connectors' value, no more than 10 input values.
3 | Input Number | Number of input connectors. | Integer | 2~10 | 2

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

Input connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN1 | 0.000000 | Float | 2 | True | Value 1
2 | IN2 | 0.000000 | Float | 2 | True | Value 2
Input connectors 1~10
10 | IN10 | 0.000000 | Float | 2 | True | Value 10

Note: All values of IN are 0 by default.

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | =MAX（IN1, ..., N10）

Note: Data type cannot be selected. But it can be converted to Integer by connecting to F2I function block.

3). Properties:
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


MIN Function Block

MIN function block transfers the minimum value among all IN (no more than 10) values to OUT.

To execute MIN function block, the user need to select the block and then drag it to the control page. MIN function block is shown as below:

MIN function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Range | Initial Value
1 | Name | Block name | Text | -- | MIN_X
2 | Description | A text to describe the content of this block. Read only | Text | -- | MIN-The result of the output connector as the value of the lowest value among the input connectors' value, no more than 10 input values.
3 | Input Number | Number of input connectors. | Integer | 2~10 | 2

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

Input connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN1 | 0.000000 | Float | 2 | True | Value 1
2 | IN2 | 0.000000 | Float | 2 | True | Value 2
Input connectors 1~10
10 | IN10 | 0.000000 | Float | 2 | True | Value 10

Note: All values of IN are 0 by default.

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | =MIN（IN1, ..., N10）

Note: Data type cannot be selected. But it can be converted to Integer by connecting to F2I data function block.

3). Properties:
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


AVG Function Block

The AVG function block transfers the average value among all IN values (no more than 10) to OUT.

To execute the AVG function block, the user needs to select the block and then drag it to the control page. The AVG function block is shown below:

AVG function block

Right-click the block to check the properties. There are two tabs here, "Generic" and "Connectors," which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Range | Initial Value
1 | Name | Block name | Text | -- | AVG_X
2 | Description | A text to describe the content of this block Read only | Text | -- | AVG-The result of the output connector as the average value of the input connectors' value, no more than 10 input values.
3 | Input Number | Number of input connectors | Integer | 2~10 | 2

2). Connectors

On the left of the function block there are input connectors, while on the right there are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

Input connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN1 | 0.000000 | Float | 2 | True | Input value IN1
2 | IN2 | 0.000000 | Float | 2 | True | Input value IN2
3 | IN3 | 0.000000 | Float | 2 | True | Input value IN3
(The user can set values of IN1~IN10)
10 | IN10 | 0.000000 | Float | 2 | False | Input value IN10

Note: All values of IN are 0.00 by default.

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | =AVG（IN1, IN2, IN3, ... until N10）

Note: Data type cannot be selected, but it can be converted to Integer by connecting to a F2I function block.

3). Properties:
Color: Select the background color for the function block.

Item | Name | Description
1 | Bg Color |


LOG Function Block

LOG function block gets logarithm of 10 of IN values and transfer the result to OUT.

To execute LOG function block, the user need to select the block and then drag it to the control page. LOG function block is shown as below:

LOG function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic :

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | LOG_X
2 | Description | A text to describe the content of this block. Read only | Text | LOG-The result of the output connector as the value of the Log10 operation of the input connector value.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Initial Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN | 1.000000 | Float | 2 | True | Input value

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | =Log10（IN）

Note: Data type cannot be selected. But it can be converted to Integer by connecting to F2I data function block.

3). Properties:
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


LN Function Block

LN function block gets natural logarithm of IN values and transfer the result to OUT.

To execute LN function block, the user need to select the block and then drag it to the control page. LN function block is shown as below:

LN function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic :

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | LN_X
2 | Description | A text to describe the content of this block. Read only | Text | LN-The result of the output connector as the value of the natural Logarithm operation of the input connector.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Initial Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN | 1.000000 | Float | 2 | True | Input value

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | =Log（IN）

 Note: Data type cannot be selected. But it can be converted to Integer by connecting to F2I data function block.

3). Properties:
Color: Select the background color for function block.

Item | Name | Description
1 | Bg Color |


ABS Function Block

ABS function block gets ABS of IN values and transfer the result to OUT.

To execute ABS function block, the user need to select the block and then drag it to the control page. ABS function block is shown as below:

ABS function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | ABS_X
2 | Description | A text to describe the content of this block. Read only | Text | ABS-The result of the output connector as the value of Mathematical Absolute operation of the input connector.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Initial Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN | 0.000000 | Float | 2 | True | Input value

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | =ABS（IN）

Note: Data type cannot be selected. But it can be converted to Integer by connecting to F2I function block.

3). Properties:
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


SCALE Function Block

Scale function block provides linear relation formulas depending on relation between IN value and OUT value. The formula is COUT=M * IN + B or COUT = (IN -InputLo) / (InputHi-InputLo) * (Output Hi - Output Lo) + Output Lo

To execute SCALE function block, the user need to select the block and then drag it to the control page. SCALE function block is shown as below:

SCALE function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | SCALE_X
2 | Description | A text to describe the content of this block. Read only | Text | SCALE-To provide a straight-line equation .The formula is the output connector COUT = M* IN + B or COUT =( IN -InputLo) / (InputHi-InputLo) * (Output Hi - Output Lo) + Output Lo

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Initial Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN | 0.000000 | Float | 2 | True | Input value

Output connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | ROUT | 0.000000 | Float | 2 | True | Original data=IN
2 | COUT | 0.000000 | Float | 2 | True | Scale value

3).Properties

Scale

Scale type: two options here: Auto Scale, MX+B. Before setting relevant parameter, the user needs to select a type first.

Scale type I: Auto Scale

Formula:
COUT= a * b + c
a = ((IN -InputLo) / (InputHi-InputLo))
b = (Output Hi - Output Lo)

c = Output Lo

Item | Parameter Name | Data Type | Description
1 | Output Hi | Float | The highest limit of COUT.
2 | Output Lo | Float | The lowest limit of COUT.
3 | InputHi | Float | The highest limit of input values.
4 | InputLo | Float | The lowest limit of input values.

Example:

If IN=32767, then COUT=50.00

COUT = a * b + c
= (IN -Input Lo)/ (Input Hi-Input Lo)) * (Output Hi - Output Lo) + Output Lo
= (32767-0)/(65535-0) * (100-0) + 0
=0.5 * 100+0
=50

Scale Type II: MX + B

This type converts input values via classic linear equation.

Formula: COUT = M * IN + B

Item | Parameter Name | Data Type | Description
1 | M | Float | Straight line slope.
2 | X |  | Reads data.
3 | B | Float | Cut of point of the straight line on x-axis.

Example:

If IN =10, M=1.0, B=0.5, then COUT = 10 * 1 + 0.5 =10.5

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


High/Low Limit Function Block

HILOLIM Function Block

The HILOLIM function block provides the High/Low limit function of input value.

To execute the HILOLIM function block, the user needs to select the block and then drag it to the control page. The HILOLIM function block is shown below:

HILOLIM function block

Right-click the block to check the properties. There are two tabs here, "Generic" and "Connectors," which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | HILOLIM_X
2 | Description | A text to describe the content of this block Read only | Text | HILOLIM-To provide the High/Low limit function of input value.

2). Connectors

On the left of the function block there are input connectors, while on the right there are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Initial Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN | 0.000000 | Float | 2 | True | Input value

The output connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | Output Value

3).Properties

Item | Name | Description
1 | Bg Color |

Clamp Limit Setting

There are two items to set:

Formula:

If IN<=Clamp Lo

OUT = Clamp Lo

If IN>=Clamp Hi

OUT = Clamp Hi

If Clamp Lo < IN < Clamp Hi

OUT =IN

Item | Parameter Name | Data Type | Description
1 | Clamp Hi | Float | The highest limit
2 | Clamp Lo | Float | The lowest limit

Example:

If Clamp Lo = 20, Clamp Hi = 80, then when IN = 100, OUT = 80, when IN =10, OUT = 20, when IN = 50, OUT = 50.


High/Low Limit Function Block2

HILOLIM2 Function Block

The HILOLIM2 function block provides the High/Low limit function of input value.

To execute the HILOLIM2 function block, the user needs to select the block and then drag it to the control page. The HILOLIM2 function block is shown below:

HILOLIM2 function block

Right-click the block to check the properties. There are two tabs here, "Generic" and "Connectors," which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | HILOLIM2_X
2 | Description | A text to describe the content of this block Read only | Text | HILOLIM2-To provide the High/Low limit function of input value.

2). Connectors

On the left of the function block there are input connectors, while on the right there are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Initial Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN | 0.000000 | Float | 2 | True | Input value
2 | PreV1 | 0.000000 | Float | 2 | True | Previous value for Clamp High
3 | PreV2 | 0.000000 | Float | 2 | True | Previous value for Clamp Low

The output connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | Output Value

3).Properties

Item | Name | Description
1 | Bg Color |

Clamp Limit Setting

There are two items to set:

Formula:

If IN > Clamp Hi

OUT = PreV1

If IN < Clamp Lo

OUT = PreV2

If Clamp Lo < IN < Clamp Hi

OUT =IN

Item | Parameter Name | Data Type | Description
1 | Clamp Hi | Float | The highest limit
2 | Clamp Lo | Float | The lowest limit

Example:

If Clamp Lo = 20, Clamp Hi = 80, PreV1=60, PreV2= 40,

then,

when IN = 100, OUT = 60,

when IN =10, OUT = 40,

when IN = 50, OUT = 50.


High/Low Limit Function Block3

HILOLIM3 Function Block

The HILOLIM3 function block provides the High/Low limit function of input value.

To execute the HILOLIM3 function block, the user needs to select the block and then drag it to the control page. The HILOLIM3 function block is shown below:

HILOLIM3 function block

Right-click the block to check the properties. There are two tabs here, "Generic" and "Connectors," which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | HILOLIM3_X
2 | Description | A text to describe the content of this block Read only | Text | HILOLIM3-To provide the High/Low limit function of input value.

2). Connectors

On the left of the function block there are input connectors, while on the right there are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Initial Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN | 0.000000 | Float | 2 | True | Input value
2 | PreV | 0.000000 | Float | 2 | True | Previous value for Clamp

The output connectors of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | Output Value

3).Properties

Item | Name | Description
1 | Bg Color |

Clamp Limit Setting

There are two items to set:

Formula:

If Clamp Lo < IN < Clamp Hi

OUT = PreV

else

OUT =IN

Item | Parameter Name | Data Type | Description
1 | Clamp Hi | Float | The highest limit
2 | Clamp Lo | Float | The lowest limit

Example:

If Clamp Lo = 20, Clamp Hi = 80, PreV=100,

then,

when IN = 90, OUT = 90,

when IN =50, OUT = 100.


Filter Function Block

The Filter function block provides High/Low limit, if keep special period then set error as true.

To execute the Filter function block, the user needs to select the block and then drag it to the control page. The Filter function block is shown below:

Filter function block

Right-click the block to check the properties. There are two tabs here, "Generic" and "Connectors," which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | Filter_X
2 | Description | A text to describe the content of this block Read only | Text | Filter is defined to provide High/Low limit, if keep special period then set error as true

2). Connectors

On the left of the function block there are input connectors, while on the right there are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | Rst | False | Boolean | False | True | Reset the Err=1 status to Err=0
3 | AAck | False | Boolean | False | True | Auto acknowledge True=Auto False=Manual
4 | Reverse | False | Boolean | False | False | Reverse=1 then if Lo<=x<=Hi, Action, Reverse=0 then if x>Hi or x<Lo, Action

The input connector of analog data

Item | Name | Initial Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN | 0.00 | Float | 2 | True | Input value
2 | Hi | 100.00 | Float | 2 | True | High limit
3 | Lo | 0.00 | Float | 2 | True | Low limit
4 | Period | 1 | Integer | 0 | True | Keep time

The output connectors of digital data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | Err | False | Boolean | True | Err=1, alarm status Err=0, normal status

3).Properties

Item | Name | Description
1 | Bg Color |

Formula:

If IN<Lo or In> Hi and keep Period time, then Err=1,

If AAck=1, when IN return to Lo<=IN<=Hi, then Err=0, otherwise Err keep the status of 1 unless user set Rst=1.


TimerCounter Summary

Summary

Time Counter function blocks define time counter depending on input values.

Item | Block Name | Description
1 | OnDelay | When IN value changes from 0 to 1, a time delay will be generated. After the delay time, if IN value doesn't change, set Q to 1. If IN changes to 0. sets Q to 0.
2 | OffDelay | When IN value changes from 1 to 0, a time delay will be generated. After the delay time, if IN value doesn't change, set Q to 0. If IN changes to 1. sets Q to 1.
3 | UCnt | If IN value changes from 0 to 1, counter value (CV) will increase by 1. If CV≥PreV, Q value will be 1; otherwise Q=0. However, if CV≥65535, it will overflow; meanwhile OV=1, otherwise OV=0. If Rst value is 1, the counter will be reset. If Stop value is 1, the counter will stop.
4 | DCnt | If Set value is 1, CV value will be set to PreV value. If IN values changes from 0 to 1, CV will decrease by 1. When CV changes from 1 to 0, output value of Q will be 1.
5 | EPulse | EPulse function block sets signal value of output connector Q when IN value changes from 0 to 1 in specific time zone.
6 | TAcc | When IN value is 1, it counts runtime. When IN value is 0, the system stops the counter and doesn't reset it. Runtime of the counter will only be reset when Rst value is 1.
7 | T2Acc | When IN value is1, the counter starts and Min value of output connector increases by 1 per minute. If IN value is 0, Min value of output connector will be reset.
8 | T3Acc | When Start value is 1, the counter starts. If Stop value is 1, the counter will stop and Min value of output connector will be reset. The counter starts to count when restarted.

Time Counter function block list


OnDelay Function Block

OnDelay function block generates a time delay when IN value changes from 0 to 1. After the delay time, if IN value doesn't change, set Q to 1. If IN changes to 0, sets Q to 0.

To execute OnDelay function block, the user need to select the block and then drag it to the control page. OnDelay function block is shown as below:

OnDelay function block in the control page

Right-click the block to check the properties. There are three tabs here: Generic, Connectors and Properties, which will be introduced in sequence in the following paragraphs.

1). Generic:

Item | Name | Description
1 | Name | OnDelay
2 | Description | When IN value changes from 0 to 1, a time delay will be generated. After the delay time, if IN value doesn't change, set Q to 1. If IN changes to 0. sets Q to 0.

Note: Description and input number cannot be modified.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | IN | False | Boolean | True | True | Depends on whether the counter is running.

The input connector of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | DT | 0 | Integer | True | Preset time delay (Unit: depends on Unit connector)
2 | Unit | 0 | Integer | True | The DT Unit, 0=millisecond, as default 1=second 2=minute 3=hour 4=day

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | Q | False | Boolean | True | True | Delay output status 1: On 0: Off

The output connector of analog data

Item | Name | Value | Data Type | Range | Default Value for "Show" | Description
1 | TV | 0 | Integer |  | True | Current value of counter.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

Item | IF |  | THEN
 | Condition |  | Action
 | IN | TV vs. DT | DT | TV | Q
1 | 0 |  | Invalid | 0 | 0
2 | 0→1 |  | Active | Calculate | 0
3 | 1 | TV<DT | Active | Calculate | 0
 | 1 | TV≧DT | Invalid | Keep last value | 1
 | 1→0 |  | Invalid | 0 | 0


OffDelay Function Block

OffDelay function block generates a time delay when IN value changes from 1 to 0. After the delay time, if IN value doesn't change, set Q to 0. If IN changes to 1. sets Q to 1.

To execute OffDelay function block, the user need to select the block and then drag it to the control page. OffDelay function block is shown as below:

OffDelay function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic:

Item | Name | Description
1 | Name | OffDelay
2 | Description | When IN value changes from 1 to 0, a time delay will be generated. After the delay time, if IN value doesn't change, set Q to 0. If IN changes to 1. sets Q to 1.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | IN | False | Boolean | True | True | Input signal

The input connector of analog data

Item | Name | Value | Data Type | Default Value for "Sho w" | Description
1 | DT | 0 | Integer | True | Preset time delay. (Unit: depends on Unit connector)
2 | Unit | 0 | Integer | True | The DT Unit, 0=millisecond, as default 1=second 2=minute 3=hour 4=day

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | Q | False | Boolean | True | True | Delay output status 1: On 0: Off

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | TV | 0 | Integer |  | True | Current value of time delay.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

Select background color for function block.

4). Control logic list

When IN changes to ON, Q will be set to True.
When IN changes from True to False, the timercounter will start.
When TV = DT, Q will be set to False.

Item | IF |  | THEN
 | Condition |  | Action
 | IN | Timer Last Status | DT | TV | Q
1 | 0 | Invalid | Invalid | 0 | 0
2 | 0→1 | Invalid | Invalid | 0 | 1
3 | 1→0 | Invalid | Active | Calculate | 1
4 | 0 | Active | Time counter | Calculate | 1
5 | 0 | Time counter | Invalid | Keep last value | 0
6 | 0 | Invalid | Invalid | Keep last value | 0


UCnt Function Block

If the IN value changes from 0 to 1, the Counter Value (CV) will increase by 1. If CV ≥ PreV, the Q value will be 1. Otherwise the Q value will be 0. However, if CV >= 65535, it will overflow. Meanwhile OV = 1, otherwise OV = 0. If the Rst value is 1, the counter will be reset. If the Stop value is 1, the counter will stop.

Note： When UCnt Modbus Address is valid (During 40801~41200), the system can store the Current Value (CV) in hardware SRAM, if the power of SRAM is enough, the system can keep the value when the hardware power off. But the store value is bound with Modbus address, so don't change the Modbus address at random. When user changes the MBAddr in BASPro Monitor, the the value will be reset. Please be careful.

To execute the UCnt function block, the user needs to select the block and then drag it to the control page. The UCnt function block is shown below:

UCnt function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description
1 | Name | UCnt
2 | Description | If IN value changes from 0 to 1, counter value (CV) will increase by 1.

2). Connectors

On the left of the function block there are input connectors, while on the right there are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | IN | False | Boolean | True | True | Signal control 1: Start 0: Stop
3 | Rst | False | Boolean | True | True | Reset control 1: Reset 0: Not reset
4 | Stop | False | Boolean | True | True | Stop control 1: Stop 0: Not stop

The input connectors of analog data

Item | Name | Value | Data Type | Range | Default Value for "Show" | Description
1 | PreV | 0 | Integer |  | True | Preset value
2 | LastV | False | Boolean |  | False | Reserved value for inner use.

The output connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | Q | False | Boolean | True | True | Delay output status 1: On 0: Off
2 | OV | False | Boolean | True | True | Output overflow signal 1: CV ≧ 65535 0: CV < 65535

The output connector of analog data

Item | Name | Value | Data Type | Range | Default Value for "Show" | Description
1 | CV | 0 | Integer | 0~65535 | True | Current value of the counter

3). Properties:

Color: Select the background color for the function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

When IN changes from 0 to 1, CV will increase by 1.
When Rst = 1, the counter resets.
When Stop =1, the counter stops.
When CV = PreV, Q will be sets to 1.
When OV = 1, the counter will be locked.

Item | IF |  |  |  | THEN
 | Condition |  |  |  | Action
 | IN | Reset | Stop | CV | OV | CV | Q
1 | 0 | 1 | X | X | 0 | 0 | 0
2 | 0→1 | 0 | 0 | <PreV | 0 | CV+1 | 0
3 |  | 0 | 1 | X | 0 | No change | 0
4 |  | 0 | 0 | ≧PreV | 0 | No change | 1
5 | 0 | 0 | 0 | CV≧65535 | 1 | No change | 1
6 | 0 | 1 | X | CV≧65535 | 0 | 0 | 0

5). Control list

6). Modbus Address Mapping table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | In, Rst, Stop | Float | Stores the value of Stop << 2 + Rst << 1 +IN
40803-40804 | PreV | Float | Stores the value of PreV
40805-40806 | Q | Float | Stores the value of Q
40807-40808 | CV | Float | Stores the value of CV


DCnt Function Block

If the Set value is 1, the CV value will be set to the PreV value. If the IN value changes from 0 to 1, CV will decrease by 1. When CV changes from 1 to 0, the output value of Q will be 1.

Note： When DCnt Modbus Address is valid (During 40801~41200), the system can store the Current Value (CV) in hardware SRAM, if the power of SRAM is enough, the system can keep the value when the hardware power off. But the store value is bound with Modbus address, so don't change the Modbus address at random. When user changes the MBAddr in BASPro Monitor, the the value will be set to 0. Please be careful.

To execute the DCnt function block, the user needs to select the block and then drag it to the control page. The DCnt function block is shown below:

DCnt function block

Right-click the block to check the properties. There are two tabs here, "Generic" and "Connectors," which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description
1 | Name | DCnt
2 | Description | If the Set value is 1, the CV value will be set to the PreV value. If the IN value changes from 0 to 1, CV will decrease by 1. When CV=1, the output value of Q will be 1.

2). Connectors

On the left side of the function block there are input connectors, while on the right side there are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | IN | False | Boolean | True | True | Signal control 1: Start 0: Stop
3 | Set | False | Boolean | True | True | Set counter value to PreV value 1: Set 0: Not set
4 | Stop | False | Boolean | True | True | Stop controlling 1: Stop 0: Not stop

The input connector of analog data

Item | Name | Value | Data Type | Range | Default Value for "Show" | Description
1 | PreV | 0 | Integer |  | True | Preset value

The output connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | Q | False | Boolean | True | True | Output sign 1: CV = 0 0:
2 | C_Sta | False | Boolean | True | True | Current value of counter.

The output connector of analog data

Item | Name | Value | Data Type | Range | Default Value for "Show" | Description
1 | CV | 0 | Integer | 0~65535 | True | Current value of counter

3). Properties:

Color: Select the background color for the function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

X: No consideration

1. When Set changes from 0 to 1, CV = PreV;

2. When IN changes from 0 to 1, CV = CV-1; if CV >0, Q = 0, otherwise Q = 1;

3. When Stop = 1 , CV does not change, and Q does not change as also。

Item | IF |  |  |  | THEN
 | Condition |  |  |  | Action
 | IN | Set | Stop | CV | C_Sta | CV | Q
1 | 0 | 0→1 | 0 | 0 | 0 | CV=PreV | 0
2 | 0→1 | 0 | 0 | 0<CV<=PreV | 1 | CV=CV-1 | 0
3 | 0→1 | 0 | 0 | 1 | 1 | CV=0 | 1
4 | X | 1 | 0 | 0 | No change | CV=PreV | 0
5 | X | 0 | 1 | X | C_Sta=IN | No change | 0

5). Modbus Address Mapping table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | In, Set, Stop | Float | To store the value of Stop << 2 + Set << 1 +IN
40803-40804 | PreV | Float | To store the value of PreV
40805-40806 | Q | Float | To store the value of Q
40807-40808 | CV | Float | To store the value of CV


EPulse Function Block

EPulse function block sets signal value of output connector Q when IN value changes from 0 to 1 in specific time zone.

To execute ExtPluse function block, the user need to select the block and then drag it to the control page. ExtPluse function block is shown as below:

EPulse function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description
1 | Name | EPluse
2 | Description | Sets signal value of output connector Q when IN value changes from 0 to 1 in specific time zone.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | IN | False | Boolean | True | True | Make control workable 1: Start timercounter 0: Stop

The input connector of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | DT | 0 | Integer | True | Time period (Unit: ms)
2 | Unit | 0 | Integer | True | The DT Unit, 0=millisecond, as default 1=second 2=minute 3=hour 4=day

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | Q | False | Boolean | True | True | Output signs

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | TV | 0 | Integer |  | True | Current time of disappearing value.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

1. When IN changes from 0 to 1, timing will start and Q = 1.

2. When IN changes from 1 to 0, timing will stop and Q = 0.

Item | IF |  | THEN
 | Condition |  | Action
 | IN | Timer Last Status | DT | TV | Q
1 | 0 | Invalid | Invalid | 0 | 0
2 | 0→1 | Invalid | Active | Count | 1
3 | 1 | TV<DV | Timing | Count | 1
4 | 1 | TV≧DV | Invalid | Keep last value | 0
5 | 1→0 | Invalid | Invalid | 0 | 0

5). Control list


TAcc Function Block

When the IN value is 1, the TAcc function block counts running time. When the IN value is 0, the system stops the counter and does not reset it. Runtime of the counter will only be reset when Rst value is 1.
¡¡

Note£º When TAcc Modbus Address is valid (During 40801~41200), the system can store the running time (Tacc) in hardware SRAM, if the power of SRAM is enough, the system can keep the running time when the hardware power off. But the store value is bound with Modbus address, so don't change the Modbus address at random. When user changes the MBAddr in BASPro Monitor, the the running time value will be reset. Please be careful.

To execute the TAcc function block, the user needs to select the block and then drag it to the control page. The TAcc function block is shown below:

TAcc function block

Right-click the block to check the properties. There are two tabs here, "Generic" and "Connectors," which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description
1 | Name | TAcc
2 | Description | Time accumulator

¡¡

2). Connectors

On the left side of the function block there are input connectors, while on the right side there are output connectors.

The input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | IN | False | Boolean | True | True | Make it control 1: Start 0: Stop
3 | Rst | False | Boolean | True | True | Reset control 1: Reset running time 0: Not reset

The input connector of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | PreV | 0 | Integer | True | Previous set value
2 | Unit | 0 | Integer | True | The PreV connector Unit value, 0=minute 1=hour 2=day
3 | MBAddr | 0 | Integer | True | The Modbus start address, refer to Modbus Address Mapping Table

The output connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | Q | False | Boolean | True | True | Output signs 1: Tacc >=PreV, stops Tacc 0: Tacc<PreV
2 | Sta | False | Boolean | True | True | Current value of counter

The output connector of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | Tacc | 0 | Integer | True | Running time (Unit: minute, for version<V1.01.015)
2 | Day | 0 | Integer | True | The days of running time
3 | Hour | 0 | Integer | True | The hours of running time
4 | Min | 0 | Integer | True | The minutes of running time

¡¡

3). Properties:

Color: Select the background color for the function block.

Item | Name | Description
1 | Bg Color |

¡¡

4). Control logic list

1. When Rst = 1 and IN = 0, then Tacc = 0, and Q = 0

2. When Rst = 0 and IN = 1, timing will start When Tacc < PreV, then Q = 0; otherwise Q = 1.

3. When Rst =1 and IN = 1, timing will stop and Q = 0.

Item | IF |  |  | THEN
 | Condition |  |  | Action
 | IN | Rst | Tacc | Sta | Tacc | Q
1 | 0 | 1 | X | 0 | 0 | 0
2 | 0 | 0 | X | 0 | Last value | 0
3 | 1 | 0 | Tacc<PreV | 1 | Count (Calculate the total time) | 0
4 | 1 | 0 | Tacc>=PreV | 1 | Last value | 1
5 | 1 | 1 | X | 0 | 0 | 0

5). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | Initial Flag | Integer | To store the Modbus Address initialization flag, set it=0x00FFFFFF
40803-40804 | Rst, In | Float | To store the value of Rst<<1+IN
40805-40806 | PreV | Float | To store the value of PreV
40807-40808 | Unit | Float | To store the value of Unit
40809-40810 | Q | Float | To store the value of Q
40811-40812 | Tacc | Float | To store the value of Tacc


T2Acc Function Block

The T2Acc function block defines Min values of OUT. When the IN value is 1, the counter starts and the Min value of the output connector increases by 1 per minute. If the IN value is 0, the Min value of output connector will be reset.

Note： When T2Acc Modbus Address is valid (During 40801~41200), the system can store the running time (Min) in hardware SRAM, if the power of SRAM is enough, the system can keep the running time when the hardware power off. But the store value is bound with Modbus address, so don't change the Modbus address at random. When user changes the MBAddr in BASPro Monitor, the the running time value will be reset. Please be careful.

To execute the T2Acc function block, the user needs to select the block and then drag it to the control page. The T2Acc function block is shown below:

T2Acc function block

Right-click the block to check the properties. There are two tabs here, "Generic" and "Connectors," which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description
1 | Name | T2Acc
2 | Description | Time accumulator2

2). Connectors

On the left side of the function block there are input connectors, while on the right side there are output connectors.

The input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | IN | False | Boolean | True | True | Make it control 1: Start 0: Stop
3 | Rst | False | Boolean | True | True | Reset control 1: Reset running time 0: Not reset

The output connector of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | PreV | 0 | Integer | True | Previous set value
2 | Unit | 0 | Integer | True | The PreV connector Unit value, 0=minute 1=hour 2=day
3 | MBAddr | 0 | Integer | True | The Modbus start address, refer to Modbus Address Mapping Table

Output connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | Q | False | Boolean | True | True | Output signs 1: Min >= PreV 0: Min < PreV
2 | Sta | False | Boolean | True | True | Current value of time accumulator

The output connector of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | Day | 0 | Integer | True | The days of running time
2 | Hour | 0 | Integer | True | The hours of running time
3 | Min | 0 | Integer | True | The minutes of running time

3). Properties:

Color: Select the background color for the function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

1. When Rst =1, IN = 0, Tacc = 0, and Q = 0

2. When Rst = 0 and IN = 1, timing will start. When Min < PreV, Q= 0, otherwise Q=1.

3. When Rst= 1, IN = 1, timing will stop and Q = 0.

Item | IF |  |  | THEN
 | Condition |  |  | Action
 | IN | Rst | Tacc | Sta | Tacc | Q
1 | 0 | 1 | X | 0 | 0 | 0
2 | 0 | 0 | X | 0 | 0 | 0
3 | 1 | 0 | Min<PreV | 1 | Count (Increase by 1 per minute) | 0
4 | 1 | 0 | Min>=PreV | 1 | Last value | 1
5 | 1 | 1 | X | 0 | 0 | 0

5). Control list

6). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | Initial Flag | Integer | To store the Modbus Address initialization flag, set it=0x00FFFFFF
40803-40804 | Rst, In | Float | To store the value of Rst<<1+IN
40805-40806 | PreV | Float | To store the value of PreV
40807-40808 | Unit | Float | To store the value of Unit
40809-40810 | Q | Float | To store the value of Q
40811-40812 | Tacc | Float | To store the value of Tacc


T3Acc Function Block

The T3Acc function block defines Min values of OUT. When the Start value is 1, the counter starts. If the Stop value is 1, the counter will stop and the Min value of the output connector will be reset. The counter starts to count when restarted.

Note： When T3Acc Modbus Address is valid (During 40801~41200), the system can store the running time (Min) in hardware SRAM, if the power of SRAM is enough, the system can keep the running time when the hardware power off. But the store value is bound with Modbus address, so don't change the Modbus address at random. When user changes the MBAddr in BASPro Monitor, the the running time value will be reset. Please be careful.

To execute the T3Acc function block, the user needs to select the block and then drag it to the control page. The T3Acc function block is shown below:

T3Acc function block

Right-click the block to check the properties. There are two tabs here, "Generic" and "Connectors," which will be introduced in sequence in the following paragraphs.

1). Generic:

Item | Name | Description
1 | Name | T3Acc_X
2 | Description | Time accumulator3

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | Start | False | Boolean | False | True | 1: Start time accumulator 0: No operation
3 | Stop | False | Boolean | False | True | 1: Stop time accumulator 0: No operation

The input connector of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | PreV | 0 | Integer | True | Previous set value
2 | Unit | 0 | Integer | True | The PreV connector Unit value, 0=minute 1=hour 2=day
3 | MBAddr | 0 | Integer | True | The Modbus start address, refer to Modbus Address Mapping Table

The output connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | Q | False | Boolean | True | True | Output signs 1: Start time accumulator 0: Stop time accumulator
2 | Sta | False | Boolean | True | True | Current value of time accumulator.

The output connector of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | Day | 0 | Integer | True | The days of running time
2 | Hour | 0 | Integer | True | The hours of running time
3 | Min | 0 | Integer | True | The minutes of running time

3). Properties:

Color: Select the background color for the function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

1. When Start = 1, IN = 0, then Min = 0, Q = 0

2. When Start = 0, IN = 1, timing starts. When Min > PreV, Min remains the same and Q?= 1.

3. When Start = 1, IN = 1, Stop changes from 0 to 1 or from 1 to 0, then the timing stops and Q = 0.

Item | IF |  |  | THEN
 | Condition |  |  | Action
 | Sta | Start | Stop | Sta | Min | Q
1 | 0 | 0→1 | 0 | 1 | accumulate | 0
2 | 1 | 0 | 0 | 1 | accumulate | 0
3 | 1 | 0 | 0 | 1 | If Min>=PreV, Min remains the same | 1
4 | 1 | 1 | 0→1 | 0 | 0 | 0

5). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | Initial Flag | Integer | To store the Modbus Address initialization flag, set it=0x00FFFFFF
40803-40804 | Start, Stop | Float | To store the value of Stop<<1+Start
40805-40806 | PreV | Float | To store the value of PreV
40807-40808 | Unit | Float | To store the value of Unit
40809-40810 | Q | Float | To store the value of Q
40811-40812 | Tacc | Float | To store the value of Tacc


Simulation Summary

Summary

Simulation function blocks transfer signals to output connectors depending on status of input values.

Item | Block Name | Description
1 | Blink | Blink function block generates an On/Off signal of OUT depending on PreV value of IN. The unit is ms. The duration of turning on the signal is the same as that of turning off the signal.
2 | AGen | AGen function block generates an analog value depending on cycle time. The unit is ms. The value range depends on Hlim and Llim.
3 | DAsign | If EN is true, assigns a digital signal to OUT. Meanwhile OUT=IN.
4 | AAsign | If EN is true, assigns a analog signal to OUT. Meanwhile OUT=IN.
5 | AGenF | AGenF function block generates an analog value depending on cycle time. The unit is ms. The value range depends on Hlim and Llim.

Simulation function block list


Blink Function Block

Blink function block generates an On/Off signal of OUT depending on PreV value of IN. The unit is ms. The duration of turning on the signal is the same as that of turning off the signal.

To execute Blink function block, the user need to select the block and then drag it to the control page. Blink function block is shown as below:

Blink function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | Blink_X
2 | Description | A text to describe the content of this block. Read only | Text | Blink-To generate an on/off signal of the output connector Q according to the value of the input connector PreV. The unit is ms and the duration of the on signal is as same as that of the off signal.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Value | Data Type | Range | Default Value for "Show" | Description
1 | PreV | 0 | Integer |  | True | Preset flashing time zone (Unit: ms)

Note: If PreV value is 0, the scan time of the page will be the Default Value.

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | Q | False | Boolean | True | Output value.

The output connector of analog data

Item | Name | Value | Data Type | Range | Default Value for "Show" | Description
1 | TV | 0 | Integer |  | True | Current value of counter.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


AGen Function Block

AGen function block generates an analog value depending on cycle time. The unit is ms. The value range depends on Hlim and Llim.

To execute AGen function block, the user need to select the block and then drag it to the control page. AGen function block is shown as below:

AGen function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | AGen_X
2 | Description | A text to describe the content of this block. Read only | Text | AGen-To generate an analog value( Q) base on the cycle time (Cyc). The Time unit is ms and the range is decided by both Hlim and Llim.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | CYC | 0 | Integer |  | True | Generates a simulation value depending on cycle time (Unit: ms).
 | HLim | 100 | Integer |  | True | The highest output (QI/QF).
 | LLim | 0 | Integer |  | True | The lowest output (QI/QF).
 | INC | 1 | Integer |  | True | Increment or consumption of each cycle.

The output connector of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | QI | 0 | Integer | True | Output value (Integer)
2 | QF | 0.000000 | Float | True | Output value (Float)
3 | TV | 0 | Integer | True | Current value of counter.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


DAsign Function Block

DAsign function block assigns True/False digital signals to OUT. If EN is true, then OUT=IN.

To execute DAsign function block, the user need to select the block and then drag it to the control page. DAsign function block is shown as below:

DAsign function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | DAsign_X
2 | Description | A text to describe the content of this block. Read only | Text | Assign a Discrete value.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | IN | False | Boolean | False | True | Input value.

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | Output value If EN is True, then OUT=IN.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


AAsign Function Block

AAssign function block specifies values for OUT. If EN is True, then OUT = IN.

To execute AAssign function block, the user need to select the block and then drag it to the control page. AAssign function block is shown as below:

AAssign function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | AAsign_X
2 | Description | A text to describe the content of this block. Read only | Text | Assign an Analog value.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Bool ean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN | 0.000000 | Float | 2 | True | Input value (Float)

The output connector of analog data

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | Output value If EN is True, then OUT=IN.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


AGenF Function Block

AGenF function block generates an analog value depending on cycle time. The unit is ms. The value range depends on Hlim and Llim.

To execute AGenF function block, the user need to select the block and then drag it to the control page. AGenF function block is shown as below:

AGenF function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | AGenF_X
2 | Description | A text to describe the content of this block. Read only | Text | AGenF-To generate an analog value( Q) base on the cycle time (Cyc). The Time unit is ms and the range is decided by both Hlim and Llim.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | CYC | 0 | Integer |  | True | Generates a simulation value depending on cycle time (Unit: ms).
 | HLim | 100 | Integer |  | True | The highest output of Q.
 | LLim | 0 | Integer |  | True | The lowest output of Q.
 | INC | 1 | Float |  | True | Increment or consumption of each cycle.

The output connector of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | Q | 0.00 | Float | True | Output value (Float)
2 | TV | 0 | Integer | True | Current value of counter.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


Selector Summary

Summary

Selector function blocks define output data depending on input data and data type.

Item | Block Name | Description
1 | SStrng | Defines OUT values depending on SEL value of IN. Data type: String.
2 | SBool | Defines OUT values depending on SEL value of IN. Data type: Boolean.
3 | SInt | Defines OUT values depending on SEL value of IN. Data type: Integer.
4 | SFloat | Defines OUT values depending on SEL value of IN. Data type: Float.
5 | DHO | DHO function block selects output value of compulsory type data or logic data generated in the process.
6 | FHO | FHO function block selects output value of compulsory type data or logic data generated in the process.
7 | ALT | ALT function block provides the alternate operation (For example, Two devices, A and B run alternately)
8 | ROT | ROT function block provides the rotate operation (For example, A, B and C run rotationally).

Selector function block list


SString Function Block

SString function block sets OUT values to values of IN1~IN5 depending on SEL value of IN.

To execute SString function block, the user need to select the block and then drag it to the control page. SString function block is shown as below:

SString function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | SStringx
2 | Description | A text to describe the content of this block. Read only | Text | SString-To define the value of the output connector OUT according to the value of the input connector SEL, and the Data Type is String.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

Input connectors of string data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | IN1 | Null | Text | True | Input character 1
2 | IN2 | Null | Text | True | Input character 2
3 | IN3 | Null | Text | True | Input character 3
4 | IN4 | Null | Text | True | Input character 4
5 | IN5 | Null | Text | True | Input character 5

The input connector of analog data

Item | Name | Default Value | Data Type | Range | Default Value for "Show" | Description
1 | SEL | 0 | Integer |  | True | Selector 1:OUT=IN1 2:OUT=IN2 ...

The output connector of string data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | OUT | Null | Text | True | Selects output character.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

Item | IF | THEN
 | IN | IN
 | Sel= | OUT=
1 | 1 | IN1
2 | 2 | IN2
3 | 3 | IN3
4 | 4 | IN4
5 | 5 | IN5


SBool Function Block

SBool function block defines OUT values as values of IN1~IN5 depending on SEL value of IN.

To execute SBool function block, the user need to select the block and then drag it to the control page. SBool function block is shown as below:

SBool function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | SBool_X
2 | Description | A text to describe the content of this block. Read only | Text | SBool-To define the value of the output connector OUT according to the value of the input connector SEL, and the Data Type is Bool.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | IN1 | False | Boolean | False | True | Discrete input value1.
3 | IN2 | False | Boolean | False | True | Discrete input value 2.
4 | IN3 | False | Boolean | False | True | Discrete input value 3.
5 | IN4 | False | Boolean | False | True | Discrete input value 4.
6 | IN5 | False | Boolean | False | True | Discrete input value 5.

The input connector of analog data

Item | Name | Value | Data Type | Range | Default Value for "Show" | Description
1 | SEL | 1 | Integer | 1~5 | True | Selector 1:OUT=IN1 2:OUT=IN2 ...

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | OUT | False | Boolean | True | Selects discrete output value.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

Item | IF | THEN
 | IN | IN
 | Sel= | OUT=
1 | 1 | IN1
2 | 2 | IN2
3 | 3 | IN3
4 | 4 | IN4
5 | 5 | IN5


SInt Function Block

SInt function block sets OUT values to values of IN1~IN5 depending on SEL value of IN.

To execute SInt function block, the user need to select the block and then drag it to the control page. SInt function block is shown as below:

SInt function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | SIntx
2 | Description | A text to describe the content of this block. Read only | Text | SInt-To define the value of the output connector OUT according to the value of the input connector SEL, and the Data Type is Integer.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

Input connectors of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | IN1 | 0 | Integer | True | Input character 1
2 | IN2 | 0 | Integer | True | Input character 2
3 | IN3 | 0 | Integer | True | Input character 3
4 | IN4 | 0 | Integer | True | Input character 4
5 | IN5 | 0 | Integer | True | Input character 5
6 | SEL | 0 | Integer | True | Selector 1:OUT=IN1 2:OUT=IN2 ...

The output connector of integer data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | OUT | 0 | Integer | True | Selects output character.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

Item | IF | THEN
 | IN | IN
 | Sel= | OUT=
1 | 1 | IN1
2 | 2 | IN2
3 | 3 | IN3
4 | 4 | IN4
5 | 5 | IN5


SFloat Function Block

SFloat function block sets OUT values to values of IN1~IN5 depending on SEL value of IN.

To execute SFloat function block, the user need to select the block and then drag it to the control page. SFloat function block is shown as below:

SFloat function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | SFloat_X
2 | Description | A text to describe the content of this block. Read only | Text | SFloat-To define the value of the output connector OUT according to the value of the input connector SEL, and the Data Type is Float.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

Input connectors of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | IN1 | 0.000000 | Float | True | Input character 1
2 | IN2 | 0.000000 | Float | True | Input character 2
3 | IN3 | 0.000000 | Float | True | Input character 3
4 | IN4 | 0.000000 | Float | True | Input character 4
5 | IN5 | 0.000000 | Float | True | Input character 5
6 | SEL | 0.000000 | Float | True | Selector 1:OUT=IN1 2:OUT=IN2 ...

The output connector of float data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | Selects output values.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

Item | IF | THEN
 | IN | IN
 | Sel= | OUT=
1 | 1 | IN1
2 | 2 | IN2
3 | 3 | IN3
4 | 4 | IN4
5 | 5 | IN5


DHO Function Block

DHO function block selects output value of compulsory type data or logic data generated in the process.

To execute DHO function block, the user need to select the block and then drag it to the control page. DHO function block is shown as below:

DHO function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | DHOx
2 | Description | A text to describe the content of this block. Read only | Text | DHO-The purpose of DHO Function Block is to provide the selection of the output value, which is either an override value or a logic value generated during the process.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Bool ean | False | True | Can scan 1: Can 0: Cannot
2 | PV | False | Boolean | False | True | Discrete input value.
3 | Mop | False | Boolean | False | True | Type the value manually.

The input connector of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | MOD | 0 (0/1/2) | Integer | True | Values for selecting modes 0:OUT=0 1:OUT=Mop 2:OUT=PV

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | OUT | False | Bool ean | True | Selects discrete output value.

The output connector of analog data

Item | Name | Default Value | Data Type | Range | Default Value for "Show" | Description
1 | O_Mod | 0 | Integer | 0~2 | True | Mode status 0: Off 1: Manual 2: Auto

3). Control logic list

Item | IF | THEN
 | IN | IN
 | MOD= | OUT=
1 | 1 | 0
2 | 2 | Mop
3 | 3 | PV


FHO Function Block

FHO function block selects output value of compulsory type data or logic data generated in the process.

To execute FHO function block, the user need to select the block and then drag it to the control page. FHO function block is shown as below:

FHO function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | FHO_X
2 | Description | A text to describe the content of this block. Read only | Text | FHO-The purpose of DHO Function Block is to provide the selection of the output value, which is either an override value or an analog value generated during the process.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Bool ean | False | True | Can scan 1: Can 0: Cannot

Input connectors of analog data

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | PV | 0.000000 | Float | 2 | True | Input float value
2 | Mop | 0.000000 | Float | 2 | True | Type the manual manually
3 | MOD | 0 | Integer | 0 | True | Values for selecting modes 0:OUT=0 1:OUT=Mop 2:OUT=PV

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | True | Selects output values.

The output connector of analog data

Item | Name | Default Value | Data Type | Range | Default Value for "Show" | Description
1 | O_Mod | 0 | Integer | 0~2 | True | Mode status 0: Off 1: Manual 2: Auto

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

Item | IF | THEN
 | IN | IN
 | MOD= | OUT=
1 | 1 | 0
2 | 2 | Mop
3 | 3 | PV


ALT Function Block

ALT function block provides the alternate operation (For example, Two devices, A and B run alternately).

To execute ALT function block, the user need to select the block and then drag it to the control page. ALT function block is shown as below:

ALT function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | ALT_X
2 | Description | A text to describe the content of this block. Read only | Text | ALT-To provides the alternate operation (Two devices, A and B run alternately)

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | IN | False | Boolean | False | True | Can output 1: Can 0: Cannot
3 | FA | False | Boolean | False | True | Output feedback of device A.
4 | FB | False | Boolean | False | True | Output feedback of device B.
5 | Rst | False | Boolean | False | True | Re-controls operation and empties existing runtime.

Input connectors of analog data

Item | Name | Default Value | Data Type | Range | Default Value for "Show" | Description
1 | A/B | 1 | Integer | 1/2 | True | Sets priority of starting devices 1:Device A starts first 2:Device B starts first
2 | DT | 0.000000 | Float | >=0 | True | Runtime of device A. Device B starts after certain time period. Unit: minute
3 | DTB | 0.000000 | Float | >=0 | True | Runtime of device B. Device A starts after certain time period. Unit: minute
4 | FBDT | 0.000000 | Float | >=0 | True | Signal feedback time of device A and B. Unit: second

Output connectors of digital data

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | OUTA | False | Boolean | True | Displays ON/OFF output of device A.
2 | OUTB | False | Boolean | True | Displays ON/OFF output of device B.

The output connector of analog data

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | TV | 0 | Integer | True | Displays runtime of device A or B.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


ROT Function Block

ROT function block provides the rotate operation (For example, Three devices, A, B and C run rotationally).

To execute ROT function block, the user need to select the block and then drag it to the control page. ROT function block is shown as below:

ROT function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | ROT_X
2 | Description | A text to describe the content of this block. Read only | Text | ROT-To provides the rotate operation (Three devices, A, B and C run rotationally)

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

Input connectors of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Indication | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | IN | False | Boolean | False | True | Can output 1: Can 0: Cannot
3 | FA | False | Boolean | False | True | Output feedback of device A.
4 | FB | False | Boolean | False | True | Output feedback of device B.
5 | FC | False | Boolean | False | True | Output feedback of device C.
6 | Rst | False | Boolean | False | True | Re-controls operation and empties existing runtime.

Input connectors of analog data

Item | Name | Default Value | Data Type | Range | Default Value for "Show" | Description
1 | A/B/C | 1 | Integer | 1/2/3 | True | Sets priority of starting devices 1: Device A starts first 2: Device B starts first 3: Device C starts first
2 | DT | 0.000000 | Float | >=0 | True | Runtime of device A/B/C. When A/B/C=1, device B starts after certain time period, then device C starts. Unit: minute
3 | FBDT | 0.000000 | Float | >=0 | True | Signal feedback time of device A, B and C. Unit: second

Output connectors of digital data

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | OUTA | False | Boolean | True | Displays ON/OFF output of device A.
2 | OUTB | False | Boolean | True | Displays ON/OFF output of device B.
3 | OUTC | False | Boolean | True | Displays ON/OFF output of device C.

The output connector of analog data

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | TV | 0 | Integer | True | Displays runtime of device A, B and C.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


DataConv Summary

Summary

Data conversion function blocks convert data types.

Item | Block name | Description
1 | I2F | Converts Integer data to Float data.
2 | F2I | Converts Float data to Integer data.
3 | B2I | Converts Boolean data to Integer data.
4 | B2F | Converts Boolean data to Float data.
5 | I2B | Converts Integer data to Boolean data.
6 | F2B | Converts Float data to Boolean data.
8 | SwapF | Converts the Float input to its swapped one.
9 | PackB | Packs discontinuous values of IN1~IN8 into bytes and saves the result as output values of OUT.
10 | B2W | Packs bytes into Chinese characters.
11 | UPackB | Releases bytes to bits.

Data conversion function block list


I2F Function Block

I2F function block converts Integer data of IN to Float data and saves the result in OUT.

To execute I2F function block, the user need to select the block and then drag it to the control page. I2F function block is shown as below:

I2F function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | I2F_X
2 | Description | A text to describe the content of this block. Read only | Text | I2F-To convert the Integer input Data to Float.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN | 0 | Integer | 0 | True | Value to be converted.

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | Result value

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


F2I Function Block

F2I function block converts Float data of IN to Integer data and saves the result in OUT.

To execute F2I function block, the user need to select the block and then drag it to the control page. F2I function block is shown as below:

F2I function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | F2I_X
2 | Description | A text to describe the content of this block. Read only | Text | F2I-To convert the Float input Data to Integer.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN | 0.000000 | Float | 2 | True | Value to be converted.

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0 | Integer | 0 | True | Result value

The output value after conversion

Item | Data Type | Lower Limit |  | Upper Limit
 |  | Input | Output | Input | Output
1 | Boolean | 0 | 0 | 1 | 1

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


B2I Function Block

B2I function block converts Boolean data of IN to Integer data and saves the result in OUT and data type.

To execute B2I function block, the user need to select the block and then drag it to the control page. B2I function block is shown as below:

B2I function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | B2I_X
2 | Description | A text to describe the content of this block. Read only | Text | B2I-To convert the Bool input Data into Integer.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | IN | False | Boolean | True | True | Value to be converted.

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0 | Integer | 0 | True | Result value

The output value after conversion

Item | Data Type | Lower Limit |  | Upper Limit
 |  | Input | Output | Input | Output
1 | Integer | 0 | 0 | 1 | 1

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


B2F Function Block

B2F function block converts Boolean data of IN to Float data and saves the result in OUT and data type.

To execute B2F function block, the user need to select the block and then drag it to the control page. B2F function block is shown as below:

B2F function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | B2F_X
2 | Description | A text to describe the content of this block. Read only | Text | B2F-To convert the Bool input Data into Float.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | IN | False | Boolean | True | True | Values to be converted.

The output connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.00 | Float | 2 | True | Result value

The output value after conversion

Item | Data Type | Lower Limit |  | Upper Limit
 |  | Input | Output | Input | Output
1 | Float | 0 | 0 | 1 | 1

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


I2B Function Block

I2B function block converts Boolean data of IN to Integer data and saves the result in OUT and data type.

To execute I2B function block, the user need to select the block and then drag it to the control page. I2B function block is shown as below:

I2B function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | I2B_X
2 | Description | A text to describe the content of this block. Read only | Text | I2B-To convert the Integer input Data into Bool.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN | 0 | Integer | 0 | True | Values to be converted.

The output connector of digital data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | False | Boolean |  | True | Result value

The output value after conversion

Item | Data Type | Lower Limit |  | Upper Limit
 |  | Input | Output | Input | Output
1 | Boolean | 0 | 0 | !=0 | 1

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


F2B Function Block

F2B function block converts Float data of IN to Boolean data and saves the result of values and data type in OUT.

To execute F2B function block, the user need to select the block and then drag it to the control page. F2B function block is shown as below:

F2B function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | F2B_X
2 | Description | A text to describe the content of this block. Read only | Text | F2B-To convert the Float input Data into Bool.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN | 0.0000000 | Float | 2 | True | Values to be converted.

The output connector of digital data

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | False | Boolean |  | True | Result value

The output value after conversion

Item | Data Type | Lower Limit |  | Upper Limit
 |  | Input | Output | Input | Output
1 | Boolean | 0 | 0 | !=0 | 1

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


SwapF Function Block

SwapF-To convert the Float input to its swapped one.

To execute SwapF function block, the user need to select the block and then drag it to the control page. SwapF function block is shown as below:

SwapF function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | SwapF_X
2 | Description | A text to describe the content of this block. Read only | Text | SwapF-To convert the Float input to its swapped one.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

 The input connector of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | IN | 0.000000 | Float | True | Input value of Float type

The output connector of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | True | The result value after swapped

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


PackB Function Block

PackB function block packs digital values of IN1~IN8 into Bytes and saves the result as output values of OUT.

To execute PackB function block, the user need to select the block and then drag it to the control page. PackB function block is shown as below:

PackB function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | PackB_X
2 | Description | A text to describe the content of this block. Read only | Text | PackB-To pack the discrete values of input connectors IN1 ~ IN8 to data type BYTE, and save the result as the value of the output connector OUT.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

 The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | IN1 | False | Boolean | True | Input Bit7
2 | IN2 | False | Boolean | True | Input Bit6
3 | IN3 | False | Boolean | True | Input Bit5
4 | IN4 | False | Boolean | True | Input Bit4
5 | IN5 | False | Boolean | True | Input Bit3
6 | IN6 | False | Boolean | True | Input Bit2
7 | IN7 | False | Boolean | True | Input Bit1
8 | IN8 | False | Boolean | True | Input Bit0

Note: IN1 is the highest value and IN8 is the lowest.

The output connector of analog data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | OUT | 0 | Byte | True | Result value (0~255)

The output value after conversion

Item | Data Type | Lower Limit |  | Upper Limit
 |  | Input | Output | Input | Output
1 | Byte | 0 | 0 | None-zero | 1

Note: If IN is 1 or non-zero value, Output value will be 1. IN values are equal to OUT values.

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


B2W Function Block

B2W function block packets high Byte and low Byte of IN into Word data and transfers the result to OUT.

To execute B2W function block, the user need to select the block and then drag it to the control page. B2W function block is shown as below:

B2W function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | B2Wx
2 | Description | A text to describe the content of this block. Read only | Text | B2W-To pack the high Byte and the Low Byte of the input connectors to data Word, and save it as the result of output connector.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Value | Data Type | Range | Default Value for "Show" | Description
1 | H | 0 | Byte | 0~255 | True | Packs high-bit bytes.
2 | L | 0 | Byte | 0~255 | True | Packs low-bit bytes.

Note:

1. The user can convert them to other data type via DataConv function block though data type of H and L is Boolean.

2. Limit of H value and L value is 0 ~255. That is when input value is greater than or equal to 255, 255 will be subtracted.

The output connector of analog data

Item | Name | Value | Data Type | Range | Default Value for "Show" | Description
1 | OUT | 0 | String | 0~65535 | True | Result value (0~65535)

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


UPackB Function Block

UPackB function block packs IN values into Bit data of OUT1~OUT8. OUT1 is the highest and OUT8 is the lowest.

To execute UPackB function block, the user need to select the block and then drag it to the control page. UPackB function block is shown as below:

UPackB function block

Right-click the block to check the properties. There are two tabs here: Generic and Connectors, which will be introduced in sequence in the following paragraphs.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Name | Block name | Text | UPackB_X
2 | Description | A text to describe the content of this block. Read only | Text | UPackB-To unpack the value of the input connector IN into the Data Type Bit of the output connectors OUT1 ~ OUT 8. The value of OUT1 is the highest and that of OUT8 is the lowest.

2). Connectors

On the left of the function block are input connectors, while the right are output connectors.

The input connector of digital data

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot

The input connector of analog data

Item | Name | Value | Data Type | Range | Default Value for "Show" | Description
1 | IN | 0 | Integer | 0~0xFF | True | The bytes to be Released.

The output connector of digital data

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | OUT1 | False | Boolean | True | One bit, as the highest position of one byte
2 | OUT2 | False | Boolean | True | One bit
3 | OUT3 | False | Boolean | True | One bit
4 | OUT4 | False | Boolean | True | One bit
5 | OUT5 | False | Boolean | True | One bit
6 | OUT6 | False | Boolean | True | One bit
7 | OUT7 | False | Boolean | True | One bit
8 | OUT8 | False | Boolean | True | One bit, as the lowest position of one byte

3). Properties:

Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


Alarm Summary

Summary

Alarm function blocks define Alarm status depending on input values, and the System running status monitor function.

Item | Block name | Description
1 | Alarm | To provide the H/L, HH/LL alarm limit with time delay confirmation functions for the user to check the value of the input connector.
2 | AAlarm | To provide the H/L, HH/LL alarm limit with time delay confirmation functions, the alarm message can send to LCM module.
3 | DAlarm | To provide the digital alarm limit function, the alarm message can send to LCM module.
4 | Message | To provide the message display function, the message can send to LCM module.
5 | System | To provide the system running information, such as running cycle, start time, hardware status, etc.

Alarm function block list


Alarm Function Block

The Alarm function block provides HH/H/L/LL limit alarm for the user to check the input connector value.

To execute the Alarm function block, the user needs to select the block and drag it to the control page. The Alarm function block is shown below:

 Alarm Function Block

Right-click the block to check the property. There are three tabs here: "Generic," "Connector," and "I/O properties." They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description | Data Type | Initial Value
1 | Name | Block name | Text | Alarm_X
2 | Description | The text description of this function block Read only | Text | Alarm-To provide the H/L ,HH/LL alarm limit with time delay confirmation functions for the user to check the value of the input connector.

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | PV_Fail | False | Boolean | False | False | Accepts the signal of disconnection or H/W failure
3 | AlmDis | False | Boolean | False | True | Disables checking alarm function 0: Check alarm function 1: Disable

The input connectors of the analog data.

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | PV | 0.000000 | Float | 2 | True | The process variable
2 | Ts | 0 | Integer | 0 | False | Initial value
3 | HH Li | 100.000000 | Float | 2 | True | HH limit
4 | H Li | 100.000000 | Float | 2 | True | H limit
5 | L Li | 0.000000 | Float | 2 | True | L limit
6 | LL Li | 0.000000 | Float | 2 | True | LL limit
7 | PVHi | 100.00 | Float | 2 | True | The highest limit of the process variable PV
8 | PVLo | 0.00 | Float | 2 | True | The lowest limit of the process variable PV
9 | Deadband | 0.000000 | Float | 2 | True | The alarm check deadband
10 | DT | 0 | Integer | 0 | True | Delay Time
11 | Last_PV | 0.000000 | Float | 2 | False | For internal use
12 | MBAddr | 0 | Integer | 0 | True | ModBus maps the initial address

The output connector of the digital data.

Item | Name | Value | Data Type | Negation | Display | Description
1 | HH | False | Boolean | True | True | Status of the high high limit
2 | H | False | Boolean | True | True | Status of the high limit
3 | L | False | Boolean | True | True | Status of the low limit
4 | LL | False | Boolean | True | True | Status of the low low limit
5 | ERR | False | Boolean | True | True | ERR=1 when PV>=PVHi or PV<=PVLo, otherwise ERR=0

3). Properties

Color: Select background color for the function block.

Item | Name | Description
1 | Bg Color |

4). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | PV | Float | Stores the value of PV
40803-40804 | AlmDis | Float | Stores the value of AlmDis
40805-40806 | HH Li | Float | Stores the value of HH Li
40807-40808 | H Li | Float | Stores the value of H Li
40809-40810 | L Li | Float | Stores the value of L Li
40811-40812 | LL Li | Float | Stores the value of LL Li
40813-40814 | Deadband | Float | Stores the value of Deadband
40815-40816 | DT | Float | Stores the value of DT
40817-40818 | HH, H,L,LL,ERR | Float | Stores the value of (ERR << 4) + (LL << 3) + (L << 2)+(H << 1)+HH


AAlarm Function Block

The AAlarm function block provides HH/H/L/LL limit alarm, and the alarm message can send to LCM module.

To execute the AAlarm function block, the user needs to select the block and drag it to the control page. The AAlarm function block is shown below:

 AAlarm Function Block

Right-click the block to check the property. There are three tabs here: "Generic," "Connector," and "I/O properties." They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description | Data Type | Initial Value
1 | Name | Block name | Text | AAlarm_X
2 | Description | The text description of this function block Read only | Text | AAlarm-To provide the H/L ,HH/LL alarm limit with time delay confirmation functions for the user to check the value of the input connector.

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | PV_Fail | False | Boolean | False | False | Accepts the signal of disconnection or H/W failure
3 | AlmDis | False | Boolean | False | True | Disables checking alarm function 0: Check alarm function 1: Disable

The input connectors of the analog data.

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | AlmNo | 0 | Integer | -- | True | The alarm message number, valid value=0~9, the maximize number of AAlarm and DAlarm function blocks in one Master DDC is 10
2 | PV | 0.000000 | Float | 2 | True | The process variable
3 | Ts | 0 | Integer | 0 | False | Initial value
4 | HH Li | 100.000000 | Float | 2 | True | HH limit
5 | H Li | 100.000000 | Float | 2 | True | H limit
6 | L Li | 0.000000 | Float | 2 | True | L limit
7 | LL Li | 0.000000 | Float | 2 | True | LL limit
8 | PVHi | 100.00 | Float | 2 | True | The highest limit of the process variable PV
9 | PVLo | 0.00 | Float | 2 | True | The lowest limit of the process variable PV
10 | Deadband | 0.000000 | Float | 2 | True | The alarm check deadband
11 | DT | 0 | Integer | 0 | True | Delay Time
12 | Last_PV | 0.000000 | Float | 2 | False | For internal use
13 | MBAddr | 0 | Integer | 0 | True | ModBus maps the initial address

The input connector of text data type

Item | Name | Data Type | Default Value for "Show" | Description
1 | Descrip | Text | True | The description part of alarm message, for example, input "Floor1T", then will show "Floor1T HH" when the floor1 temperature is too high, the maximize size is 14 bytes in total.

The output connector of the digital data.

Item | Name | Value | Data Type | Negation | Display | Description
1 | HH | False | Boolean | True | True | Status of the high high limit
2 | H | False | Boolean | True | True | Status of the high limit
3 | L | False | Boolean | True | True | Status of the low limit
4 | LL | False | Boolean | True | True | Status of the low low limit
5 | ERR | False | Boolean | True | True | ERR=1 when PV>=PVHi or PV<=PVLo, otherwise ERR=0

The output connector of text data type

Item | Name | Data Type | Default Value for "Show" | Description
1 | MOD | Text | True | The alarm message, for example, it will show "Floor1T HH" when the floor1 temperature is too high, the maximize size is 14 bytes in total.

3). Properties

Color: Select background color for the function block.

Item | Name | Description
1 | Bg Color |

4). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | PV | Float | Stores the value of PV
40803-40804 | AlmDis | Float | Stores the value of AlmDis
40805-40806 | HH Li | Float | Stores the value of HH Li
40807-40808 | H Li | Float | Stores the value of H Li
40809-40810 | L Li | Float | Stores the value of L Li
40811-40812 | LL Li | Float | Stores the value of LL Li
40813-40814 | Deadband | Float | Stores the value of Deadband
40815-40816 | DT | Float | Stores the value of DT
40817-40818 | HH, H,L,LL,ERR | Float | Stores the value of (ERR << 4) + (LL << 3) + (L << 2)+(H << 1)+HH


DAlarm Function Block

The DAlarm function block provides digital alarm function, and the alarm message can send to LCM module.

To execute the DAlarm function block, the user needs to select the block and drag it to the control page. The DAlarm function block is shown below:

 DAlarm Function Block

Right-click the block to check the property. There are three tabs here: "Generic," "Connector," and "I/O properties." They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description | Data Type | Initial Value
1 | Name | Block name | Text | DAlarm
2 | Description | The text description of this function block Read only | Text | To provide the alarm limit function and can send alarm message to LCM Module

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | Trig | False | Boolean | False | True | The digital input connector

The input connectors of the analog data.

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | AlmNo | 0 | Integer | -- | True | The alarm message number, valid value=0~9, the maximize number of DAlarm and DAlarm function blocks in one Master DDC is 10

The input connector of text data type

Item | Name | Data Type | Default Value for "Show" | Description
1 | Descrip | Text | True | The alarm message input connector, for example, input "Floor1 Fire", then will show "Floor1 Fire" in LCM module when trig it, the maximize size is 14 bytes in total.

The output connector of the digital data.

Item | Name | Value | Data Type | Negation | Display | Description
1 | OUT | False | Boolean | True | True | Status of the trig input
2 | ERR | False | Boolean | True | True | ERR=1 when some parameters initial failed, otherwise ERR=0

The output connector of text data type

Item | Name | Data Type | Default Value for "Show" | Description
1 | MOD | Text | True | The alarm message, for example, it will show "Floor1 Fire" when trig it, the maximize size is 14 bytes in total.

3). Properties

Color: Select background color for the function block.

Item | Name | Description
1 | Bg Color |


Message Function Block

The Message function block provides digital trig message function, and the message can send to LCM module.

To execute the Message function block, the user needs to select the block and drag it to the control page. The Message function block is shown below:

 Message Function Block

Right-click the block to check the property. There are three tabs here: "Generic," "Connector," and "I/O properties." They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description | Data Type | Initial Value
1 | Name | Block name | Text | Message
2 | Description | The text description of this function block Read only | Text | To provide the message function and can send message to LCM Module

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | Trig | False | Boolean | False | True | The digital input connector

The input connectors of the analog data.

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | MsgGroup | 1 | Integer | True | The alarm message group number, valid value=1~3, the maximize number of message group in one Master DDC is 3, each group 10 messages
2 | MsgNo | 0 | Integer | True | The message number, valid value=0~9 the maximize number of message in one Master DDC is 30

The input connector of text data type

Item | Name | Data Type | Default Value for "Show" | Description
1 | Descrip | Text | True | The message input connector, for example, input "Door1 Open", then will show "Door1 Open" in LCM module when trig it, the maximize size is 14 bytes in total.

The output connector of the digital data.

Item | Name | Value | Data Type | Negation | Display | Description
1 | OUT | False | Boolean | True | True | Status of the trig input
2 | ERR | False | Boolean | True | True | ERR=1 when some parameters initial failed, otherwise ERR=0

The output connector of text data type

Item | Name | Data Type | Default Value for "Show" | Description
1 | MOD | Text | True | The message displays in LCM module, for example, it will show "Door1 Open" when trig it, the maximize size is 14 bytes in total.

3). Properties

Color: Select background color for the function block.

Item | Name | Description
1 | Bg Color |


System Function Block

Sytem Function Block

The Sytem function block provides the system running information, such as running cycle, start time, hardware status, etc.

This block can be found in the local tags list of the basic function block list:

System in the basic function blocks list

To execute the Sytem function block, the user needs to select the block and drag it to the control page. The Sytem function block is shown below:

 Sytem Function Block

Double click the block or right click the block to check properties of the block. There are 3 tabs here: Generic, Connectors, Properties, which will be explained in sequence.

1). Generic

Item | Name | Description | Type | Initial Value
1 | Block name | Displays block name and dragging sequence by default. | Text | System_X
2 | Block description | Describes corresponding hardware information of this block Read only | Text | To provide the system running information, such as running cycle, start time, hardware status, etc.

2). Connectors

The input connector on the left side of Sytem function block can be set. However, the output connector on the right can not be set.

Input connectors of digital data

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Execute this function block or not 1: Yes 0: Skip

Input connectors of analog data

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | MBAddr | 0 | Integer | True | The Modbus start address, refer to Modbus Address Mapping Table

Output connectors of analog data

Item | Name | Default Value | Data Type | Decimal | Default Value for "show" | Description
1 | RunCYC | 0 | Integer | - | True | The logic running cycle
2 | MemLoad | 0 | Integer | - | True | The system memory load rate (value=0~100, unit=%)
3 | TotalDisk | 0.00 | Float | 2 | True | The total disk volume
4 | FreeDisk | 0.00 | Float | 2 | True | The free disk volume
5 | OverRun | 0 | Integer | - | True | The system over run times in total
6 | LIOErr | 0 | Integer | - | True | The local IO read failed times in total
7 | RIOErr | 0 | Integer | - | True | The remote IO read failed times in total

Output connectors of text type data

Item | Name | Value | Type | Description
1 | StartT | YY/MM/DD HH:MM:SS | Date and Time | Display the logic start running time
2 | RunT | YY/MM/DD HH:MM:SS | Date and Time | Display the logic run time since start running
3 | OverRunT | YY/MM/DD HH:MM:SS | Date and Time | Display the latest over run time
4 | LIOErrT | YY/MM/DD HH:MM:SS | Date and Time | Display the latest local IO read failed time
5 | RIOErrT | YY/MM/DD HH:MM:SS | Date and Time | Display the latest remote IO read failed time

3). Properties

Item | Name | Description
1 | Bg Color | Color setting: Selects background color for function block.

4). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801 | RunCYC | WORD | Stores the value of RunCYC
40802 | The year value of StartT | WORD | Stores the value of the year value of StartT
40803 | The month value of StartT | WORD | Stores the value of the month value of StartT
40804 | The day of value StartT | WORD | Stores the value of the day value of StartT
40805 | The hour of value StartT | WORD | Stores the value of the hour value of StartT
40806 | The minute of value StartT | WORD | Stores the value of the minute value of StartT
40807 | The second of value StartT | WORD | Stores the value of the second value of StartT
40808 | The days value of RunT | WORD | Stores the value of the days of accumulation run time
40809 | The hour value of RunT | WORD | Stores the value of the hour of accumulation run time
40810 | The minute value of RunT | WORD | Stores the value of the minute of accumulation run time
40811 | The second value of RunT | WORD | Stores the value of the second of accumulation run time
40812 | MemLoad | WORD | Stores the value of the system memory load rate (value=0~100)
40813-40814 | TotalDisk | Float | Stores the value of the system total disk volume
40815-40816 | FreeDisk | Float | Stores the value of the system free disk volume


Calculation Summary

Summary

Calculation function block does statistics via relevant devices.

Item | Block name | Description
1 | Integral | Function to calculate overall flow via flow rate devices (i.e. calculate flow with flow rate).

Calculation function block


Integral Function Block

Integral function block does statistics of the data flow in the flow devices (For example, to calculate the flow through the flow rate). The value of XIN is transferred to the output. Integration function block executes the operation depending on the input value of ConnectorCYCLE (the cycle time).

To execute Integral function block, the user needs to select the block and drag it to the control page. Integral function block is shown as below:

Integral Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description | Data Type | Initial Value
1 | Name | Block name | Text | Inegral_X
2 | Description | Uses the content of Text Description block Read only | Text | Integral-The function is to total the Flow from a flow device (e.g. calculate volume from flow rate).

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Can scan 1: Can 0: Cannot
2 | Run | True | Boolean | False | True | Controls the input to make the integral function effective
3 | Rst | False | Boolean | False | True | If it is reset to True, the OUT will be set to X0.

The input connector of the analog data.

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | XIN | 0.000000 | Float | 2 | True | The process variable
2 | X0 | 0.000000 | Float | 2 | True | The initial Value
3 | Cycle | 0 | Integer | 0 | True | Executes one week (Unit: Second)
4 | MBAddr | 0 | Integer | 0 | True | ModBus maps the initial address.

The output connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | Q | False | Boolean | False | True | The input sign

The output connector of the analog data.

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 | True | The integral result

3). Properties£º
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

Item | IF |  | THEN
 | Condition |  | Action
 | Run | Rst | OUT
1 | 0 | 0 | 0
2 | 0 | 0 | No Change
3 | 0 | 1 | =X0
4 | 1 | 0 | OUT(n)=OUT(n-1)+Xin(n)* Cycle
5 | 1 | 1 | =X0

5). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | RUN, Rst | Float | To store the value of (Rst<<1) +RUN
40803-40804 | XIN | Float | To store the value of XIN
40805-40806 | X0 | Float | To store the value of X0
40807-40808 | CYCLE | Float | To store the value of CYCLE
40809-40810 | Q | Float | To store the value of Q
40811-40812 | OUT | Float | To store the value of OUT


Control Summary

Summary

Control function blocks provide various logic control functions to control logic.

Item | Block name | Description
１ | PID | Provides a PID control loop function, including proportion, integral, derivative algorithm to implement modulating control.
2 | PID1 | Provides an Auto tune PID control loop function, including proportion, integral derivative algorithm to implement modulating control.
3 | FPID | Provides a Fuzzy Auto tune PID control loop function, including proportion, integral derivative algorithm to implement modulating control.
4 | Duty_Cal | Provides the conversion function of PID Output value to PWM Duty Cycle Input parameters.
5 | DevOp | Provides control logic for a device.
6 | Ramp | Gradually modifies the OUT value (depending on input parameters such as Ramp up/down time (RUTm/RDTm)) to reach the target value (Tgv), without procedures (NUM) and Soak Time.
7 | PBCtl | Provides ON/OFF switch control.
8 | PB2Ctl | All logics are the same as that of PBCtl function block except that another ON/OFF input signs are added.

Control function block list


PID Function Block

The PID function block makes use of Proportion, Integral, and Derivative calculations to provide a control cycle function to implement modulation control.

This block can be found in the Control Function tags list of the basic function block list:

PID in the Control function blocks list

To execute the PID function block, the user needs to select the block and drag it to the control page. The PID function block is shown below:

PID Function Block

Right-click the block to check the property. There are two tabs here, "Generic" and "Connector." They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description | Data Type | Initial Value
1 | Name | Block name | Text | PID_X
2 | Description | A text to describe the content of this block. Read only | Text | PID- Provides a control loop function, including proportion, integral, and derivative algorithms to implement modulating control.

2). Connector

On the left side of the function block is the input connector, while on the right side is the output connector.

The input connectors of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Cannot
2 | R/L | False | Boolean | True | True | Sets the transition point 1: Remote SP 0: Local SP
3 | A/M | False | Boolean | True | True | Switches the operation mode 1: Auto 0: Manual
4 | Action | False | Boolean | True | True | The control direction 0: Direct 1: Reverse

The input connector of the analog data.

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | PV | 0.000000 | Float | 2 （0~6） | True | Present value of PID controller
2 | LSP | 0.000000 | Float | 2 （0~6） | True | Sets local point
3 | RSP | 0.000000 | Float | 2 （0~6） | True | Sets remote point
4 | P | 1.000000 | Float | 2 （0~6） | True | The proportion gain (Default Limit: 0~100)
5 | I | 60.000000 | Float | 2 （0~6） | True | The integral time(Default Limit: 0~3600) (Unit: Second)
6 | D | 0.000000 | Float | 2 （0~6） | True | The derivative time(Default Limit: 0~30) (Unit: Second)
7 | MOP | 0.000000 | Float | 2 （0~6） | True | Controls the value manually
8 | Last PV | 0.000000 | Float | 2 （0~6） | False | For internal use (The PV value last scanned)
9 | Last SP | 0.000000 | Float | 2 （0~6） | False | The SP value last scanned
10 | PvH | 100.000000 | Float | 2 （0~6） | False | The high Range of PV
11 | PvL | 0.000000 | Float | 2 （0~6） | False | The low Range of PV
12 | SpH | 100.000000 | Float | 2 （0~6） | False | Sets the highest interval point
13 | SpL | 0.000000 | Float | 2 （0~6） | False | Sets the lowest interval point
14 | OutH | 100.000000 | Float | 2 （0~6） | False | The highest limit in result interval
15 | OutL | 0.000000 | Float | 2 （0~6） | False | The lowest limit in result interval
16 | Deadband | 0.000000 | Float | 2 （0~6） | False | Sets the point excursion line
17 | Cycle | 1.00 | Float | 2 （0~6） | True | To set the execute time of each PID cycle, unit = second
18 | MBAddr | 00000 | Integer | -- | True | Set the back up Modbus address of important PID parameters, refer to Modbus Address Mapping table for detail information.

The output connector of the analog data.

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 （0~6） | True | Controls the output value(0~100), unit=%
2 | ERR | 1.000000 | Float | 2 （0~6） | True | The value of (PV- SP)/(PvH-PvL) or (SP-PV)/(PvH-PvL)
3 | Ts | 1.000000 | Float | 2 （0~6） | False | The time a cycle needs comes from the execution time of the control page
4 | MOD | Auto | Text | 2 （0~6） | True | Selects the mode
5 | Ki | 0.000000 | Float | 2 （0~6） | False | The system variable
6 | Kr | 0.000000 | Float | 2 （0~6） | False | The system variable
7 | Mx | 0.000000 | Float | 2 （0~6） | False | The system variable

3). Properties

a Color: Select the background color for the function block.

Item | Name | Description
1 | Bg Color |

b Limit setting

Item | Parameter Name | Initial Value | Data Type | Decimal | Description
1 | P High | 100.000000 | Float | 6 | Set the highest limit of parameter Proportional
2 | P Low | 0.000000 | Float | 6 | Set the lowest limit of parameter Proportional
3 | I High | 3600.000000 | Float | 6 | Set the highest limit of parameter Integral
4 | I Low | 0.000000 | Float | 6 | Set the lowest limit of parameter Integral
5 | D High | 30.000000 | Float | 6 | Set the highest limit of parameter Derivative
6 | D Low | 0.000000 | Float | 6 | Set the lowest limit of parameter Derivative
7 | PID Disable Operation | Keep last value | Text |  | Set the operation when PID is disabled, a Default set the output value= Last value when PID is enable b User can set specify value if need

4). The control logic:

PID budget is based on the percent operation. Zooms in/out based on the range of PV (high/low parameter).

Manual mode: If the system is set to the manual mode, the cycle of ConnectorOUT output is the parameter of MOP, i.e., the value of OUT can be set by the user.
Auto mode: If the system is set to the auto mode and the Action value is not 1, the loop value output through auto control is the parameter of MOP.
Cascade mode: Under the cascade mode, RSP value serves as SP value.

If the input parameter is L/R = 0, then SP = LSP; otherwise SP = RSP.

Freeze OUT value:

If PV > PV High limit or PV < PV Low limit, freeze the output value.

If Abs(PV-SP) < Deadband, the output value will not change until the Abs(PV-SP) value exceeds the deadband.

If OUT < Out Low or OUT > Out High, the OUT value will be suppressed.

PID control:

If the Action value is 1, the system will adjust PID reversely, i.e., Err = (PV- SP)/(PvH-PvL). If PV < SP, the trend value Connector OUT output will decrease gradually.
If the Action value is 0, PID is in the normal status, i.e., Err = (SP - PV)/(PvH-PvL). If PV < SP, the trend value Connector OUT output will increase gradually.

Disable mode: If EN = 0, PID adjustment will be disabled and the OUT value will be set as the last value or customized by the user.

5). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | PV | Float | To store the value of PV
40803-40804 | LSP | Float | To store the value of LSP
40805-40806 | RSP | Float | To store the value of RSP
40807-40808 | R/L, A/M, Action | Float | To store the value of (Action << 2) + (A/M << 1) + R/L
40809-40810 | P | Float | To store the value of P
40811-40812 | I | Float | To store the value of I
40813-40814 | D | Float | To store the value of D
40815-40816 | Mop | Float | To store the value of Mop
40817-40818 | OUT | Float | To store the value of OUT
40819-40820 | Initial Flag | Integer | To store the Modbus Address initialization flag, set it=0x00FFFFFF (Version 1.01.016 or above have this segment)
40821-40822 | mx_value | Float | To store an inner variable which is for keeping the last output offset (Version 1.01.016 or above have this segment)


PID1 Function Block

The PID1 function block is short for Autotune PID, it makes use of Proportion, Integral, and Derivative calculations to provide a control cycle function to implement modulation control, and can auto tune modify P, I, D parameters.

This block can be found in the Control Function tags list of the basic function block list:

PID1 in the Control function blocks list

To execute the PID1 function block, the user needs to select the block and drag it to the control page. The PID1 function block is shown below:

PID1 Function Block

Right-click the block to check the property. There are two tabs here, "Generic" and "Connector." They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description | Data Type | Initial Value
1 | Name | Block name | Text | PID1_X
2 | Description | A text to describe the content of this block. Read only | Text | To provide a auto tune control loop function, including proportion, integral, derivative algorithm to implement modulating control.

2). Connector

On the left side of the function block is the input connector, while on the right side is the output connector.

The input connectors of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Cannot
2 | R/L | False | Boolean | True | True | Sets the transition point 1: Remote SP 0: Local SP
3 | A/M | False | Boolean | True | True | Switches the operation mode 1: Auto 0: Manual
4 | Action | False | Boolean | True | True | The control direction 0: Direct 1: Reverse

The input connector of the analog data.

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | PV | 0.000000 | Float | 2 （0~6） | True | Present value of PID controller
2 | LSP | 0.000000 | Float | 2 （0~6） | True | Sets local point
3 | RSP | 0.000000 | Float | 2 （0~6） | True | Sets remote point
4 | P | 1.000000 | Float | 2 （0~6） | True | The proportion gain (Default Limit: 0~100)
5 | I | 60.000000 | Float | 2 （0~6） | True | The integral time(Default Limit: 0~3600) (Unit: Second)
6 | D | 0.000000 | Float | 2 （0~6） | True | The derivative time(Default Limit: 0~30) (Unit: Second)
7 | MOP | 0.000000 | Float | 2 （0~6） | True | Controls the value manually
8 | Autotune | 0 | Integer | 0 | True | Whether to execute Autotune 0: Disable 1: Low speed execute 2: Middle speed execute 3: High speed execute
9 | Last PV | 0.000000 | Float | 2 （0~6） | False | For internal use (The PV value last scanned)
10 | Last SP | 0.000000 | Float | 2 （0~6） | False | The SP value last scanned
11 | PvH | 100.000000 | Float | 2 （0~6） | False | The high Range of PV
12 | PvL | 0.000000 | Float | 2 （0~6） | False | The low Range of PV
13 | SpH | 100.000000 | Float | 2 （0~6） | False | Sets the highest interval point
14 | SpL | 0.000000 | Float | 2 （0~6） | False | Sets the lowest interval point
15 | OutH | 100.000000 | Float | 2 （0~6） | False | The highest limit in result interval
16 | OutL | 0.000000 | Float | 2 （0~6） | False | The lowest limit in result interval
17 | Deadband | 0.000000 | Float | 2 （0~6） | False | Sets the point excursion line
18 | Cycle | 1.00 | Float | 2 （0~6） | True | To set the execute time of each PID cycle, unit = second
19 | MBAddr | 00000 | Integer | -- | True | Set the back up Modbus address of important PID parameters, refer to Modbus Address Mapping table for detail information.

The output connector of the analog data.

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 （0~6） | True | Controls the output value(0~100), unit=%
2 | ERR | 1.000000 | Float | 2 （0~6） | True | The value of (PV- SP)/(PvH-PvL) or (SP-PV)/(PvH-PvL)
3 | Ts | 1.000000 | Float | 2 （0~6） | False | The time a cycle needs comes from the execution time of the control page
4 | MOD | Auto | Text | 2 （0~6） | True | Selects the mode

3). Properties

a Color: Select the background color for the function block.

Item | Name | Description
1 | Bg Color |

b Limit setting

Item | Parameter Name | Initial Value | Data Type | Decimal | Description
1 | P High | 100.000000 | Float | 6 | Set the highest limit of parameter Proportional
2 | P Low | 0.000000 | Float | 6 | Set the lowest limit of parameter Proportional
3 | I High | 3600.000000 | Float | 6 | Set the highest limit of parameter Integral
4 | I Low | 0.000000 | Float | 6 | Set the lowest limit of parameter Integral
5 | D High | 30.000000 | Float | 6 | Set the highest limit of parameter Derivative
6 | D Low | 0.000000 | Float | 6 | Set the lowest limit of parameter Derivative
7 | PID Disable Operation | Keep last value | Text |  | Set the operation when PID is disabled, a Default set the output value= Last value when PID is enable b User can set specify value if need

4). The control logic:

PID budget is based on the percent operation. Zooms in/out based on the range of PV (high/low parameter).

Manual mode: If the system is set to the manual mode, the cycle of ConnectorOUT output is the parameter of MOP, i.e., the value of OUT can be set by the user.
Auto mode: If the system is set to the auto mode and the Action value is not 1, the loop value output through auto control is the parameter of MOP.
Cascade mode: Under the cascade mode, RSP value serves as SP value.

If the input parameter is L/R = 0, then SP = LSP; otherwise SP = RSP.

Freeze OUT value:

If PV > PV High limit or PV < PV Low limit, freeze the output value.

If Abs(PV-SP) < Deadband, the output value will not change until the Abs(PV-SP) value exceeds the deadband.

If OUT < Out Low or OUT > Out High, the OUT value will be suppressed.

PID control:

If the Action value is 1, the system will adjust PID reversely, i.e., Err = (SP - PV)/(PvH-PvL). If PV < SP, the trend value Connector OUT output will decrease gradually.
If the Action value is 0, PID is in the normal status, i.e., Err = (PV- SP)/(PvH-PvL). If PV < SP, the trend value Connector OUT output will increase gradually.

Disable mode: If EN = 0, PID adjustment will be disabled and the OUT value will be set as the last value or customized by the user.

5). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | PV | Float | To store the value of PV
40803-40804 | LSP | Float | To store the value of LSP
40805-40806 | RSP | Float | To store the value of RSP
40807-40808 | R/L, A/M, Action | Float | To store the value of (Action << 2) + (A/M << 1) + R/L
40809-40810 | P | Float | To store the value of P
40811-40812 | I | Float | To store the value of I
40813-40814 | D | Float | To store the value of D
40815-40816 | Mop | Float | To store the value of Mop
40817-40818 | OUT | Float | To store the value of OUT


FPID Function Block

The FPID function block is short for Fuzzy Autotune PID, it makes use of Proportion, Integral, and Derivative calculations to provide a control cycle function to implement modulation control, and can auto tune modify P, I, D parameters by Fuzzy control mode.

This block can be found in the Control Function tags list of the basic function block list:

FPID in the Control function blocks list

To execute the FPID function block, the user needs to select the block and drag it to the control page. The FPID function block is shown below:

FPID Function Block

Right-click the block to check the property. There are two tabs here, "Generic" and "Connector." They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description | Data Type | Initial Value
1 | Name | Block name | Text | FPID_X
2 | Description | A text to describe the content of this block. Read only | Text | To provide a fuzzy auto tune control loop function, including proportion, integral, derivative algorithm to implement modulating control.

2). Connector

On the left side of the function block is the input connector, while on the right side is the output connector.

The input connectors of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Cannot
2 | R/L | False | Boolean | True | True | Sets the transition point 1: Remote SP 0: Local SP
3 | A/M | False | Boolean | True | True | Switches the operation mode 1: Auto 0: Manual
4 | Action | False | Boolean | True | True | The control direction 0: Direct 1: Reverse

The input connector of the analog data.

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | PV | 0.000000 | Float | 2 （0~6） | True | Present value of PID controller
2 | LSP | 0.000000 | Float | 2 （0~6） | True | Sets local point
3 | RSP | 0.000000 | Float | 2 （0~6） | True | Sets remote point
4 | P | 1.000000 | Float | 2 （0~6） | True | The proportion gain (Default Limit: 0~100)
5 | I | 60.000000 | Float | 2 （0~6） | True | The integral time(Default Limit: 0~3600) (Unit: Second)
6 | D | 0.000000 | Float | 2 （0~6） | True | The derivative time(Default Limit: 0~30) (Unit: Second)
7 | MOP | 0.000000 | Float | 2 （0~6） | True | Controls the value manually
8 | Autotune | 0 | Integer | 0 | True | Whether to execute Autotune 0: Disable 1: Low speed execute 2: Middle speed execute 3: High speed execute
9 | Last PV | 0.000000 | Float | 2 （0~6） | False | For internal use (The PV value last scanned)
10 | Last SP | 0.000000 | Float | 2 （0~6） | False | The SP value last scanned
11 | PvH | 100.000000 | Float | 2 （0~6） | False | The high Range of PV
12 | PvL | 0.000000 | Float | 2 （0~6） | False | The low Range of PV
13 | SpH | 100.000000 | Float | 2 （0~6） | False | Sets the highest interval point
14 | SpL | 0.000000 | Float | 2 （0~6） | False | Sets the lowest interval point
15 | OutH | 100.000000 | Float | 2 （0~6） | False | The highest limit in result interval
16 | OutL | 0.000000 | Float | 2 （0~6） | False | The lowest limit in result interval
17 | Deadband | 0.000000 | Float | 2 （0~6） | False | Sets the point excursion line
18 | Cycle | 1.00 | Float | 2 （0~6） | True | To set the execute time of each PID cycle, unit = second
19 | MBAddr | 00000 | Integer | -- | True | Set the back up Modbus address of important PID parameters, refer to Modbus Address Mapping table for detail information.

The output connector of the analog data.

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 （0~6） | True | Controls the output value(0~100), unit=%
2 | ERR | 1.000000 | Float | 2 （0~6） | True | The value of (PV- SP)/(PvH-PvL) or (SP-PV)/(PvH-PvL)
3 | Ts | 1.000000 | Float | 2 （0~6） | False | The time a cycle needs comes from the execution time of the control page
4 | MOD | Auto | Text | 2 （0~6） | True | Selects the mode

3). Properties

a Color: Select the background color for the function block.

Item | Name | Description
1 | Bg Color |

b Limit setting

Item | Parameter Name | Initial Value | Data Type | Decimal | Description
1 | P High | 100.000000 | Float | 6 | Set the highest limit of parameter Proportional
2 | P Low | 0.000000 | Float | 6 | Set the lowest limit of parameter Proportional
3 | I High | 3600.000000 | Float | 6 | Set the highest limit of parameter Integral
4 | I Low | 0.000000 | Float | 6 | Set the lowest limit of parameter Integral
5 | D High | 30.000000 | Float | 6 | Set the highest limit of parameter Derivative
6 | D Low | 0.000000 | Float | 6 | Set the lowest limit of parameter Derivative
7 | PID Disable Operation | Keep last value | Text |  | Set the operation when PID is disabled, a Default set the output value= Last value when PID is enable b User can set specify value if need

4). The control logic:

PID budget is based on the percent operation. Zooms in/out based on the range of PV (high/low parameter).

Manual mode: If the system is set to the manual mode, the cycle of ConnectorOUT output is the parameter of MOP, i.e., the value of OUT can be set by the user.
Auto mode: If the system is set to the auto mode and the Action value is not 1, the loop value output through auto control is the parameter of MOP.
Cascade mode: Under the cascade mode, RSP value serves as SP value.

If the input parameter is L/R = 0, then SP = LSP; otherwise SP = RSP.

Freeze OUT value:

If PV > PV High limit or PV < PV Low limit, freeze the output value.

If Abs(PV-SP) < Deadband, the output value will not change until the Abs(PV-SP) value exceeds the deadband.

If OUT < Out Low or OUT > Out High, the OUT value will be suppressed.

PID control:

If the Action value is 1, the system will adjust PID reversely, i.e., Err = (SP - PV)/(PvH-PvL). If PV < SP, the trend value Connector OUT output will decrease gradually.
If the Action value is 0, PID is in the normal status, i.e., Err = (PV- SP)/(PvH-PvL). If PV < SP, the trend value Connector OUT output will increase gradually.

Disable mode: If EN = 0, PID adjustment will be disabled and the OUT value will be set as the last value or customized by the user.

5). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | PV | Float | To store the value of PV
40803-40804 | LSP | Float | To store the value of LSP
40805-40806 | RSP | Float | To store the value of RSP
40807-40808 | R/L, A/M, Action | Float | To store the value of (Action << 2) + (A/M << 1) + R/L
40809-40810 | P | Float | To store the value of P
40811-40812 | I | Float | To store the value of I
40813-40814 | D | Float | To store the value of D
40815-40816 | Mop | Float | To store the value of Mop
40817-40818 | OUT | Float | To store the value of OUT


Duty_Cal Function Block

Duty_Cal function block provides the conversion function of PID Output value to PWM Duty Cycle Input parameters. The application fields: Controls the running of electromagnetic valve and other devices of this kind (such as the threshold that controls the weather board of the air-conditioner) through DO PWM function of BAS-3500 series DDC.

To execute Duty_Cal function block, the user needs to select the block and drag it to the control page. Duty_Cal function block is shown as below:

Duty_Cal Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description | Data Type | Initial Value
1 | Name | Block name | Text | Duty_Cal_x
2 | Description | A text to describe the content of this block. Read only | Text | Duty_Cal-To provides the convertor function of PID Output value to PWM Duty Cycle Input parameters.

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The input connector of the analog data.

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | IN | 0.000000 | Float | 2 (0~6) | True | PID is output to the input end of this block.
2 | Zero | 0.100000 | Float | 2 (0~6) | True | The duty time input during the least PWM input of electromagnetic valve devices. (Unit: Second)
3 | Span | 28.000000 | Float | 2 (0~6) | True | The duty time input during the full scale PWM input of electromagnetic valve devices. (Unit: Second)
4 | Period_IN | 30.000000 | Float | 2 (0~6) | True | The pulse input cycle of PWM input of electromagnetic valve devices.

The output connector of the analog data.

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | Percent | 0.000000 | Float | 2 (0~6) | True | DutyCyConnector input used for PWM is the duty ratio that can be used for electromagnetic valve.
2 | Second | 0.000000 | Float | 2 (0~6) | True | The duty ratio that can be used for the usage of electromagnetic valve.
3 | Period | 0.000000 | Float | 2 (0~6) | True | PeriodConnectorinput used for PWM is the cycle that can be used for electromagnetic valve.

The output connector of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | ERR | False | Boolean | False | False | Displays the error message (Default: Hide).

The output connector of the text data.

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | MOD |  | Text |  | False | Displays the detailed reason of the error (Default: Hide).

3). Properties£º
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


DevOp Function Block

The DevOp function block provides a control logic for the operation device. The control function block includes the conversion of the control mode and the manual/auto start signal.

To execute the DevOp function block, the user needs to select the block and drag it to the control page. The DevOp function block is shown below:

DevOp Function Block

Right-click the block to check the property. There are two tabs here, "Generic" and "Connector." They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description | Data Type | Initial Value
1 | Name | Block name | Text | DevOP_X
2 | Description | A text to describe the content of this block. Read only | Text | DevOp-To provide the control function to operate a device.

2). Connector
On the left side of the function block is the input connector, while the right side is the output connector.

The input connectors of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Cannot
2 | AS | False | Boolean | False | True | Automatically starts the command signal 1: Start 0: Stop
3 | HS | False | Boolean | False | True | Manually starts the command signal 1: Start 0: Stop
4 | A/M | True | Boolean | False | True | Converts the operation mode 1: Auto 0: Manual
5 | Trip | False | Boolean | False | True | Abnormal status 1: Abnormal 0: Normal
6 | Rst | False | Boolean | False | True | Resets the output alarm 1: Reset 0: Not reset

The output connectors of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | ACT（Q） | False | Boolean | False | True | Selects the logic operation depending on the alarm
2 | Mod | Auto/Manual | Text |  | True | The mode selected

3). Properties:
Color: Select the background color for the function block.

Item | Name | Description
1 | Bg Color |

4). Control logic list

Item | IF |  |  |  |  |  |  | THEN
 | Condition（AND） |  |  |  |  |  |  | Action
 | A/M |  | HS | AS |  | Trip | Rst | ACT
1 | 0 | 1 |  | X | 0 |  | 0 | 1
2 | 1 | X |  | 1 | 0 |  | 0 | 1
3 | X | X |  | X | 1 |  | X | 0

5). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | AS, HS, A/M, Trip, Rst | Float | To store the value of (Rst << 4) + (Trip << 3) + (A/M << 2) + (HS << 1) + AS
40803-40804 | ACT | Float | To store the value of ACT


Ramp Function Block

The Ramp function block gradually modifies the OUT value (depending on input parameters such as ramp up/down time (RUTm/RDTm)) to reach the target value (Tgv), without procedures (NUM) and Soak Time.

To execute the Ramp function block, the user needs to select the block and drag it to the control page. The Ramp function block is shown below:

Ramp Function Block

Right-click the block to check the property. There are two tabs here, "Generic" and "Connector." They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description | Data Type | Initial Value
1 | Name | Block name | Text | Ramp_X
2 | Description | A text to describe the content of this block. Read only | Text | Ramp-To gradually change the value of the OUT to reach the target value (TgV) base on the input parameters of like Ramp up/down time(RUTm/ RDTm), Number of step(NUM) and Soak Time.

2). Connector
On the left side of the function block is the input connector, while the right side is the output connector.

The input connector of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Cannot

The input connector of the analog data.

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | TgV | 0.000000 | Float | 2 （0~6） | True | The target value
2 | RUTm | 1 | Integer | 0 | True | The time that OUT value increases from 0 to 100% (Unit: Second)
3 | RDTm | 1 | Integer | 0 | True | The time that OUT value decreases from 100% to 0 (Unit: Second)
4 | NUM | 1 (1~32) | Integer | 0 | True | The steps that OUT value increases from 0 to 100%, vice versa (Range: 1~32)
5 | SoakTm | 0 | Integer | 0 | True | The soak time (Unit: Second)
6 | CYC | 1 | Integer | 0 | True | The time that the block runs a cycle (Unit: Second)

The output connector of the analog data.

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | 2 (0~6) | True | The calculated value that reaches Tgv (0~100)
2 | StepNO | 0 | Integer | 0 | True | The current step number
3 | SoakTV | 0 | Integer | 0 | True | The current soak time

3). Properties:
Color: Select the background color for the function block.

Item | Name | Description
1 | Bg Color |

4). The control logic

1. Condition:
2. TgV = 100%
3. RUTm = 50 sec , RDTm = 50 sec
4. NUM = 4 Step
5. SockTm = 5 sec
6. CYC = 1 sec.

Ramp Up Period (Tgv=100, OUT changes form 0 to 100%)

Based on the above assumption, the Ramp up rate is 2% per second (100%/ 50 sec), while the cycle is 1 second, i.e., each cycle of OUT value increases 2%.

Reasons:

1. Because NUM is 4, the function block will check the output value in 4 periods (25%, 50%, 75%, 100%).
2. If the output value is greater than or equal to 25%, 50%, 75%, 100%.

Results:

1. The system starts a 5-second long soak period.
2. The output value will remain for 5 seconds, then ramp up until it reaches 100%.

Ramp Down Period (Tgv changes form 100% to 0)

Based on the above assumption, the Ramp down rate is 2% per second (100%/ 50 sec), while the cycle is 1 second, i.e., each cycle of OUT value decreases 2%.

Reasons:

1. Because NUM is 4, the function block will check the output value in 4 periods (75%, 50%, 25%, and 0%).
2. If the output value is less than or equal to 25%, 50%, 75%, 100%.

Results:

1. The system starts a 5-second long soak period.

2. The output value will remain for 5 seconds, then ramp down.

5). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | TgV | Float | To store the value of TgV
40803-40804 | RUTm | Float | To store the value of RUTm
40805-40806 | RDTm | Float | To store the value of RDTm
40807-40808 | NUM | Float | To store the value of NUM
40809-40810 | SoakTm | Float | To store the value of SoakTm
40811-40812 | CYC | Float | To store the value of CYC
40813-40814 | OUT | Float | To store the value of OUT


PBCtl Function Block

PBCtl function block provides ON/OFF switch control. If ON value changes from 0 to 1, the output value will be set to True; If the input value changes from 0 to 1, the output value will be set to False; If ON and OFF of the input value are both 1, the output value will be set to False. After checking the status of ON/OFF, the block will check Stat value (self-lock). If the Stat value is True, the OUT will be set to True, otherwise it will set to False.

To execute PBCtl function block, the user needs to select the block and drag it to the control page. PBCtl function block is shown as below:

PBCtl Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description | Data Type | Initial Value
1 | Name | Block name | Text | PBCtl_X
2 | Description | A text to describe the content of this block. Read only | Text | PBCtrl-To Provide ON/OFF Switch Control.

2).Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't
2 | ON | False | Boolean | False | True | Presses ON to input the signal value
3 | OFF | False | Boolean | False | True | Presses OFF to input the signal value

The output connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | The operation result logic

3). Properties:
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


PB2Ctl Function Block

PB2Ctl function block provides almost the same function with PBCtl, except that ON/OFF input signs are added.

To execute PB2Ctl function block, the user needs to select the block and drag it to the control page. PB2Ctl function block is shown as below:

PB2Ctl Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description | Data Type | Initial Value
1 | Name | Block name | Text | PBCtl2_X
2 | Description | A text to describe the content of this block. Read only | Text | PBCtrl2-All logic is same as PBCtrl function block but provide an additional ON/OFF input signal.

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't
2 | ON1 | False | Boolean | False | True | Presses ON to input the signal value
3 | OFF1 | False | Boolean | False | True | Presses OFF to input the signal value
4 | ON2 | False | Boolean | False | True | Presses ON to input the signal value
5 | OFF2 | False | Boolean | False | True | Presses OFF to input the signal value

The output connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | The operation result logic

3).Properties£º
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


Variable Summary

Summary

Variable function blocks provide index lists for user's reference.

Item | Block name | Description
1 | GVar | Provides a variable index list which saves a digital or analog in global variable list.
2 | MBVar | Provides a Modbus data storage address whose values can be assessed.
3 | LCMAVar | Provides a customize analog data access function, which can be configured on LCM module.
4 | LCMDVar | Provides a customize digital data access function, which can be configured on LCM module.
5 | LogVar | Provides a group of log variable for Trend data


GVar Function Block

GVar provides a variable index list which saves a digital or analog in global variable list.

To execute GVar function block, the user needs to select the block and drag it to the control page. GVar function block is shown as below:

GVar Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | GVar
2 | Description | Provides a variable index list which saves a digital or analog in global variable list.

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The input connector of the analog data.

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | IN | False | Boolean | True | Input value

Note: The user can't choose Data Type of IN, but can connect different Data Type of the output value to other function blocks so as to change Data Type of IN.

The output connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | OUT | False | Boolean | True | Variable value
2 | ERR | False | Boolean | True | 1: This variable does not exist in the global variable list 0: This variable exist in the global variable list

3).Properties
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |

Variable

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | Name |  | Text | True | Selects variable from the global variable list.


MBVar Function Block

MBVar provides a Modbus data storage address whose values can be assessed.

To execute MBVar function block, the user needs to select the block and drag it to the control page. MBVar function block is shown as below:

MBVar Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | MBVar
2 | Description | Provides a Modbus data storage address whose values can be assessed.

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The input connector of the analog data.

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | Value | 0.000000 | Float | 2 | True | The input value
2 | MBAddr | 0 | Integer | 0 | True | ModBus address
3 | TYPE | 0 | Integer | 0 | True | Data Type (0: Floating, 1: Floating Swapped, 2: 16-bit singed Integer, 3: 16-bit unsigned Integer, 4: 32-bit singed Integer, 5: 32-bit unsigned Integer)

Note: The user can't choose Data Type of IN, but can connect different Data Type of the output value to other function blocks so as to change Data Type of IN.

The output connector of the analog data.

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | QF | 0.000000 | Float | 2 | True | The return value
2 | QI | 0 | Integer | 0 | True | The return value

3).Properties
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


LCMAVar Function Block

LCMAVar provides a customize analog data access function, which can be configured on LCM module.

To execute LCMAVar function block, the user needs to select the block and drag it to the control page. LCMAVar function block is shown as below:

LCMAVar Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | LCMAVar
2 | Description | LCMAVar is defined to create a customize analog variable, and can configure it on LCM module

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The input connector of the analog data.

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | Value | 0.00 | Float | 2 | True | The input value
2 | MBAddr | 0 | Integer | 0 | True | ModBus address
3 | Precision | 0 | Integer | 0 | True | The float value precision configuration, the range is 0~2

The input connector of the text type.

Item | Name | Data Type | Default Value for "Show" | Description
1 | Descrip | Text | True | The tag name displays in LCM module, the maximize size is 8 bytes in total.

The output connector of the analog data.

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | QF | 0.000000 | Float | 2 | True | The return value
2 | QI | 0 | Integer | 0 | True | The return value

The output connector of the text type.

Item | Name | Data Type | Default Value for "Show" | Description
1 | MOD | Text | True | The tag name and value displays in LCM module, the maximize size is 16 bytes in total.

3).Properties
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


LCMDVar Function Block

LCMDVar provides a customize digital data access function, which can be configured on LCM module.

To execute LCMDVar function block, the user needs to select the block and drag it to the control page. LCMDVar function block is shown as below:

LCMDVar Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | LCMDVar
2 | Description | LCMDVar is defined to create a customize digital variable, and can configure it on LCM module

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't
2 | Value | False | Boolean | False | True | The digital input connector

The input connector of the analog data.

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | MBAddr | 0 | Integer | 0 | True | ModBus address

The input connector of the text type.

Item | Name | Data Type | Default Value for "Show" | Description
1 | Descrip | Text | True | The tag name displays in LCM module, the maximize size is 8 bytes in total.

The output connector of the digital data.

Item | Name | Data Type | Default Value for "Show" | Description
1 | Q | Boolean | True | The return value

The output connector of the text type.

Item | Name | Data Type | Default Value for "Show" | Description
1 | MOD | Text | True | The tag name and value displays in LCM module, the maximize size is 16 bytes in total.

3).Properties
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


LogVar Function Block

LogVar provides a group of log variable for Trend data, user can upload the log file from the "Upload" dialog.

To execute LogVar function block, the user needs to select the block and drag it to the control page. LogVar function block is shown as below:

LogVar Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | LogVar_X
2 | Description | LogVar is defined to provide a group of log variable for Trend data

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't
2 | Rst | False | Boolean | False | True | Reset this group number record, please take care to use this function
3 | RstAll | False | Boolean | False | True | Reset all the record, please take care to use this function

The input connector of the analog data.

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | In | 0.00 | Float | 2 | True | The input value
2 | LogNo | 0 | Integer | 0 | True | Log number
3 | Interval | 0 | Integer | 0 | True | The record interval value, unit=minute

The input connector of the text type.

Item | Name | Data Type | Default Value for "Show" | Description
1 | VarName | Text | True | The log file name displays when upload from "Upload" dialog, the maximize size is 16 bytes in total.

The output connector of the text type.

Item | Name | Data Type | Default Value for "Show" | Description
1 | MOD | Text | True | To show the description information.

3).Properties
Color: Select background color for function block.

Item | Name | Description
1 | Bg Color |


Comment Summary

Summary

Comment function block provide the logic comment function.

Item | Block name | Description
1 | Comment | Provides the logic comment function.


Comment

Comment Function Block

Comment function block provides the logic comment function.

To execute Comment function block, the user needs to select the block and drag it to the control page. Comment function block is shown as below:

Comment Function Block

Properties

Double click can edit the comment properties, as follow,

At this dialog, user can edit the comment contents, configure the Font.

And as the previous introduction, user can edit the default comment Font, at the Customize Menu, as follow,


BA Schedule Summary

Summary

BAS Schedule function block provides a schedule control block and realizes multi-schedule task control through friendly configuration and edit page, such as Holiday, Weekly and Device group. Through BA Schedule function block, the user can integrate different schedule function blocks and apply them to different occasions. This not only simplifies the design work, but also decreases the workload of the engineering personnel.

Item | Block Name | Description
1 | GDate | Defines the output value of the connector as the current system date.
2 | GTime | Defines the output value of the connector as the current system time.
3 | GDTime | Defines the output value of the connector as the current system time and date.
4 | CMP_Date | Compares the two values (date), then define the output value of the connector.
5 | CMP_Time | Compares the two values (time), then define the output value of the connector.
6 | CMP_DT | Compares the two values (date and time), then define the output value of the connector.
7 | ClkSel | Selects a specific value (depending on the input) to set the output value.
8 | DateEO | Defines the output value of the connector depending on the odd or even number of the current system date.
9 | Holiday | Defines the output value of the connector depending on the selected holiday group. If the current day is the holiday in the holiday group, then the output value of the connector is 1, while the others are 0.
10 | Holiday2 | Defines the output value of the connector depending on the setting of Advantech WebAccess PLC Scheduler . If the current day is the holiday in the holiday group, then the output value of the connector is 1, while the others are 0.
11 | TSch | Realizes the schedule task control through the output value of some Schedule function block, such as Hoilday,Clk_Sel.
12 | TSch2 | Realizes the schedule task control according to Advantech WebAccess PLC Scheduler.
13 | SSV | Defines on/off value for multiple devices in the same condition.
14 | SDate | Allows the user to change/set the system date.
15 | STime | Allows the user to change/set the system time.
16 | SDTime | Allows the user to change/set the system date and time.

BA Schedule Function Block List


GDate Function Block

GDate function block sets the output value of the connector depending on the current system settings.

To execute GDate function block, the user needs to select the block and drag it to the control page. GDate function block is shown as below:

GDate Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | GDate
2 | Description | The input connector is the current date of the system.

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Negation | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The output connector of the digital data.

Item | Name | Value | Data type | Default Value for "Show" | Description
1 | OUT | YYY/MM/DD | Date | True | The current date of the system.


GTime Function Block

GTime function block sets the output value of the connector depending on the current system settings.

To execute GTime function block, the user needs to select the block and drag it to the control page. GTime function block is shown as below:

GTime Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | GTime
2 | Description | The output connector is the current date of the system.

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The output connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | OUT | HH:MM:SS | Time | True | The current time of the system.


GDTime Function Block

GDTime function block sets the output value of the connector depending on the current system settings.

To execute GDTime function block, the user needs to select the block and drag it to the control page. GDTime function block is shown as below:

GDTime Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | GDTime
2 | Description | The output connector is the current date and time of the system.

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The output connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | OUT | YY/MM/DD HH:MM:SS | Date and Time | True | The current date and time of the system.


CMP_Date Function Block

CMP_Date function block sets the output value of the connector depending on the current system settings.

To execute CMP_Date function block, the user needs to select the block and drag it to the control page. CMP_Date function block is shown as below:

CMP_Date Function Block
Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Desciption
1 | Name | CMP_Date
2 | Desciption | Compares the two input values, then define the output connector value.

2). Connector

On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The output connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | IN1 | YY/MM/DD | Date | True | Date 1
2 | IN2 | YY/MM/DD | Date | True | Date 2

The output connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | GT | False | Boolean | False | True | If IN1>IN2, GT=1, otherwise GT is 0.
2 | GE | False | Boolean | False | True | If IN1>=IN2, GE=1, otherwise GE is 0.
3 | EQ | False | Boolean | False | True | If IN1=IN2, EQ=1, otherwise EQ is 0.
4 | LE | False | Boolean | False | True | If IN1<=IN2, LE=1, otherwise LE is 0.
5 | LT | False | Boolean | False | True | If IN1<IN2, LT=1, otherwise LT is 0.


CMP_Time Function Block

CMP_Time function block sets the output value of the connector depending on the current system settings.

To execute CMP_Time function block, the user needs to select the block and drag it to the control page. CMP_Time function block is shown as below:

CMP_Time Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | CMP_Time
2 | Description | Compares the two input value, then define the output connector value.

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The input connector of the date data.

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | IN1 | HH:MM:SS | Time | True | Time 1
2 | IN2 | HH:MM:SS | Time | True | Time 2

The output connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | GT | False | Boolean | False | True | 1: IN1>IN2
2 | GE | False | Boolean | False | True | 1: IN1≧IN2
3 | EQ | False | Boolean | False | True | 1: IN1=IN2
4 | LE | False | Boolean | False | True | 1: IN1≦IN2
5 | LT | False | Boolean | False | True | 1: IN1<IN2


CMP_DT Function Block

CMP_DT function block sets the output value of the connector depending on the current system settings.

To execute CMP_DT function block, the user needs to select the block and drag it to the control page. CMP_DT function block is shown as below:

CMP_DT Function Block
Right-click the block to view the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | CMP_DT
2 | Description | Compares the two input values (date and time), then define the output connector value.

2). Connector

On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The input connector of the data type.

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | IN1 | YY/MM/DD HH:MM:SS | Date and Time | True | Date and Time 1
2 | IN2 | YY/MM/DD HH:MM:SS | Date and Time | True | Date and Time 2

The output connector of the digital data type.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | GT | False | Boolean | False | True | 1: IN1>IN2
2 | GE | False | Boolean | False | True | 1: IN1≧IN2
3 | EQ | False | Boolean | False | True | 1: IN1=IN2
4 | LE | False | Boolean | False | True | 1: IN1≦IN2
5 | LT | False | Boolean | False | True | 1: IN1>IN2


ClkSel Function Block

ClkSel function block sets the output value of the connector depending on the current system settings.

To execute ClkSel function block, the user needs to select the block and drag it to the control page. ClkSel function block is shown as below:

ClkSel Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | ClkSel
2 | Description | Selects a specific value depending on the input connector value, the define the output value.

2). Connector

On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The input connector of the data type.

Item | Name | Value | Data Type | Range | Default Value for "Show" | Description
1 | IN | YYYY/MM/DD HH:MM:SS | Date Time |  | True | Inputs the variable.
2 | SEL | 1 | Integer | 1~9 | True | Selects the parameter.

The output connector of the data type.

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | OUT | 0.000000 | Float | True | The result based on SEL parameter.

3). Control Logic Table

Item | IF | THEN
 | Condition | Action
 | SEL | OUT=
1 | 1 | Year
2 | 2 | Month
3 | 3 | Day
4 | 4 | Hour
5 | 5 | Minute
6 | 6 | Second
7 | 7 | Julian Date
8 | 8 | Total Seconds
9 | 9 | Week (1= Monday, 2= Tuesday)


DateEO Function Block

DateEO function block sets the output value of the connector depending on the current system settings.

To execute DateEO function block, the user needs to select the block and drag it to the control page. DateEO function block is shown as below:

DateEO Function Block
Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | DateEO
2 | Description | Defines the output value of the connector based on whether the current date is odd or even.

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The input connector of the data.

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | IN | YYYY/MM/DD | Date | True | Enters the date.

The output connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | Odd | False | Boolean | False | True | 1: Today is odd day; 0: Even day.
2 | Even | False | Boolean | False | True | 1: Today is even day; 0: Odd day.


Holiday Function Block

Holiday function block sets the output value of the connector depending on the selected holiday group. If the selected group date is the holiday, then the output value of the connector is 1; otherwise it will be 0.

To execute Holiday function block, the user needs to select the block and drag it to the control page. Holiday function block is shown as below:

Holiday Function Block
Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | Holiday
2 | Description | Defines the output value of the connector depending on the selected holiday group. If the current date is the holiday in the holiday group, then the input value of the connector is 1 while others are 0.

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Cannot
2 | GP | 1 (1~10) | Integer |  | True | Holiday group (1~10). Read the holiday file depending on this number.

The output connector.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | 1: Holiday 0: Non-holiday
2 | BDate |  | Text |  | True | Starting date.
3 | MOD |  | Text |  | True | To display reading holiday configuration file status 1: Reading 2: Normal 3: Out of date
4 | ERR | False | Boolean | False | True | 1: Reads holiday file error or the holiday setting was out of date. 0: Normal.

Note: Holidays can be set up to a year in advance. It is suggested that users configure the holiday settings each year. If the user does not, the system will revert to the default setting, which only distinguishes between work days and weekends.

3). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | GP | Float | To store the value of GP
40803-40804 | ERR and OUT | Float | To store the value of ERR<<1 +OUT


Holiday2 Function Block

Holiday2 function block sets the output value of the connector according to Advantech WebAccess PCL Scheduler. If the selected group date is a Holiday, then the output value of the connector is 1; otherwise it will be 0.

To execute Holiday2 function block, the user needs to select the block and drag it to the control page. Holiday2 function block is shown as below:

Holiday2 Function Block
Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | Holiday2
2 | Description | If the current date of the selected group is specified as a holiday, then the value of output connector OUT is 1, otherwise 0, mode2

2). Connector

On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Cannot
2 | READY | False | Boolean | False | Ture | Just for sytem, user should not configure it 1: Ready 2: initialization status

The output connector.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | 1: Holiday 0: Non-Holiday
2 | ERR | False | Boolean | False | True | 1: Some operation failed 0: Normal.

3). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | M1 | DWORD | The Holiday configuration value of month1 stores as Double Word
40803-40804 | M2 | DWORD | The Holiday configuration value of month2 stores as Double Word
40805-40806 | M3 | DWORD | The Holiday configuration value of month3 stores as Double Word
40807-40808 | M4 | DWORD | The Holiday configuration value of month4 stores as Double Word
40809-40810 | M5 | DWORD | The Holiday configuration value of month5 stores as Double Word
40811-40812 | M6 | DWORD | The Holiday configuration value of month6 stores as Double Word
40813-40814 | M7 | DWORD | The Holiday configuration value of month7 stores as Double Word
40815-40816 | M8 | DWORD | The Holiday configuration value of month8 stores as Double Word
40817-40818 | M9 | DWORD | The Holiday configuration value of month9 stores as Double Word
40819-40820 | M10 | DWORD | The Holiday configuration value of month10 stores as Double Word
40821-40822 | M11 | DWORD | The Holiday configuration value of month11 stores as Double Word
40823-40824 | M12 | DWORD | The Holiday configuration value of month12 stores as Double Word


TSch Function Block

TSch function block arranges the schedule control through linking the values of several schedule blocks, such as holiday, Clk_Sel, etc.

To execute TSch function block, the user needs to select the block and drag it to the control page. TSch function block is shown as below:

TSch Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name |
1 | Name | TSch
2 | Description | Arranges the schedule control through linking the values of several schedule blocks, such as holiday, Clk_Sel, etc.

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Cannot
2 | GP | 1(1~10) | Integer |  | True | Time Group (1~10). Read the planned file depending on this number.
3 | Ho | 0 | Integer |  | True | Enters the holiday identification mark. 1: Holiday 0: Non-holiday

The output connector of the digital data or text type data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | Device control.
2 | Section |  | Text |  | True | If the current time is within the set time range, then the time range is showed.
3 | ERR | False | Boolean | False | True | 1: Reads the error of the initial file. 0: Normal

3). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | GP | Float | To store the value of GP
40803-40804 | Ho | Float | To store the value of Ho
40805-40806 | ERR and OUT | Float | To store the value of ERR<<1 +OUT


TSch2 Function Block

TSch2 function block according to Advantech WebAccess PLC Scheduler configuration to arrange Logic schedule control.

To execute TSch2 function block, the user needs to select the block and drag it to the control page. TSch2 function block is shown as below:

TSch 2 Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name |
1 | Name | TSch2
2 | Description | To plan out the schedule control according to Advantech WebAccess PLC scheduler, mode2

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Cannot
2 | Ho | 0 | Integer |  | True | Enters the holiday identification mark. 1: Holiday 0: Non-holiday

The output connector of the digital data or text type data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT | False | Boolean | False | True | Device control.
2 | Section | 0 | Integer | False | True | If the current time is within the set time range, then the time range is showed.
3 | Duty Out | 0 | Integer | False | True | Current duty setting
4 | LeftTime | 0 | Time | -- | True | The schedule valid remain time
5 | Init | 0 | Boolean | False | True | The initialization flag
6 | ERR | False | Boolean | False | True | 1: Reads the error of the initial file. 0: Normal

3). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address, and 112 Modbus address needed in total)

 | Range 1 (Normal hours) |  |  |  | Range 2 (Extra hours 1) |  |  |  | Range 3 (Extra hours 2) |  |  |  | Range 4 (Default Cycle)
 | Start Time | End Time | Duty Cyc on | Duty Cyc Off | Start Time | End Time | Duty Cyc on | Duty Cyc off | Start Time | End Time | Duty Cyc on | Duty Cyc off | Duty Cyc on | Duty Cyc off
Mon | +0 | +1 | +2 | +3 | +4 | +5 | +6 | +7 | +8 | +9 | +10 | +11 | +12 | +13
Tue | +14 | +15 | +16 | +17 | +18 | +19 | +20 | +21 | +22 | +23 | +24 | +25 | +26 | +27
Wed | +28 | +29 | +30 | +31 | +32 | +33 | +34 | +35 | +36 | +37 | +38 | +39 | +40 | +41
Thurs | +42 | +43 | +44 | +45 | +46 | +47 | +48 | +49 | +50 | +51 | +52 | +52 | +54 | +55
Fri | +56 | +57 | +58 | +59 | +60 | +61 | +62 | +63 | +64 | +65 | +66 | +67 | +68 | +69
Sat | +70 | +71 | +72 | +73 | +74 | +75 | +76 | +77 | +78 | +79 | +80 | +81 | +82 | +83
Sun | +84 | +85 | +86 | +87 | +88 | +89 | +90 | +91 | +92 | +93 | +94 | +95 | +96 | +97
Holiday | +98 | +99 | +100 | +101 | +102 | +103 | +104 | +105 | +106 | +107 | +108 | +109 | +110 | +111


SSV Function Block

SSV function block defines the on/off value of multiple devices in the same specific condition.

To execute SSV function block, the user needs to select the block and drag it to the control page. SSV function block is shown as below:

SSV Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | SSV
2 | Description | Defines the on/off value of multiple devices in the same specific condition.

2). Connector

On the left of the function block is the input connector, while the right is the output connector.

The input connector of the text data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't
2 | ltag1 |  | Text |  | True | Tab name
3 | BV1 | 0.000000 | Float | False | True | Start value 1
4 | EV1 | 0.000000 | Float | False | True | Stop value 1
5 | ltag2 |  | Text |  | True | Tab name
6 | BV2 | 0.000000 | Float | False | True | Start value 2
7 | EV2 | 0.000000 | Float | False | True | Stop value 2
8 | ltag3 |  | Text |  | True | Tab name
9 | BV3 | 0.000000 | Float | False | True | Start value 3
10 | EV3 | 0.000000 | Float | False | True | Stop value 3
11 | Ltag4 |  | Text |  | True | Tab name
12 | BV4 | 0.000000 | Float | False | True | Start value 4
13 | EV4 | 0.000000 | Float | False | True | Stop value 4
14 | Ltag5 |  | Text |  | True | Tab name
15 | BV5 | 0.000000 | Float | False | True | Start value 5
16 | EV5 | 0.000000 | Float | False | True | Stop value 5
17 | B/E | True | Boolean | False | True | Selector (If B/E=1, OUTn=BVn, others: OUTn=EVn, n=1~5)

The input connector of the analog data.

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | TAG1 |  | Text | True | Displays ltag1
2 | OUT1 | 0.0000000 | Float | True | Stops the cycle
3 | TAG2 |  | Text | True | Displays ltag2
4 | OUT2 | 0.000000 | Float | True | Stops the cycle
5 | TAG3 |  | Text | True | Displays ltag3
6 | OUT3 | 0.000000 | Float | True | Stops the cycle
7 | TAG4 |  | Text | True | Displays ltag4
8 | OUT4 | 0.000000 | Float | True | Stops the cycle
9 | TAG5 |  | Text | True | Displays ltag5
10 | OUT5 | 0.000000 | Float | True | Stops the cycle

3). Control Logic Table

Item | IF | THEN
 | Condition | Action
 | B/E | OUT(~5)
1 | 1 | BV1~5
2 | 0 | EV1~5

4). Modbus Address Mapping table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | BV1 | Float | To store the value of BV1
40803-40804 | EV1 | Float | To store the value of EV1
40805-40806 | BV2 | Float | To store the value of BV2
40807-40808 | EV2 | Float | To store the value of EV2
40809-40810 | BV3 | Float | To store the value of BV3
40811-40812 | EV3 | Float | To store the value of EV3
40813-40814 | BV4 | Float | To store the value of BV4
40815-40816 | EV4 | Float | To store the value of EV4
40817-40818 | BV5 | Float | To store the value of BV5
40819-40820 | EV5 | Float | To store the value of EV5
40821-40822 | B/E | Float | To store the value of B/E


SDate Function Block

SDate function block allows the user to change/set the system date.

To execute SDate function block, the user needs to select the block and drag it to the control page. SDate function block is shown as below:

SDate Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | SDate
2 | Description | Allows the user to change/set the system date.

2). Connector

On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The input connector of the date data.

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | IN | YYYY/MM/DD | Date | True | Inputs the date.

The output connector of the date data.

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | OUT | YYYY/MM/DD | Date | True | Outputs the date.


STime Function Block

STime function block provides a block for user to change/set the system time.

To execute STime function block, the user needs to select the block and drag it to the control page. STime function block is shown as below:

STime Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | STime
2 | Description | Allows the user to change/set the system time.

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The input connector of the time data.

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | IN | HH:MM:SS | Time | True | Inputs the time.

The output connector of the date data.

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | OUT | HH:MM:SS | Time | True | Outputs the time.


SDTime Function Block

SetDate Time function block provides a block for the user to change/set the system time and date.

To execute SetDate Time function block, the user needs to select the block and drag it to the control page. SetDate Time function block is shown as below:

SDTime Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | SDTime
2 | Description | Allows the user to change/set the system time and date.

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The input connector of the Date Time data.

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | IN | YYYY/MM/DD HH:MM:SS | Date Time | True | Inputs the date and time value.

The output connector of the Date Time data.

Item | Name | Value | Data Type | Default Value for "Show" | Description
1 | OUT | YYYY/MM/DD HH:MM:SS | Date Time | True | Outputs the date and time value.


eBA Calculation Summary

Summary

HVAC control is realized by eBA Calculation function blocks, including Dew Point, Vapor Pressure, WetBulb and Enthalpy Calculation function block.

Item | Block Name | Description
1. | DewPoint | Calculates the DewPoint value with the temperature of the dry contact and its corresponding humidity input (%).
2. | VaporPress | Calculates the VaporPress value with the temperature of the dry contact and its corresponding humidity input (%).
3. | WetBulb | Calculates the WetBulb value with the temperature of the dry contact and its corresponding humidity input (%).
4. | Enthalpy | Calculates the Enthalpy value (btu/lbm,kj/kg) with the temperature of the dry contact and its corresponding humidity input (%).
5. | CalT | Transfers the temperature to the new unit value. The user can select the project unit to calculate through C/F parameter.

eBA Calculation Function Block List


DewPoint Function Block

DewPoint function block calculates the DewPoint value with the temperature and RH value (When the DewPoint is at this temperature, the air is saturated and creates the dew value). The input and output unit both are ℃.

To execute DewPoint function block, the user needs to select the block and drag it to the control page. DewPoint function block is shown as below:

DewPoint Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | DewPoint
2 | Description | Calculates the DewPoint value with the temperature of the dry contact and its corresponding humidity input (%).

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The input connector of the analog data.

Item | Name | Range | Data Type | Decimal | Default Value for "Show" | Description
1 | Temp | 0<T<60 | Float | 2 | True | The temperature showed in dry bulb thermometer. Unit: ℃
2 | RH | 0~100 | Float | 2 | True | The relative humidity Unit: %

The output connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | ERR | False | Boolean | False | True | Mistake sign: 1: T or RH input is out of the range. 0: In the range.

The output connector of the analog data.

Item | Name | Range | Data Type | Decimal | Default Value for "Show" | Description
1 | DP | 0~50 | Float | 2 | True | DewPoint: Unit: ℃


VaporPress Function Block

VaporPress function block calculates the VaporPress value (Kpa) with the temperature of the bulb temperature (at the input end) and the relative humidity (%).

To execute VaporPress function block, the user needs to select the block and drag it to the control page. VaporPress function block is shown as below:

VaporPress Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | VaporPress
2 | Description | Calculates the VaporPress value with the temperature of the dry contact and its corresponding humidity input (%).

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The input connector of the analog data.

Item | Name | Range | Data Type | Decimal | Default Value for "Show" | Description
1 | Temp | 0<T<60 | Float | 2 | True | The temperature showed in dry bulb thermometer. Unit: ℃
2 | RH | 0~100 | Float | 2 | True | The relative humidity Unit: %

The output connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | ERR | False | Boolean | False | True | Mistake sign: 1: T or RH input is out of the range. 0: In the range.

The output connector of the analog data.

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | VP | 0.000000 | Float | 2 | True | VaporPress: Unit: KPa


WetBulb Function Block

WetBulb function block calculates the WetBulb temperature with the dry contact temperature (at the input end) and the relative humidity.
To execute WetBulb function block, the user needs to select the block and drag it to the control page. WetBulb function block is shown as below:

WetBulb Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1).Generic

Item | Name | Description
1 | Name | WetBulb
2 | Description | Calculates the WetBulb value with the temperature of the dry contact and its corresponding humidity input (%).

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The input connector of the analog data.

Item | Name | Range | Data Type | Decimal | Default Value for "Show" | Description
1 | T | 0<T<60 | Float | 2 | True | The temperature showed in dry bulb thermometer. Unit: ℃
2 | RH | 0~100 | Float | 2 | True | The relative humidity Unit: %

The output connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | ERR | False | Boolean | False | True | Mistake sign: 1: T or RH input is out of the range. 0: In the range.

The output connector of the analog data.

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | WT | 0.000000 | Float | 2 | True | The temperature showed in wet bulb thermometer. Unit: ℃


Enthalpy Function Block

Enthalpy function block calculates the Enthalpy value with dry contact value and its corresponding humidity (%) (H=U+pV H: internal energy; p: press; V: volume).

To execute Enthalpy function block, the user needs to select the block and drag it to the control page. Enthalpy function block is shown as below:

Enthalpy Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | Enthalpy
2 | Description | Calculates the Enthalpy value (btu/lbm,kj/kg) with the temperature of the dry contact and its corresponding humidity input (%).

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't

The input connector of the analog data.

Item | Name | Range | Data Type | Decimal | Default Value for "Show" | Description
1 | Temp | 0<T<60 | Float | 2 | True | The temperature showed in dry bulb thermometer. Unit: ℃
2 | RH | 1~100 | Float | 2 | True | The relative humidity Unit: %

The output connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | ERR | False | Boolean | False | True | Mistake sign: 1: T or RH input is out of the range. 0: In the range.

The output connector of the analog data.

Item | Name | Value | Data Type | Decimal | Default Value for "Show" | Description
1 | Btu/lbm | 0.000000 | Float | 2 | True |
2 | Kj/kg | 0.000000 | Float | 2 | True |


CalT Function Block

CalT function block transfers the temperature to the new unit value. The user can select the project unit to calculate through C/F parameter.
To execute CalT function block, the user needs to select the block and drag it to the control page. CalT function block is shown as below:

CalT FUnction Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | CalT
2 | Description | Transfers the temperature to the new unit value. The user can select the project unit to calculate through C/F parameter.

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't
2 | C/F | True | Boolean | False | True | 1: The value of IN is 'c. 0: The value of IN is ℉.
3 | A/M | True | Boolean | False | True | 1: Automatically. 0: Manual.

The input connector of the analog data.

Item | Name | Range | Data Type | Decimal | Default Value for "Show" | Description
1 | IN |  | Float | 2 | True | Inputs the temperature.
2 | Offset | 0~100 | Float | 2 | True | Adds an Offset value.
3 | MOP |  | Float | 2 | True | Manually deletes the value.

The output connector of the analog data.

Item | Name | Range | Data Type | Decimal | Default Value for "Show" | Description
1 | Cent |  | Float | 2 | True | Outputs the result value 'c.
2 | Fahr |  | Float | 2 | True | Outputs the result value ℉.
3 | Mod |  | Text |  | True | The control mode.


BA Domain Summary

Summary

BA Domain controls the specific device, such as the universal devices in BA field: Pump, Valve, Fan, Damper. Though using the friendly function blocks, the engineering personnel could make the settings of different and complicated devices in one function block. Therefore, BA Domain function block not only simplifies the design work, but also decreases the workload of the engineering personnel.

Item | Block Name | Description
1 | Pump | Provides the universal operation for the pump (and this kind of devices).
2 | Valve | Provides the universal operation for the valve (and this kind of devices).
3 | Fan | Provides the universal operation for the fan (and this kind of devices).
4 | Damper | Provides the universal operation for the damper (and this kind of devices).

BA Domain Function Block List


Pump Function Block

Pump function block provides the universal operation for the pump (and this kind of devices).

To execute Pump function block, the user needs to select the block and drag it to the control page. Pump function block is shown as below:

Pump Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic :

Item | Name | Description | Data Type | Initial Value
1 | Name | Block Name | Text | Pump_x
2 | Description | Uses the content of Text Description block Read only | Text | PUMP-To provides the control function to operate a Pump device.

2). Connector

On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't
2 | AS | False | Boolean | False | True | Sets Auto status of the device 1: Start 0: Stop
3 | M ON | False | Boolean | False | True | Starts Manual status of the device (Start) 1: Start 0: No operation
4 | M OFF | False | Boolean | False | True | Starts Manual status of the device (Stop) 1: Sop 0: No operation
5 | A/M | True | Boolean | False | True | Sets Auto run mode of the device 1: Auto 0: Manual
6 | Trip | False | Boolean | False | True | Sets the start mode of the device 1: Trigger 0: Normal
7 | Rst | False | Boolean | False | True | Resets the output alarm status 1: Reset 0: No operation
8 | OF | False | Boolean | False | True | The input end for the feedback signal of the run state.
9 | CF | False | Boolean | False | True | The input end for the feedback signal of the stop state.
10 | AlmDis | False | Boolean | False | True | Starts/Stops the alarm 1: Stop 0: Start

The input connector of the analog data.

Item | Name | Default Value | Data Type | Range | Default Value for "Show" | Description
1 | PreV | 0 | Integer | >=0 | True | Sets the delay time for starting/stopping the feedback signal.
2 | MBAddr | 0 | Integer | >=0 | True | Sets the Modbus initial address mapped by the output value.

The output connector of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | ACT | False | Boolean | True | ON/OFF output Display of device A.
2 | OA | False | Boolean | True | The device does not respond the start demand alarm.
3 | CA | False | Boolean | True | The device does not respond the stop demand alarm.

The output connector of the analog data.

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | HR | False | Boolean | True | The number of hours the device has run for.
2 | TV | 0 | Integer | True | The current time the device is running at.

The output connector of the text data.

Item | Name | Value | Data Type | Description
1 | MOD |  | Text | The current set mode of Display: Auto: Automatic mode. Manual: Manual mode.

3). Properties:
Color: Select the background color of the function block.

Item | Name | Description
1 | Bg Color |

4). Modbus Address Mapping table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | As, M ON, M OFF, A/M, Trip, Rst, OF, CF | Float | To store the value of (CF<<7)+(OF<<6)+(Rst<<5)+(Trip<<4)+(A/M<<3)+(M OFF<<2)+(M ON<<1)+AS.
40803-40804 | Prev | Float | To store the value of PreV
40805-40806 | AlmDis | Float | To store the value of AlmDis
40807-40808 | ACT, OA, CA | Float | To store the value of (CA<<2)+(OA<<1)+ACT


Valve Function Block

Valve function block provides the universal operation for the valve (and this kind of devices).

To execute Valve function block, the user needs to select the block and drag it to the control page. Valve function block is shown as below:

Valve Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic :

Item | Name | Description | Data Type | Initial Value
1 | Name | Block Name | Text | Valve_x
2 | Description | Uses the content of Text Description block Read only | Text | PUMP-To provides the control function to operate a Valve device.

2). Connector

On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't
2 | AS | False | Boolean | False | True | Sets Auto status of the device 1: Start 0: Stop
3 | M ON | False | Boolean | False | True | Starts Manual status of the device (Start) 1: Start 0: No operation
4 | M OFF | False | Boolean | False | True | Starts Manual status of the device (Stop) 1: Sop 0: No operation
5 | A/M | True | Boolean | False | True | Sets Auto run mode of the device 1: Auto 0: Manual
6 | Trip | False | Boolean | False | True | Sets the start mode of the device 1: Trigger 0: Normal
7 | Rst | False | Boolean | False | True | Resets the output alarm status 1: Reset 0: No operation
8 | OF | False | Boolean | False | True | The input end for the feedback signal of the run state.
9 | CF | False | Boolean | False | True | The input end for the feedback signal of the stop state.
10 | AlmDis | False | Boolean | False | True | Starts/Stops the alarm 1: Stop 0: Start

The input connector of the analog data.

Item | NamÄÜ¹»É¨Ãè e | Default Value | Data Type | Range | Default Value for "Show" | Description
1 | PreV | 0 | Integer | >=0 | True | Sets the delay time for starting/stopping the feedback signal.
2 | MBAddr | 0 | Integer | >=0 | True | Sets the Modbus initial address mapped by the output value.

The output connector of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | ACT | False | Boolean | True | ON/OFF output Display of device A.
2 | OA | False | Boolean | True | The device does not respond the start demand alarm.
3 | CA | False | Boolean | True | The device does not respond the stop demand alarm.

The output connector of the analog data.

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | HR | False | Boolean | True | The number of hours the device has run for.
2 | TV | 0 | Integer | True | The current time the device is running at.

The output connector of the text data.

Item | Name | Value | Data Type | Description
1 | MOD |  | Text | The current set mode of Display: Auto: Automatic mode. Manual: Manual mode.

3). Properties:
Color: Select the background color of the function block.

Item | Name | Description
1 | Bg Color |

4). Modbus Address Mapping table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | As, M ON, M OFF, A/M, Trip, Rst, OF, CF | Float | To store the value of (CF<<7)+(OF<<6)+(Rst<<5)+(Trip<<4)+(A/M<<3)+(M OFF<<2)+(M ON<<1)+AS.
40803-40804 | Prev | Float | To store the value of PreV
40805-40806 | AlmDis | Float | To store the value of AlmDis
40807-40808 | ACT, OA, CA | Float | To store the value of (CA<<2)+(OA<<1)+ACT


Fan Function Block

Fan function block provides the universal operation for the fan (and this kind of devices).

To execute Fan function block, the user needs to select the block and drag it to the control page. Fan function block is shown as below:

Fan Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic :

Item | Name | Description | Data Type | Initial Value
1 | Name | Block Name | Text | Fan_x
2 | Description | Uses the content of Text Description block Read only | Text | FAN-To provides the control function to operate a Fan device.

2). Connector

On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't
2 | AS | False | Boolean | False | True | Sets Auto status of the device 1: Start 0: Stop
3 | M ON | False | Boolean | False | True | Starts Manual status of the device (Start) 1: Start 0: No operation
4 | M OFF | False | Boolean | False | True | Starts Manual status of the device (Stop) 1: Sop 0: No operation
5 | A/M | True | Boolean | False | True | Sets Auto run mode of the device 1: Auto 0: Manual
6 | Trip | False | Boolean | False | True | Sets the start mode of the device 1: Trigger 0: Normal
7 | Rst | False | Boolean | False | True | Resets the output alarm status 1: Reset 0: No operation
8 | OF | False | Boolean | False | True | The input end for the feedback signal of the run state.
9 | CF | False | Boolean | False | True | The input end for the feedback signal of the stop state.
10 | AlmDis | False | Boolean | False | True | Starts/Stops the alarm 1: Stop 0: Start

The input connector of the analog data.

Item | Name | Default Value | Data Type | Range | Default Value for "Show" | Description
1 | PreV | 0 | Integer | >=0 | True | Sets the delay time for starting/stopping the feedback signal.
2 | MBAddr | 0 | Integer | >=0 | True | Sets the Modbus initial address mapped by the output value.

The output connector of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | ACT | False | Boolean | True | ON/OFF output Display of device A.
2 | OA | False | Boolean | True | The device does not respond the start demand alarm.
3 | CA | False | Boolean | True | The device does not respond the stop demand alarm.

The output connector of the analog data.

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | HR | False | Boolean | True | The number of hours the device has run for.
2 | TV | 0 | Integer | True | The current time the device is running at.

The output connector of the text data.

Item | Name | Value | Data Type | Description
1 | MOD |  | Text | The current set mode of Display: Auto: Automatic mode. Manual: Manual mode.

3). Properties:
Color: Select the background color of the function block.

Item | Name | Description
1 | Bg Color |

4). Modbus Address Mapping table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | As, M ON, M OFF, A/M, Trip, Rst, OF, CF | Float | To store the value of (CF<<7)+(OF<<6)+(Rst<<5)+(Trip<<4)+(A/M<<3)+(M OFF<<2)+(M ON<<1)+AS.
40803-40804 | Prev | Float | To store the value of PreV
40805-40806 | AlmDis | Float | To store the value of AlmDis
40807-40808 | ACT, OA, CA | Float | To store the value of (CA<<2)+(OA<<1)+ACT


Damper Function Block

Damper function block provides the universal operation for the damper (and this kind of devices).

To execute Damper function block, the user needs to select the block and drag it to the control page. Damper function block is shown as below:

Damper function block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic :

Item | Name | Description | Data Type | Initial Value
1 | Name | Block Name | Text | Damper_x
2 | Description | Uses the content of Text Description block Read only | Text | Damper-To provides the control function to operate a Damper device.

2). Connector

On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | True | Scan 1: Can 0: Can't
2 | AS | False | Boolean | False | True | Sets Auto status of the device 1: Start 0: Stop
3 | M ON | False | Boolean | False | True | Starts Manual status of the device (Start) 1: Start 0: No operation
4 | M OFF | False | Boolean | False | True | Starts Manual status of the device (Stop) 1: Sop 0: No operation
5 | A/M | True | Boolean | False | True | Sets Auto run mode of the device 1: Auto 0: Manual
6 | Trip | False | Boolean | False | True | Sets the start mode of the device 1: Trigger 0: Normal
7 | Rst | False | Boolean | False | True | Resets the output alarm status 1: Reset 0: No operation
8 | OF | False | Boolean | False | True | The input end for the feedback signal of the run state.
9 | CF | False | Boolean | False | True | The input end for the feedback signal of the stop state.
10 | AlmDis | False | Boolean | False | True | Starts/Stops the alarm 1: Stop 0: Start

The input connector of the analog data.

Item | Name | Default Value | Data Type | Range | Default Value for "Show" | Description
1 | PreV | 0 | Integer | >=0 | True | Sets the delay time for starting/stopping the feedback signal.
2 | MBAddr | 0 | Integer | 601~1024 | True | Sets the Modbus initial address mapped by the output value.

The output connector of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | ACT | False | Boolean | True | ON/OFF output Display of device A.
2 | OA | False | Boolean | True | The device does not respond the start demand alarm.
3 | CA | False | Boolean | True | The device does not respond the stop demand alarm.

The output connector of the analog data.

Item | Name | Default Value | Data Type | Default Value for "Show" | Description
1 | HR | False | Boolean | True | The number of hours the device has run for.
2 | TV | 0 | Integer | True | The current time the device is running at.

The output connector of the text data.

Item | Name | Value | Data Type | Description
1 | MOD |  | Text | The current set mode of Display: Auto: Automatic mode. Manual: Manual mode.

3). Properties:
Color: Select the background color of the function block.

Item | Name | Description
1 | Bg Color |

4). Modbus Address Mapping table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | As, M ON, M OFF, A/M, Trip, Rst, OF, CF | Float | To store the value of (CF<<7)+(OF<<6)+(Rst<<5)+(Trip<<4)+(A/M<<3)+(M OFF<<2)+(M ON<<1)+AS.
40803-40804 | Prev | Float | To store the value of PreV
40805-40806 | AlmDis | Float | To store the value of AlmDis
40807-40808 | ACT, OA, CA | Float | To store the value of (CA<<2)+(OA<<1)+ACT


Sequence Control Summary

Summary

The Sequence Control Function Block Group is to provide the multiple stage control function for 4/8 stage control units, such as heating/cooling device, the water temperatures of the chill machine.

Item | Block Name | Description
1 | STG4FL | Starts/Stops the unit device depending on the parameters of PV, SP, Deadband and control method. When the unit device starts, the sequence is OUT1→OUT4; while it stops, the sequence is OUT1→OUT4.
2 | STG8FL | Starts/Stops the unit device depending on the parameters of PV, SP, Deadband and control method. When the unit device starts, the sequence is OUT1→OUT8; while it stops, the sequence is OUT8→OUT1.
3 | STG8FF | Starts/Stops the unit device depending on the parameters of PV, SP, Deadband and control method. When the unit device starts, the system will search the unit after the unit last started in all opened units. The stop sequence is to search the unit firstly started in all the units, then stop it.
4 | STGCh | The control operation depends on the relations between PV, SP and the temperature of the cooler. The start sequence is OUT1→OUT2→OUT3→OUT4 and stop the one first that tarted first.
5 | STGTm | Controls the temperature of the cooler through starting/stopping the unit device. The control operation depends on the relations between PV, SP and the Deadband of the cooler temperature. The start sequence depends on the operation time. Start the one with the shortest time, while stop the one with the longest time.

eBA Sequence Control Function Block List


STG4FL Function Block

STG4FL function block starts/stops the unit device depending on the parameters of PV, SP, Deadband and control method. When the unit device needs to start, the start sequence is OUT1¡úOUT4, while the stop sequence is OUT4¡úOUT1.

To execute STG4FL function block, the user needs to select the block and drag it to the control page. STG4FL function block is shown as below:

STG4FL Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic :

Item | Name | Description
1 | Name | STG4FL
2 | Description | Starts/Stops the unit device depending on the parameters of PV, SP, Deadband and control method.

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | False | Scan 1: Can 0: Cannot
2 | H/C | False | Boolean | False | True | 0: Cooling mode 1: Heating mode

The input connector of the analog data.

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | NUM | 4 | Integer | 2 (0~6) | True | The maximum number output will be controlled.
2 | PV | 0.000000 | Float | 2 (0~6) | True | The input value will be compared.
3 | SP | 0.000000 | Float | 2 (0~6) | True | Set point
4 | Deadband | 0.000000 | Float | 2 (0~6) | True | Deadband
5 | DT | 0 | Integer | 0 | True | Delay time (ms)

The output connector of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT1 | False | Boolean | False | True | Stage1 result: 1: Start 0: Stop
2 | OUT2 | False | Boolean | False | True | Stage2 result: 1: Start 0: Stop
3 | OUT3 | False | Boolean | False | True | Stage3 result: 1: Start 0: Stop
4 | OUT4 | False | Boolean | False | True | Stage4 result: 1: Start 0: Stop
5 | MOD |  | Text |  | True | Cooling or heating mode

3). Operation not permitted

Item | Name | Range | Description
1 | Operation | Close all/Save the last value | When EN is 0, the control action is set to the function failure mode: Stop all All stage OUT stop. Save the last value When the system enters the function failure mode, all stage OUT remain their last status.

4). Control Logic:

Condition: H/C=0 (Block in Cooling Mode), Num=4

Initialize:

1. Cold start (power restart) or EN changes from 0 to 1, set all OUT as Off (0).

2. Hot start, set all OUT to remain the last value.

Normal cycle:

1). If PV = (SP- Deadband) , trigger the delay time DT.
After the delay time, stop the units that are started. (The sequence is OUT4->OUT3->OUT2->OUT1)

2). If (SP- Deadband) < PV (PV = (SP+ Deadband)), trigger the delay counter DT.
All the output end remain the last value.

3). If PV > (SP+ Deadband), trigger the delay counter DT.
After the delay time, start the units that are stopped. (The sequence is OUT1->OUT2 ->OUT3->OUT4)

Note: The control action under cooling mode is quite contrary to that under heating mode.

5). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | NUM | Float | To store the value of NUM
40803-40804 | PV | Float | To store the value of PV
40805-40806 | SP | Float | To store the value of SP
40807-40808 | Deadband | Float | To store the value of Deadband
40809-40810 | H/C | Float | To store the value of H/C
40811-40812 | DT | Float | To store the value of DT
40813-40814 | Be relative with O_NUM | Float | To store the value of binary type of output number, for example, OUT1=1, OUT2=1, OUT3=0, OUT4=0, so the value = binary 0011, as decimal 3


STG8FL Function Block

STG8FL function block starts/stops the unit device depending on the parameters of PV, SP, Deadband and control method. When the unit device needs to start, the start sequence is OUT1¡úOUT8, while the stop sequence is OUT8¡úOUT1. When the user uses STG8FL function block, there are 8 unit devices need to be controlled.

To execute STG8FL function block, the user needs to select the block and drag it to the control page. STG8FL function block is shown as below:

STG8FL Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | STG8FL
2 | Description | Starts/Stops the unit device depending on the parameters of PV, SP, Deadband and control method. When the unit device needs to start, the start sequence is OUT1¡úOUT8, while the stop sequence is OUT8¡úOUT1.

2). Connector
On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | False | Scan 1: Can 0: Cannot
2 | H/C | False | Boolean | False | True | 0: Cooling mode 1: Heating mode

The input connector of the analog data.

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | NUM | 4 | Integer | 2 (0~6) | True | The maximum number output will be controlled.
2 | PV | 0.000000 | Float | 2 (0~6) | True | The input value will be compared.
3 | SP | 0.000000 | Float | 2 (0~6) | True | Set point
4 | Deadband | 0.000000 | Float | 2 (0~6) | True | Dead band
5 | DT | 0 | Integer | 0 | True | Delay time (ms)

The output connector of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT1 | False | Boolean | False | True | Stage1 result: 1: Start 0: Stop
2 | OUT2 | False | Boolean | False | True | Stage2 result: 1: Start 0: Stop
3 | OUT3 | False | Boolean | False | True | Stage3 result: 1: Start 0: Stop
4 | OUT4 | False | Boolean | False | True | Stage4 result: 1: Start 0: Stop
5 | OUT5 | False | Boolean | False | True | Stage5 result: 1: Start 0: Stop
6 | OUT6 | False | Boolean | False | True | Stage6 result: 1: Start 0: Stop
7 | OUT7 | False | Boolean | False | True | Stage7 result: 1: Start 0: Stop
8 | OUT8 | False | Boolean | False | True | Stage8 result: 1: Start 0: Stop
9 | MOD |  | Text |  | True | Cooling or heating mode

3). Operation not permitted

Item | Name | Range | Description
1 | Operation | Close all/Save the last value | When EN is 0, the control action is set to the function failure mode: Stop all All stage OUT stop. Save the last value When the system enters the function failure mode, all stage OUT remain their last status.

4). Control Logic

Condition: H/C=0 (the block is under the cooling mode), Num=8

Initialize:

1. Cold start (power restart) or EN changes from 0 to 1, set all OUT as Off (0).

2. Hot start, set all OUT to remain the last value.

Normal cycle:

1). If PV = (SP- Deadband), trigger the delay time DT.
After the delay time, stop the units that are started. (The sequence is OUT4->OUT3->OUT2->OUT1).

2). If (SP- Deadband) < PV (PV = (SP+ Deadband)), trigger the delay counter DT.
All the output end remain the last value.

3). If PV > (SP+ Deadband), trigger the delay counter DT.
After the delay time, start the units that are stopped. (The sequence is OUT1->OUT2 ->OUT3->OUT4)

Note: The control action under cooling mode is quite contrary to that under heating mode.

5). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | NUM | Float | To store the value of NUM
40803-40804 | PV | Float | To store the value of PV
40805-40806 | SP | Float | To store the value of SP
40807-40808 | Deadband | Float | To store the value of Deadband
40809-40810 | H/C | Float | To store the value of H/C
40811-40812 | DT | Float | To store the value of DT
40813-40814 | Be relative with O_NUM | Float | To store the value of binary type of output number, for example, OUT1=1, OUT2=1, OUT3=0, OUT4=0,...OUT8=0, so the value = binary 0000 0011, as decimal 3


STG8FF Function Block

STG8FF function block starts/stops the unit device depending on the parameters of PV, SP, Deadband and control method. When the unit device needs to start, the start sequence is OUT1¡úOUT8, while the stop sequence is the same.

To execute STG8FF function block, the user needs to select the block and drag it to the control page. STG8FF function block is shown as below:

STG8FF Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | STG8FF
2 | Description | Starts/Stops the unit device depending on the parameters of PV, SP, Deadband and control method. When the unit device starts, the system will search the unit after the unit last started in all opened units. The stop sequence is to search the unit firstly started in all the units, then stop it.

2). Connector

On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | False | Scan 1: Can 0: Cannot
2 | Rst | False | Boolean | False | True | 1: Start the unit device from OUT1 next time.

The input connector of the analog data.

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | NUM | 4 | Integer | 2 (0~6) | True | The maximum number output will be controlled.
2 | PV | 0.000000 | Float | 2 (0~6) | True | The input value will be compared.
3 | SP | 0.000000 | Float | 2 (0~6) | True | Set point
4 | Deadband | 0.000000 | Float | 2 (0~6) | True | Dead band
5 | DT | 0 | Integer | 0 | True | Delay time (ms)

The output connector of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT1 | False | Boolean | False | True | Stage1 result: 1: Start 0: Stop
2 | OUT2 | False | Boolean | False | True | Stage2 result: 1: Start 0: Stop
3 | OUT3 | False | Boolean | False | True | Stage3 result: 1: Start 0: Stop
4 | OUT4 | False | Boolean | False | True | Stage4 result: 1: Start 0: Stop
5 | OUT5 | False | Boolean | False | True | Stage5 result: 1: Start 0: Stop
6 | OUT6 | False | Boolean | False | True | Stage6 result: 1: Start 0: Stop
7 | OUT7 | False | Boolean | False | True | Stage7 result: 1: Start 0: Stop
8 | OUT8 | False | Boolean | False | True | Stage8 result: 1: Start 0: Stop

3). Operation not permitted

Item | Name | Range | Description
1 | Operation | Close all/Save the last value | When EN is 0, the control action is set to the function failure mode: Stop all All stage OUT stop. Save the last value When the system enters the function failure mode, all stage OUT remain their last status.

4). Control Logic:

Condition: H/C=0 ( the block is under the cooling mode) , Num=8

Initialize:

1. Cold start (power restart) or EN changes from 0 to 1, set all OUT as Off (0).

2. Hot start, set all OUT to remain the last value.

Normal cycle:

1). If PV = (SP- Deadband), trigger the delay time DT.
After the delay time, stop the units that are started.

2). If (SP- Deadband) < PV (PV = (SP+ Deadband)), trigger the delay counter DT.
After the delay time, all OUT remain the same.

3). If PV > (SP+ Deadband), trigger the delay time DT.
After the delay time, the system will find the unit lastly opened in all units opened.

5). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | NUM | Float | To store the value of NUM
40803-40804 | PV | Float | To store the value of PV
40805-40806 | SP | Float | To store the value of SP
40807-40808 | Deadband | Float | To store the value of Deadband
40809-40810 | H/C | Float | To store the value of H/C
40811-40812 | DT | Float | To store the value of DT
40813-40814 | Be relative with NUM | Float | To store the value of binary type of output number, for example, OUT1=1, OUT2=1, OUT3=0, OUT4=0,...OUT8=0, so the value = binary 0000 0011, as decimal 3


STGCh Function Block

STGCh function block control the water temperature of the cooling devices through starting/stopping the device. The control action depends on the relations between PV, SP, Deadband of the device water temperature. The start sequence is OUT1->OUT2 ->OUT3-> OUT4, while the stop sequence is the contrary.

To execute STGCh function block, the user needs to select the block and drag it to the control page. STGCh function block is shown as below:

STGCh Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | STGCh
2 | Description | Controls the water temperature of the cooling devices through starting/stopping the device. The control action depends on the relations between PV, SP, Deadband of the device water temperature. The start sequence is OUT1->OUT2 ->OUT3-> OUT4, while the stop sequence is the contrary.

2). Connector

On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | False | Scan 1: Can 0: Can't

The input connector of the analog data.

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | NUM | 4 | Integer | 2 (0~6) | True | The maximum number output will be controlled.
2 | PV | 0.000000 | Float | 2 (0~6) | True | The input value will be compared.
3 | SP | 0.000000 | Float | 2 (0~6) | True | Set point
4 | Deadband | 0.000000 | Float | 2 (0~6) | True | Dead band
5 | DT | 0 | Integer | 0 | True | Delay time (ms)

The output connector of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT1 | False | Boolean | False | True | Stage1 result: 1: Start 0: Stop
2 | OUT2 | False | Boolean | False | True | Stage2 result: 1: Start 0: Stop
3 | OUT3 | False | Boolean | False | True | Stage3 result: 1: Start 0: Stop
4 | OUT4 | False | Boolean | False | True | Stage4 result: 1: Start 0: Stop

The output connector of the analog data.

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | SUV | 0.000000 | Float | 2 (0~6) | True | The increase value=DB/Num-1
2 | SBV | 0.000000 | Float | 2 (0~6) | True | The increase value=DB/Num

3). Operation not permitted

Item | Name | Range | Description
1 | Operation | Close all/Save the last value | When EN is 0, the control action is set to the function failure mode: Stop all All stage OUT stop. Save the last value When the system enters the function failure mode, all stage OUT remain their last status.

4). Control Logic

Initialize:

1. Cold start (power restart) or EN changes from 0 to 1, set all OUT1 as ON(1), while others are Off (0).

2. Hot start, set all OUT to remain the last value.

Rising mode (PV is increasing)

1） Zone 4:

If PV>(SP+3*SUV)， trigger the delay counter DT.

After the delay time, start the next unit.

The start sequence is OUT1->OUT2->OUT3->OUT4 (If the conditions do not change in a specific period of time, then it may enter the last phase: OUT4.)

2）Zone 3:

If PV>(SP+2*SUB), trigger the delay counter DT. After the delay time, start the next unit OUT.

The sequence is OUT1->OUT2->OUT3. (If the conditions do not change in a specific period of time, then it may enter the last phase: OUT3.)

3）Zone 2:

If PV>(SP+SUV), trigger the delay counter DT. When the delay time reaches, start the next unit OUT.

The sequence is OUT1->OUT2. (If the conditions do not change in a specific period of time, then it may enter the last phase: OUT2.)

4) Zone 1:

If PV<=(SP+SUV), only OUT1 is ON, while others are Off.

Falling mode (PV is deceasing)

1）. Zone 1: PV<(SP+SBV)

If OUT2 is ON and PV<SP+SBV, trigger the delay counter DT.

After the delay time, stop OUT2.

2）Zone 2：

If OUT3 is ON and PV<(SP+2*SBV), trigger the delay counter DT.

After the delay time, stop OUT3.

The sequence is OUT1->OUT2->OUT3. (If the conditions do not change in a specific period of time, then it may enter the phase: OUT3.)

3）Zone 3:

If OUT4 is ON and PV<(SP+3*SBV), trigger the delay counter DT.

After the delay time, stop OUT4.

4) Zone 4:

If PV>=(SP+3*SBV), all OUT are not affected.

EN value changes from 1 to 0, and forbid "close all" operation.

Note: EN value changes from 1 to 0. Whatever the PV value is, the system will stop all the devices in the sequence of OUT4->OUT1.

5). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | NUM | Float | To store the value of NUM
40803-40804 | PV | Float | To store the value of PV
40805-40806 | SP | Float | To store the value of SP
40807-40808 | Deadband | Float | To store the value of Deadband
40809-40810 | DT | Float | To store the value of DT
40811-40812 | Be relative with NUM | Float | To store the value of binary type of output number, for example, OUT1=1, OUT2=1, OUT3=0, OUT4=0, so the value = binary 0011, as decimal 3


STGTm Function Block

STGTm function block control the water temperature of the cooling devices through starting/stopping the device. The control action depends on the relations between PV, SP, Deadband of the device water temperature. The start sequence depends on the operation time (Start the one with shortest time and stop the one with the longest time).

To execute STGTm function block, the user needs to select the block and drag it to the control page. STGTm function block is shown as below:

STGTm Function Block

Right-click the block to check the property. There are two tabs here: Generic and Connector. They will be introduced in the following paragraphs one by one.

1). Generic

Item | Name | Description
1 | Name | STGT
2 | Description | Control the water temperature of the cooling devices through starting/stopping the device. The control action depends on the relations between PV, SP, Deadband of the device water temperature. The start sequence depends on the operation time (Start the one with shortest time and stop the one with the longest time).

2). Connector

On the left of the function block is the input connector, while the right is the output connector.

The input connector of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | EN | True | Boolean | False | False | Scan 1: Can 0: Cannot

The input connector of the analog data.

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | NUM | 4 | Integer | 2 (0~6) | True | The maximum number output will be controlled.
2 | PV | 0.000000 | Float | 2 (0~6) | True | The input value will be compared.
3 | SP | 0.000000 | Float | 2 (0~6) | True | Set point
4 | Deadband | 0.000000 | Float | 2 (0~6) | True | Deadband (Complete)
5 | DT | 0.000000 | Float | 2 (0~6) | True | Delay time (ms)
6 | Tacc1 | 0 | Integer | 0 | True | Run time (The device connects to OUT1)
7 | Tacc2 | 0 | Integer | 0 | True | Run time (The device connects to OUT2)
8 | Tacc3 | 0 | Integer | 0 | True | Run time (The device connects to OUT3)
9 | Tacc4 | 0 | Integer | 0 | True | Run time (The device connects to OUT4)

The output connector of the digital data.

Item | Name | Default Value | Data Type | Default Value for "Negate" | Default Value for "Show" | Description
1 | OUT1 | False | Boolean | False | True | Stage1 result: 1: Start 0: Stop
2 | OUT2 | False | Boolean | False | True | Stage2 result: 1: Start 0: Stop
3 | OUT3 | False | Boolean | False | True | Stage3 result: 1: Start 0: Stop
4 | OUT4 | False | Boolean | False | True | Stage4 result: 1: Start 0: Stop

The output connector of the analog data.

Item | Name | Default Value | Data Type | Decimal | Default Value for "Show" | Description
1 | SUV | 0.000000 | Float | 2 (0~6) | True | The increase value=DB/Num-1
2 | SBV | 0.000000 | Float | 2 (0~6) | True | The increase value=DB/Num

3). Operation not permitted

Item | Name | Range | Description
1 | Operation | Close all/Save the last value | When EN is 0, the control action is set to the function failure mode: Stop all All stage OUT stop. Save the last value When the system enters the function failure mode, all stage OUT remain their last status.

4). Control Logic

Initialize:

1. Cold start (power restart) or EN changes from 0 to 1, set all OUT1 as ON (Tacc is the smallest unit of the unit device in OFF status), while others are Off.
2. Hot start, set all OUT to remain the last value.

Rising mode (PV is increasing)

1） Zone 4：

If PV> (SP+3*SUV), trigger the delay counter DT.

After the delay time, start the next unit. Tacc is the smallest unit in all stopped units.

If the conditions do not change in a specific period of time, then it may start all the output signals OUT.

2）Zone 3：

If PV> (SP+2*SUV), trigger the delay counter DT.

After the delay time, start the next unit. Tacc is the smallest unit in all stopped units.

If the conditions do not change in a specific period of time, then it may start the third output signal OUT.

3）Zone 2:

If PV> (SP+SUV), trigger the delay counter DT.

After the delay time, start the next unit. Tacc is the smallest unit in all stopped units.

If the conditions do not change in a specific period of time, then it may start the second output signal OUT.

4) Zone 1:

If PV<= (SP+SUV), only OUT1 is ON, while other are Off.

Falling mode (PV is deceasing)

1）. Zone 1：PV<SP+SBV

If only the second output end OUT is ON and PV<SP+SBV, trigger the delay counter DT.

After the delay time, stop the device unit. Tacc is the biggest unit in all started units.

2）Zone 2：

If only the third output end is ON and PV<(SP+2*SBV), trigger the delay counter DT¡£

After the delay time, stop the device unit. Tacc is the biggest unit in all started units.

3）Zone 3:

If OUT4 is ON and PV<(SP+3*SBV), trigger the delay counter DT.

After the delay time, stop the device unit. Tacc is the biggest unit in all started units.

4) Zone 4:

If PV>=(SP+3*SBV), all the OUT are not affected.

EN value changes from 1 to 0, and forbid "close all" operation.

Note: When stopping the unit devices one by one, firstly the user needs to find out the biggest unit Tacc in all the unit devices in ON status and stop it. Then after the delay time, try to stop the next device until all the devices are stopped.

5). Modbus Address Mapping Table

Here is an example of a Modbus address mapping table (using 40801 as the start address)

Modbus Address | Connector Name | Data Type | Description
40801-40802 | NUM | Float | To store the value of NUM
40803-40804 | PV | Float | To store the value of PV
40805-40806 | SP | Float | To store the value of SP
40807-40808 | Deadband | Float | To store the value of Deadband
40809-40810 | DT | Float | To store the value of DT
40811-40812 | Tacc1 | Float | To store the value of Tacc1
40811-40812 | Tacc2 | Float | To store the value of Tacc2
40811-40812 | Tacc3 | Float | To store the value of Tacc3
40811-40812 | Tacc4 | Float | To store the value of Tacc4
40813-40814 | Be relative with NUM | Float | To store the value of binary type of output number, for example, OUT1=1, OUT2=1, OUT3=0, OUT4=0, so the value = binary 0011, as decimal 3


Building Automation

Advantech BASPro for Building Automation

Specially for Building Automation, Advantech BASPro provides the HVAC, PID, Holiday&Schedule Function Blocks.


HVAC

HVAC is the acronym for Heating, Ventilation, and Air Conditioning.

BASPRO provides several HVAC calculation blocks:

Item | Block Name | Description
1. | DewPoint | Calculates the DewPoint value with the temperature of the dry contact and its corresponding humidity input (%).
2. | VaporPress | Calculates the VaporPress value with the temperature of the dry contact and its corresponding humidity input (%).
3. | WetBulb | Calculates the WetBulb value with the temperature of the dry contact and its corresponding humidity input (%).
4. | Enthalpy | Calculates the Enthalpy value (btu/lbm,kj/kg) with the temperature of the dry contact and its corresponding humidity input (%).
5. | CalT | Transfers the temperature to the new unit value. The user can select the project unit to calculate through C/F parameter.

¡¡

Below are some of the indexes of HVAC used to measure the air:

(1) Temperature

Temperature is an index to measure the degree of air coldness, which also reflects the degree of severeness of the air molecular thermodynamic movement. In air conditioning systems, humidity is usually represented by DryBulb temperature (DB) and WetBulb temperature (WB). The former represents the temperature of the air, while the latter represents the air temperature of the relative humidity of the air.

(2) Humidity

The temperature that the human body can feel is not only related to the air temperature, but also the air humidity. There are the following representation methods of air humidity:

  • Absolute Humidity (x)
  • Relative Humidity (Φ)
  • Moisture Content (d)

1) Absolute Humidity (x): The amount of water vapor (kg) in a cubic meter of wet air, i.e.:

x=Gc/Vc

If the wet air is considered as an ideal gas, then:

x=Gc/Vc=Pc/RcTc

In this formula:

Gc - The amount of water vapor (kg); Vc - The volume of wet air (m3).

Pc - The water vapor partial press (kg); Rc - The gas constant of the water vapor, which is equal to 461J/ kg K.

Tc - The absolute temperature of the water vapor(K).

2) Relative Humidity (Φ): The percentage that the absolute humidity takes up the absolute humidity that approaches saturation (xb), i.e.:

Φ=x /xb ¡Á100%

3) Moisture Content (d): In the air conditioning system, in order to get rid of the influence of air temperature and the change of the water vapor on the air humidity, normally the volume of water vapor in 1 kg dry air is used to represent the humidity, i.e.:

d=1000 ¡ÁGc/Gg

In this formula:

Gc - The weight of the water vapor (kg)

Gg - The weight of the dry air (g)

4) Enthalpy (h): In the air conditioning system, heat is usually added or taken from the air. The enthalpy represents a variation relationship between the heat of the air and the energy, i.e.:

h = (hg + (hc / 1000)) /(1 + (d / 1000)) (KJ/Kg air)

Since d / 1000<<1, the enthalpy of the wet air is:

h=hg+(hc/1000) (KJ/Kg air)

In this formula:

hg - The enthalpy of the dry air

d - The moist content

hc - The enthalpy of the water vapor

The enthalpy is a relative value. For the convenience of calculation, the enthalpy of the dry air and the water vapor at 0¡ãC is set to 0. Then the enthalpy of the air at a temperature, t¡ãC, is:

h =1.01 ¡Át + (2500 + 1.84 ¡Át)(d / 1000) (K J/Kg air)

In this formula:

t - The temperature centigrade; d - The moisture content

¡¡

An air conditioning system includes a central air conditioning machine, an air handling unit, a fresh air air conditioning system, and a fan-coil system.

The central air conditioning system cools and heats each office in the building. The main cooling equipment includes a cooling tower, a water cooling pump, a water cooling machine, and various water valves. In the cooling system, the controlled parameters mainly are the pressure difference among the chilled water, the total water supply, and the total water return, as well as the the return water temperature of the cooling tower. The diagram of the automatic pressure regulating system is shown below:

In BASPro, there is a function block corresponding to the HVAC function, which enables easy operation of HVAC.


PID

PID control is widely used in the industrial process control because of its simply designed computational method and a control structure which does not demand a very precise mathematical model of the controlled object. BASPro provides support for PID.

¡¡

The logic control function block provides different control functions for the logic control.

¡¡
Item | Block name | Description
１ | PID | Provides a PID control loop function, including proportion, integral derivative algorithm to implement modulating control.
2 | PID1 | Provides an Auto tune PID control loop function, including proportion, integral derivative algorithm to implement modulating control.
3 | FPID | Provides a Fuzzy Auto tune PID control loop function, including proportion, integral derivative algorithm to implement modulating control.
4 | Duty_Cal | Provides the conversion function of PID Output value to PWM Duty Cycle Input parameters.
5 | DevOp | Provides control logic for a device.
6 | Ramp | Gradually modifies the OUT value (depending on input parameters such as Ramp up/down time (RUTm/RDTm)) to reach the target value (Tgv), without procedures (NUM) and Soak Time.
7 | PBCtl | Provides ON/OFF switch control.
8 | PB2Ctl | All logics are the same as that of PBCtl function block except that another ON/OFF input signs are added.

A simple example of PID in BASPro is as follows:


Holiday and Schedule

The BASPro Schedule function block provides schedule control and realizes multi-schedule task control through friendly configuration and edit pages, such as Holiday, Schedule and Device Group. Through the Schedule function block, the user can integrate different schedule function blocks and apply them to different occasions. This not only simplifies the design work, but also decreases the workload of engineering personnel. The function blocks list is shown below:

Item | Block Name | Description
1 | GDate | Defines the output value of the terminal as the current system date.
2 | GTime | Defines the output value of the terminal as the current system time.
3 | GDTime | Defines the output value of the terminal as the current system time and date.
4 | CMP_Date | Defines the output value of the terminal based on the comparison between the two values (dates).
5 | CMP_Time | Defines the output value of the terminal based on the comparison between the two values (times).
6 | CMP_DT | Defines the output value of the terminal based on the comparison between the two values (dates and times).
7 | ClkSel | Defines the output value of the terminal based on the terminal input value.
8 | DateEO | Defines the output value of the terminal based on the odd or even number of the current system date.
9 | Holiday | Defines the output value of the terminal based on the selected holiday group. If the current day is a holiday in the holiday group, then the output value of the terminal is 1, while the others are 0.
10 | TSch | Realizes schedule task control through the output value of some Schedule function block, such as Hoilday,Clk_Sel.
11 | SSV | Defines on/off value for multiple devices in the same condition.
12 | SDate | Allows the user to change/set the system date.
13 | STime | Allows the user to change/set the system time.
14 | SDTime | Allows the user to change/set the system date and time.

¡¡

In BASPro, the user can easily set the holidays.

The user can arrange the schedules of the hardware through the following page.

¡¡

In BASPro, the user can set the holidays/schedules as below:


Linkage

Building automation systems mainly include:

Air-conditioning Automatic-control Systems, Water Supply and Drainage Automatic-control Systems, Lighting Controls, Comprehensive Safeguard Management Systems, Fire Alarm Systems, Closed-circuit Television Monitoring Systems, Broadcasting Systems, Satellite-based Public TV Service systems, Intellectual Cards, Car Parking Management Systems, Lift Controls, and Management Systems.

¡¡

Each system can communicate with each other in real-time to realize linkage through communication blocks that BASPro provides.

For example: the logic relation set through BASPro easily realizes the linkage operation between the air conditioning fan and ventilation window. When the air conditioner is turned on, the ventilation window is closed to save energy.


Hardware configuration

Hardware Operation

Advantech BASPro is designed for BAS-3500 Series DDC. Besides information about Device Support list, Modbus address mapping table, the management of devices is also provided in this chapter.


Device Support List

Advantech BASPro supports the following six kinds of BAS-3000 series DDC, all of which have corresponding function blocks in software. Please refer to the table below:

I/O Number | DI | DO | UI | AO | Description
Model
BAS-3520 | 8 | 4 | 4 | 4 | Master module.
BAS-3512 | 8 | 4 | 0 | 0 | Master module.
BAS-3051 | 16 | 0 | 0 | 0 | Expansion module.
BAS-3050 | 8 | 8 | 0 | 0 | Expansion module.
BAS-3024 | 0 | 4 | 4 | 4 | Expansion module.
BAS-3018 | 0 | 0 | 8 | 0 | Expansion module.

BAS-3500 series DDC


Modbus Address Mapping Table

BAS-3000 DDC firmware Modbus address range as follow,

BAS-3000 DDC firmware modbus address

When using several devices that contain master and slaves modules, Advantech BASPro will combine Modbus addresses of all connected hardware into an ordered Modbus Address mapping table for the user's convenience to configure the 3rd party software. The figure below is the Modbus Address mapping table of hardware I/O channels, whose conversion is show as the following:

¡¡

Modbus Address Mapping Table1

¡¡

Modbus Address Mapping Table2

¡¡

Note: The User Modbus Address Mapping Areas ( The User Modbus Address Mapping Areas for DI/DO is 00801~01200,and version 1.01.016 and later will extend to 00801~04000; for UI/AO is 40801~41200 and version 1.01.016 and later will extend to 40801~46000) are read/write property, when users apply the third part software which supports Modbus Protocol, users can change each channel¡¯s value of DDC by these addresses, but the other Modbus Address Mapping Areas are used by BASPro logic, so in the third part software, users cannot change their values, they are read only property for the third part software!

¡¡

BAS-3000 IO module supports Modbus TCP protocol and Modbus RTU protocol. If Modbus TCP protocol is used, the user has to adjust the switch to point to "0" as

shown in the following image.

1. If Modbus TCP protocol is used, then the DIP switch of each extended module will be set to 1, 2, 3 respectively; that is, SW = 1, 2, 3. The Modbus TCP starting addresses of each extended module¡¯s AI, AO, DI, and DO are shown below:

AI Start Address= 40001

AO Start Address= 40401

DI Start Address= 00001

DO Start Address = 00401

Therefore, the Modbus TCP address of extended module is:

For DI/DO:

Address = Start + SW*16

For UI/AO:

Address = Start + SW*16*2

For example, if SW = 1, then the Modbus TCP address of a module¡¯s UI is:

Address = 40001 + 1*16*2= 40033.

Exception: When DI set as Pulse input, the Modbus address mapping of DI should be set to Modbus address of UI, and Modbus Address Mapping offset should set as 32.

For example: if extended module's DI as Pulse input, SW=1, the master module DI as Pulse input Address=46801, so,

DI as Pulse input Address = 46801 + 32*1 = 46833.

¡¡

2. If Modbus RTU protocol is used, then the DIP switch of each extended module will be set to 1~15 respectively; that is, SW = 1~15. The Modbus RTU starting addresses of each extended module¡¯s AI, AO, DI, and DO are shown below:

AI Start Address = 40001

AO Start Address = 40401

DI Start Address = 00001

DO Start Address = 00401

Therefore, the Modbus RTU address of extended module is:

For DI/DO:

Address = Extension Start + SW * 16.

For UI/AO:

Address = Extension Start + SW * 16 * 2.

For example, if SW = 1, then the Modubs RTU address of a module¡¯s UI0 is:

Address = 410001+1*16*2 = 410033.

Exception: When DI set as Pulse input, the Modbus address mapping of DI should be set to Modbus address of AI, and Modbus Address Mapping offset should set as 32. For example: if extended module's DI as Pulse input, SW=1, the master module DI as Pulse input Address=415001, so,

DI as Pulse input Address = 415001 + 1*16*2 = 415033.

¡¡

For example, Modbus Address Setting in common use as follow,

¡¡

1 Master DDC Module

BAS-3520/BAS-3512 DDC Module
Channel | DI | FI | UI | DO | AO
0 | 00001 | 44801 | 40001 | 00401 | 40401
1 | 00002 | 44803 | 40003 | 00402 | 40403
2 | 00003 | 44805 | 40005 | 00403 | 40405
3 | 00004 | 44807 | 40007 | 00404 | 40407
4 | 00005 | 44809 | ¡¡ | ¡¡ | ¡¡
5 | 00006 | 44811 | ¡¡ | ¡¡ | ¡¡
6 | 00007 | 44813 | ¡¡ | ¡¡ | ¡¡
7 | 00008 | 44815 | ¡¡ | ¡¡ | ¡¡
FI: Represents Pulse input function, only supports 2 channels DI as Pulse input function each DDC
Only supports 2 channels DO as PWM function each DDC
BAS-3520 DDC Module: 8DI/4DO/4UI/4AO
BAS-3512 DDC Module: 8DI/4DO

¡¡

2 Extended DDC Module

¡¡

a. DI

BAS-3000 DI Module as local extension |  |  |  | ¡¡ | BAS-3000 DI Module as remote extension
Channel | SW=1 | SW=2 | SW=3 | ¡¡ | Channel | SW=1 | SW=2 | SW=3 | SW=4 | SW=5 | ¡¡
0 | 00017 | 00033 | 00049 | ¡¡ | 0 | 04001 | 04017 | 04033 | 04049 | 04065 | ¡¡
1 | 00018 | 00034 | 00050 | ¡¡ | 1 | 04002 | 04018 | 04034 | 04050 | 04066 | ¡¡
2 | 00019 | 00035 | 00051 | ¡¡ | 2 | 04003 | 04019 | 04035 | 04051 | 04067 | ¡¡
3 | 00020 | 00036 | 00052 | ¡¡ | 3 | 04004 | 04020 | 04036 | 04052 | 04068 | ¡¡
4 | 00021 | 00037 | 00053 | ¡¡ | 4 | 04005 | 04021 | 04037 | 04053 | 04069 | ¡¡
5 | 00022 | 00038 | 00054 | ¡¡ | 5 | 04006 | 04022 | 04038 | 04054 | 04070 | ¡¡
6 | 00023 | 00039 | 00055 | ¡¡ | 6 | 04007 | 04023 | 04039 | 04055 | 04071 | ¡¡
7 | 00024 | 00040 | 00056 | ¡¡ | 7 | 04008 | 04024 | 04040 | 04056 | 04072 | ¡¡
8 | 00025 | 00041 | 00057 | ¡¡ | 8 | 04009 | 04025 | 04041 | 04057 | 04073 | ¡¡
9 | 00026 | 00042 | 00058 | ¡¡ | 9 | 04010 | 04026 | 04042 | 04058 | 04074 | ¡¡
10 | 00027 | 00043 | 00059 | ¡¡ | 10 | 04011 | 04027 | 04043 | 04059 | 04075 | ¡¡
11 | 00028 | 00044 | 00060 | ¡¡ | 11 | 04012 | 04028 | 04044 | 04060 | 04076 | ¡¡
12 | 00029 | 00045 | 00061 | ¡¡ | 12 | 04013 | 04029 | 04045 | 04061 | 04077 | ¡¡
13 | 00030 | 00046 | 00062 | ¡¡ | 13 | 04014 | 04030 | 04046 | 04062 | 04078 | ¡¡
14 | 00031 | 00047 | 00063 | ¡¡ | 14 | 04015 | 04031 | 04047 | 04063 | 04079 | ¡¡
15 | 00032 | 00048 | 00064 | ¡¡ | 15 | 04016 | 04032 | 04048 | 04064 | 04080 | ¡¡
Only supports 2 channels DI as Pulse input function each DDC
BAS-3050: 8DI/8DO, BAS-3051: 16DI

¡¡

b. DI as Pulse input function

BAS-3000 DI Module as local extension |  |  |  | ¡¡ | BAS-3000 DI Module as remote extension
Channel | SW=1 | SW=2 | SW=3 | ¡¡ | Channel | SW=1 | SW=2 | SW=3 | SW=4 | SW=5 | ¡¡
0 | 46833 | 46865 | 46897 | ¡¡ | 0 | 415001 | 415033 | 415065 | 415097 | 415129 | ¡¡
1 | 46835 | 46867 | 46899 | ¡¡ | 1 | 415003 | 415035 | 415067 | 415099 | 415131 | ¡¡
2 | 46837 | 46869 | 46901 | ¡¡ | 2 | 415005 | 415037 | 415069 | 415101 | 415133 | ¡¡
3 | 46839 | 46871 | 46903 | ¡¡ | 3 | 415007 | 415039 | 415071 | 415103 | 415135 | ¡¡
4 | 46841 | 46873 | 46905 | ¡¡ | 4 | 415009 | 415041 | 415073 | 415105 | 415137 | ¡¡
5 | 46843 | 46875 | 46907 | ¡¡ | 5 | 415011 | 415043 | 415075 | 415107 | 415139 | ¡¡
6 | 46845 | 46877 | 46909 | ¡¡ | 6 | 415013 | 415045 | 415077 | 415109 | 415141 | ¡¡
7 | 46847 | 46879 | 46911 | ¡¡ | 7 | 415015 | 415047 | 415079 | 415111 | 415143 | ¡¡
8 | 46849 | 46881 | 46913 | ¡¡ | 8 | 415017 | 415049 | 415081 | 415113 | 415145 | ¡¡
9 | 46851 | 46883 | 46915 | ¡¡ | 9 | 415019 | 415051 | 415083 | 415115 | 415147 | ¡¡
10 | 46853 | 46885 | 46917 | ¡¡ | 10 | 415021 | 415053 | 415085 | 415117 | 415149 | ¡¡
11 | 46855 | 46887 | 46919 | ¡¡ | 11 | 415023 | 415055 | 415087 | 415119 | 415151 | ¡¡
12 | 46857 | 46889 | 46921 | ¡¡ | 12 | 415025 | 415057 | 415089 | 415121 | 415153 | ¡¡
13 | 46859 | 46891 | 46923 | ¡¡ | 13 | 415027 | 415059 | 415091 | 415123 | 415155 | ¡¡
14 | 46861 | 46893 | 46925 | ¡¡ | 14 | 415029 | 415061 | 415093 | 415125 | 415157 | ¡¡
15 | 46863 | 46895 | 46927 | ¡¡ | 15 | 415031 | 415063 | 415095 | 415127 | 415159 | ¡¡
Only supports 2 channels DI as Pulse input function each DDC
BAS-3050: 8DI/8DO, BAS-3051: 16DI
¡¡

c. DO

BAS-3000 DO Module as local extension |  |  |  | ¡¡ | BAS-3000 DO Module as remote extension
Channel | SW=1 | SW=2 | SW=3 | ¡¡ | Channel | SW=1 | SW=2 | SW=3 | SW=4 | SW=5 | ¡¡
0 | 00417 | 00433 | 00449 | ¡¡ | 0 | 04801 | 04817 | 04833 | 04849 | 04865 | ¡¡
1 | 00418 | 00434 | 00450 | ¡¡ | 1 | 04802 | 04818 | 04834 | 04850 | 04866 | ¡¡
2 | 00419 | 00435 | 00451 | ¡¡ | 2 | 04803 | 04819 | 04835 | 04851 | 04867 | ¡¡
3 | 00420 | 00436 | 00452 | ¡¡ | 3 | 04804 | 04820 | 04836 | 04852 | 04868 | ¡¡
4 | 00421 | 00437 | 00453 | ¡¡ | 4 | 04805 | 04821 | 04837 | 04853 | 04869 | ¡¡
5 | 00422 | 00438 | 00454 | ¡¡ | 5 | 04806 | 04822 | 04838 | 04854 | 04870 | ¡¡
6 | 00423 | 00439 | 00455 | ¡¡ | 6 | 04807 | 04823 | 04839 | 04855 | 04871 | ¡¡
7 | 00424 | 00440 | 00456 | ¡¡ | 7 | 04808 | 04824 | 04840 | 04856 | 04872 | ¡¡
8 | 00425 | 00441 | 00457 | ¡¡ | 8 | 04809 | 04825 | 04841 | 04857 | 04873 | ¡¡
9 | 00426 | 00442 | 00458 | ¡¡ | 9 | 04810 | 04826 | 04842 | 04858 | 04874 | ¡¡
10 | 00427 | 00443 | 00459 | ¡¡ | 10 | 04811 | 04827 | 04843 | 04859 | 04875 | ¡¡
11 | 00428 | 00444 | 00460 | ¡¡ | 11 | 04812 | 04828 | 04844 | 04860 | 04876 | ¡¡
12 | 00429 | 00445 | 00461 | ¡¡ | 12 | 04813 | 04829 | 04845 | 04861 | 04877 | ¡¡
13 | 00430 | 00446 | 00462 | ¡¡ | 13 | 04814 | 04830 | 04846 | 04862 | 04878 | ¡¡
14 | 00431 | 00447 | 00463 | ¡¡ | 14 | 04815 | 04831 | 04847 | 04863 | 04879 | ¡¡
15 | 00432 | 00448 | 00464 | ¡¡ | 15 | 04816 | 04832 | 04848 | 04864 | 04880 | ¡¡
Only supports 2 channels DO as PWM function each DDC
BAS-3050: 8DI/8DO, BAS-3024: 4UI/4DO/4AO, BAS-3060: 8 Relay, BAS-3061: 16 Relay

¡¡

d. UI

BAS-3000 UI Module as local extension |  |  |  | ¡¡ | BAS-3000 UI Module as remote extension
Channel | SW=1 | SW=2 | SW=3 | ¡¡ | Channel | SW=1 | SW=2 | SW=3 | SW=4 | SW=5 | ¡¡
0 | 40033 | 40065 | 40097 | ¡¡ | 0 | 410001 | 410033 | 410065 | 410097 | 410129 | ¡¡
1 | 40035 | 40067 | 40099 | ¡¡ | 1 | 410003 | 410035 | 410067 | 410099 | 410131 | ¡¡
2 | 40037 | 40069 | 40101 | ¡¡ | 2 | 410005 | 410037 | 410069 | 410101 | 410133 | ¡¡
3 | 40039 | 40071 | 40103 | ¡¡ | 3 | 410007 | 410039 | 410071 | 410103 | 410135 | ¡¡
4 | 40041 | 40073 | 40105 | ¡¡ | 4 | 410009 | 410041 | 410073 | 410105 | 410137 | ¡¡
5 | 40043 | 40075 | 40107 | ¡¡ | 5 | 410011 | 410043 | 410075 | 410107 | 410139 | ¡¡
6 | 40045 | 40077 | 40109 | ¡¡ | 6 | 410013 | 410045 | 410077 | 410109 | 410141 | ¡¡
7 | 40047 | 40079 | 40111 | ¡¡ | 7 | 410015 | 410047 | 410079 | 410111 | 410143 | ¡¡
8 | 40049 | 40081 | 40113 | ¡¡ | 8 | 410017 | 410049 | 410081 | 410113 | 410145 | ¡¡
9 | 40051 | 40083 | 40115 | ¡¡ | 9 | 410019 | 410051 | 410083 | 410115 | 410147 | ¡¡
10 | 40053 | 40085 | 40117 | ¡¡ | 10 | 410021 | 410053 | 410085 | 410117 | 410149 | ¡¡
11 | 40055 | 40087 | 40119 | ¡¡ | 11 | 410023 | 410055 | 410087 | 410119 | 410151 | ¡¡
12 | 40057 | 40089 | 40121 | ¡¡ | 12 | 410025 | 410057 | 410089 | 410121 | 410153 | ¡¡
13 | 40059 | 40091 | 40123 | ¡¡ | 13 | 410027 | 410059 | 410091 | 410123 | 410155 | ¡¡
14 | 40061 | 40093 | 40125 | ¡¡ | 14 | 410029 | 410061 | 410093 | 410125 | 410157 | ¡¡
15 | 40063 | 40095 | 40127 | ¡¡ | 15 | 410031 | 410063 | 410095 | 410127 | 410159 | ¡¡
¡¡
BAS-3018: 8UI,BAS-3024:4UI/4DO/4AO

¡¡

e. AO

BAS-3000 AO Module as local extension |  |  |  | ¡¡ | BAS-3000 AO Module as remote extension
Channel | SW=1 | SW=2 | SW=3 | ¡¡ | Channel | SW=1 | SW=2 | SW=3 | SW=4 | SW=5 | ¡¡
0 | 40433 | 40465 | 40497 | ¡¡ | 0 | 411001 | 411033 | 411065 | 411097 | 411129 | ¡¡
1 | 40435 | 40467 | 40499 | ¡¡ | 1 | 411003 | 411035 | 411067 | 411099 | 411131 | ¡¡
2 | 40437 | 40469 | 40501 | ¡¡ | 2 | 411005 | 411037 | 411069 | 411101 | 411133 | ¡¡
3 | 40439 | 40471 | 40503 | ¡¡ | 3 | 411007 | 411039 | 411071 | 411103 | 411135 | ¡¡
4 | 40441 | 40473 | 40505 | ¡¡ | 4 | 411009 | 411041 | 411073 | 411105 | 411137 | ¡¡
5 | 40443 | 40475 | 40507 | ¡¡ | 5 | 411011 | 411043 | 411075 | 411107 | 411139 | ¡¡
6 | 40445 | 40477 | 40509 | ¡¡ | 6 | 411013 | 411045 | 411077 | 411109 | 411141 | ¡¡
7 | 40447 | 40479 | 40511 | ¡¡ | 7 | 411015 | 411047 | 411079 | 411111 | 411143 | ¡¡
8 | 40449 | 40481 | 40513 | ¡¡ | 8 | 411017 | 411049 | 411081 | 411113 | 411145 | ¡¡
9 | 40451 | 40483 | 40515 | ¡¡ | 9 | 411019 | 411051 | 411083 | 411115 | 411147 | ¡¡
10 | 40453 | 40485 | 40517 | ¡¡ | 10 | 411021 | 411053 | 411085 | 411117 | 411149 | ¡¡
11 | 40455 | 40487 | 40519 | ¡¡ | 11 | 411023 | 411055 | 411087 | 411119 | 411151 | ¡¡
12 | 40457 | 40489 | 40521 | ¡¡ | 12 | 411025 | 411057 | 411089 | 411121 | 411153 | ¡¡
13 | 40459 | 40491 | 40523 | ¡¡ | 13 | 411027 | 411059 | 411091 | 411123 | 411155 | ¡¡
14 | 40461 | 40493 | 40525 | ¡¡ | 14 | 411029 | 411061 | 411093 | 411125 | 411157 | ¡¡
15 | 40463 | 40495 | 40527 | ¡¡ | 15 | 411031 | 411063 | 411095 | 411127 | 411159 | ¡¡
¡¡
BAS-3024: 4UI/4DO/4AO

¡¡

¡¡

¡¡


Auto Scan

Advantech BASPro provides an automatic scan function for the BAS-3000 series DDC. When the BAS-3000 series DDC works normally, the user can select [Online Device] from the function list.

Then, right-click the item to select "Search DDC:"

Or select from the menu bar Hardware->Search DDC:

The user can enter the BAS-3000 auto search page (as shown below):

This page provides BAS-3000 series DDC with three automatic search functions, including:

a. BAS-3000 series DDC is used as a kind of independent I/O module, running Modbus RTU protocol, the searched result will show as BAS-30XX, DeviceID=XX.

b. BAS-3000 series DDC is used in a mode of integrated master and slave modules. Running Modbus TCP protocol, the searched result will show as these: master module: BAS-35XX, IP=XXX.XXX.XXX.XXX, slave module: BAS-30XX, BaseID=XX.

c. BAS-3000 series DDC is used in a mode combining both the mode of integrated master and slave modules and the mode of separated master and slave modules. The running protocols include both Modbus TCP and Modbus RTU, and the searched result will show as these: master module: BAS-35XX, IP=XXX.XXX.XXX.XXX, slave module via Ethernet connection: BAS-30XX, BaseID=XX, slave module via RS-485 connection: BAS-30XX, UnitID=XX.

These three search methods are almost the same. They include:

a. BAS-3000 series DDC is used as a kind of independent I/O module. The search procedure is the following:

First, select the check box shown below.

and this message will appear,

Note: if you want to update firmware at the same time, in order to update firmware successfully, you should set Baud = 57600, and set the hardware Rotate Switch to position 8.

In the default state, the setting of PC serial port is: Port = COM1, Baud Rate = 9600, Data Bit = 8, Stop Bit = 1, Parity Check = None. If the user wants to re-configure, please click the [COM Config] button:

Next, click the [Start] button to scan all the BAS-3000 series DDCs on the serial ports that have been configured.

The scan results will be saved to [Online Device] under the tree list (as shown below).

b. The BAS-3000 series DDC uses a mode of integrated master and slave modules.
First, select the check box as shown.

When there is a BAS-3000 series DDC present in the LAN of the user, the system will load the scanned device to [Online Device], as shown below.

c. The BAS-3000 series DDC also uses a mode combining both integrated master and slave modules and a mode of separated slave modules.
First, select Search Master DDC as shown.

Click the [Start] button to search.

Right click on the scanned BAS-3520 and select "Search Slave Module."

Select both "Search Slave DDC" and "Ext. via RS-485," then click [Start].

Or you also can select just one, like this:

Note: For an extended slave Module via RS-485, BASPro just supports Baud = 9600 mode to operate utility, and also you need to set the hardware Rotate Switch to position 5. In this position, firmware updating is forbidden. For how to update firmware you can reference the Chapter 'Standalone DDC Update Firmware.'

Scanned separated slave modules will be saved to [Online Device] under tree list (as shown below).


Device Configuration

Device Parameter Setting

Advantech BASPro provides a parameter configuration function for the BAS-3000 series DDC. When the BAS-3000 series DDC is running normally, the user can select the BAS-3000 series DDC item in the function list, then right click and select "Device Configuration."

Or the user can click Hardware -> Device Configuration in the menu after selecting the BAS-3000 series DDC item in the function list.

The user can set all I/O parameters of this BAS-3000 series DDC by setting them in different configuration pages.

Note:

The function code of all BAS-3000 series DDCs must be set in the "Device Parameter Setting" page. When control logic is running in BASPro, no function code of any channel can be modified.

When control logic is running, you can stop it from the General Page.

Now, we will take BAS-3520 as an example to introduce each configuration page in hardware configuration.

DI Parameter Setting

In this page, the status and function code settings are displayed as well as the trigger edge setting. The running status of the device can be tested by operating the switch.

When the user chooses another channel, BASPro's function code and trigger edge information (if in pulse input mode) of the current channel is fed back. After modifying the function code or trigger edge, the user needs to click the "Apply" button to update the parameters (See the figure below).

When the settings are successful, a dialog box will pop up:

Then the user can test the pulse input function of the channel with the Start buttons.

Note:

When DI is used as pulse input, measurement accuracy of pulse input will be affected by number of pulse input channels. It is recommended that at most two channels are simultaneously used as pulse input when high accuracy of frequency measurements or taking the count of pulse inputs is required.

DO Parameter Setting

In this page, the status of each channel and current function code settings, as well as the parameter settings of specific channels which function as PWM output are displayed. The running status of the device can be tested by running the Start/Stop operation.

Note:

When DO is used as a PWM output, the accuracy of the PWM output will be affected by the number of PWM output channels. It is recommended that at most two channels are simultaneously used as PWM outputs when high accuracy of period or duty cycle of the PWM output is required.

By clicking the "PWM Setting" button, the user can set the PWM output period and duty cycle parameters of the current channel. Then click the "Apply" button to update the parameters.

Then the user can click the "Output" button to test the PWM output function. When the period of the PWM output is relatively long, you can also see the changing DO output value in the DO status.

UI Parameter Setting

In this page, you can see the status, current function code settings, different common-mode rejection settings, temperature compensation settings for the temperature sensor, and IO calibrations of the device (Refer to IO Calibration for device calibration).

Temperature compensation can be set when the user selects function code relevant to the temperature sensor. The user can type the measured temperature which needs compensation into the corresponding edit box.

For example, if the real temperature is 99 degrees Celsius, and the test value is 100 degrees Celsius, so you can input -1 to get the real value 99 Celsius Degree.

Refer to the local rules of the State Grid Power Supply System for common-mode rejection setting. For example, the standard of State Grid in China is 50Hz AC.

AO Parameter Setting

In this page, the status and current function code settings are displayed as well as the device calibration. The running status of the device can be tested by real output operation.

Refer to settings of other I/O channels for AO setting (Refer to IO Calibration for device calibration).


I/O Calibration

The calibration of the BAS-3000 series DDC is done through the device scanned. Generally, the device has been calibrated strictly before leaving the factory. The user does not have to calibrate the I/O of the device unless the device application environment has been changed dramatically. The user should select the device that needs calibration and call the calibration page through the system main menu and the menu [Device Configuration] popped up by right clicking.

Note: UI Calibration just needs to calibrate UI-0 channel, but AO Calibration needs to calibrate each channel of that DDC.

UI Calibration

0~10V input calibrate

1. Right-click the device (BAS-3520) that BASPro has automatically scanned and select Device Configuration.

2. The Hardware Configuration window will pop up, click Stop Logic.

3. Select 0 in the check box Channel and 0-10 VDC in the check box Function Code, then click the "Apply" button.

4. Click Zero Calibration. A window will pop up demanding that Channel 0 is externally connected with 0 V power. After the power is connected, click Start to calibrate.

5. After Zero Calibration is finished, the system will pop up a message box prompting a successful calibration.

6. After the Zero Calibration is finished, click Span Calibration, then a message window will pop up demanding that Channel 0 is externally connected with 10 V power. After the power is connected, click Start to carry out Span Calibration.

7. After Span Calibration is finished, the system will pop up a message box prompting whether or not the calibration was successful.

0~20mA input calibrate

1. Right-click the device (BAS-3520) that BASPro has automatically scanned and select Device Configuration.

2. The Hardware Configuration window will pop up, click Stop Logic.

3. Select 0 in the check box Channel and 0-20 mA in the check box Function Code, then click the "Apply" button.

4. Click Zero Calibration, and a window will pop up demanding that Channel 0 is externally connected with a 4 mA precision current source. After the power is connected, click Begin to calibrate.

5. After the Zero Calibration is finished, the system will pop up a message box prompting whether or not the calibration was successful.

6. After the Zero Calibration is finished, click Span Calibration, then a message window will pop up demanding that Channel 0 is externally connected with 20 mA power. After the power is connected, click Start to carry out Span Calibration.

7. After Span Calibration is finished, the system will pop up a message box prompting whether or not the calibration was successful.

PT100¡¢PT1000 Calibration

1. Right-click the device (BAS-3520) that BASPro has automatically scanned to select Device Configuration.

2. The Hardware Configuration window will pop up, click Stop Logic.

3. Select 0 in the check box Channel and pt-100(385) -50~150'c in the check box Function Code, then click the "Apply" button.

4. Click Zero Calibration, and a window will pop up demanding that Channel 0 be externally connected with 100(0.01%) ohm resistance. After the resistance is connected, click Begin to calibrate.

5. After the Zero Calibration is finished, click Span Calibration. A message window will pop up demanding that channel 0 be externally connected with 180(0.01%) ohm resistance. After the resistance is connected, click Begin to carry out the Span Calibration.

6. After calibration is finished, the system will pop up a message box prompting the success of the calibration.

The external resistance values of Zero Calibration and Span Calibration of various PT100 and PT1000 are shown in the below table:

Table 4.1

Type | Zero Calibration Resistance (ohm) | Span Calibration Resistance (ohm)
PT100_A(385)(-50'c~150'c) | 100(0.01%) | 180 (0.01%)
PT100_F(392)(-50'c~150'c)
PT100_B(385)(0'c~100'c) | 100(0.01%) | 180 (0.01%)
PT100_G(392)(0'c~100'c)
PT100_C(385)(0'c~200'c) | 100(0.01%) | 180(0.01%)
PT100_H(392)(0'c~200'c)
PT100_D(385)(0'c~400'c) | 100(0.01%) | 180 (0.01%)
PT100_I(392)(0'c~400'c)
PT100_E(385)(-50'c~200'c) | 100(0.01%) | 180(0.01%)
PT100_J(392)(-50'c~200'c)
PT1000(-40'c~160'c) | 850(0.01%) | 1600(0.01%)

Thermistor Calibration

1. Right-click the device (BAS-3520) that BASPro has automatically scanned and select Device Configuration.

2. The Hardware Configuration window will pop up, click Stop Logic.

3. Select 0 in the check box Channel and Thermistor(3K) -20~100'c in the check box Function Code, then click the "Apply" button.

4. Click Zero Calibration, and a window will pop up demanding that Channel 0 be externally connected with 200(0.01%) ohm resistance. After the resistance is connected, click Begin to calibrate.

5. After the Zero Calibration is finished, click Span Calibration, then a message window will pop up demanding that Channel 0 be externally connected with 10K(0.01%) ohm resistance. After the resistance is connected, click Begin to carry out the Span Calibration.

6. After calibration is finished, the system will pop up a message box prompting the success of the calibration.

The external resistance values of the Zero Calibration and the Full-scale Calibration of Thermistor 3K and Thermistor 10K are shown in the below table:

Table 4.2

Type | Zero Calibration Resistance (ohm) | Full-scale Calibration Resistance (ohm)
Thermistor 3K(-20'c~100'c) | 200(0.01%) | 10K(0.01%)
Thermistor 10K(-20'c~100'c) | 800(0.01%) | 30K(0.01%)

AO Calibration

0-10V Output Calibration

1. Right-click the device (BAS-3520) that BASPro has automatically scanned and select Device Configuration.

2. The Hardware Configuration window will pop up, click Stop Logic.

3. Select AO tab 0 in the check box Channel and 0-10 Vdc in the check box Function Code, then click the "Apply" button.

4. Click Zero Calibration, a window will pop up demanding that Channel 0 be externally connected with a voltmeter. Click -10, -1, +1, and +10 to change the current value until the output voltage the voltmeter detects is 0 V, click OK.

5. Click Span Calibration, a window will pop up demanding that Channel 0 is externally connected with a voltmeter. Click -10, -1, +1, +10 to change the current value until the output voltage the voltmeter detects is 10 V, click OK.

0-20 mA Output Calibration

1. Right-click the device (BAS-3520) that BASPro has automatically scanned to select Device Configuration.

2. The Hardware Configuration window will pop up, click Stop Logic.

3. Select the AO tab and select 0 in the check box Channel and 0-20 mA in the check box Function Code, then click the "Apply" button.

4. Click Zero Calibration, and a window will pop up demanding that Channel 0 be externally connected with an ammeter. Click -10, -1, +1, and +10 to change the current value until the output current that the ammeter measures is 4 mA, then click OK.

5. After the Zero Calibration is finished, click Span Calibration, then a message window will pop up. Click -10, -1, +1, and +10 to change the current value until the output current that the ammeter measures is 20 mA, then click OK.


Firmware Update

BASPro system will automatically judges the connection mode of BAS-3000 to carry out Firmware Updates based on the module scanned. BAS-3000 includes the following 3 connection modes:

a. BAS-3000 series DDC is used as a kind of independent I/O module, running Modbus RTU protocol;

b. BAS-3000 series DDC is used as a mode of integrated master and slave modules, running Modbus RTU protocol;

c. BAS-3000 series DDC uses a mode combining both a mode of integrated master and slave modules and a mode of separated master and slave modules. The running protocols include both Modbus TCP and Modbus RTU.

Note: When the user runs DDC in mode c, the extended slave DDC via RS-485 cannot do the Firmware Update job.

a. Firmware Update of Stand alone mode DDC

First, you must search DDC, which is done as introduced in Chapter [AutoScan].

The user can select the device scanned and right click to select [Device Configuration], then the device parameters setting page will pop up.

Click [Update Firmware], then the Firmware Update page will be shown as below:

The check box allows the user to decide whether to carry out the customized configuration of the PC serial port. Generally, it remains on by default. If the user does not use the COM Port Setting configuration on AutoScan Step, the user needs to click [COM Config] button to set it.

Note: User must select Baud rata as 57600 in order to do firmware update well!

Note: When the connection mode of DDC that needs an update is in master-slave mode, this check box and the [COM Config] button are unavailable.

Click Browse and select the latest Firmware file to get from our company. Then click the [Download] button to carry out the Firmware Update. The message prompted will tell the user where download is going and when the download will be finished.

Note:

Please do not change the names of the downloaded files to avoid download error. Please refer to the below table for the names of Firmware:

Item | Name | Firmware Standard Name
1 | BAS-3520 module | 3520.bin
2 | BAS-3512 module | 3512.bin
3 | BAS-3018 module | 3018.bin
4 | BAS-3024 module | 3024.bin
5 | BAS-3050 module | 3050.bin
6 | BAS-3051 module | 3051.bin

If the Firmware Update is successful, it will show you the following message:

Finally, you can click the [Exit] button to exit, and you can get the new downloaded firmware information from the device parameter setting page:

b. Firmware Update of all in one mode DDC

The Firmware update job is as same as Mode a.


IP Address Setting

When the IP address in the development stage is different from the IP address the device gets in the running stage, the user should set a static IP using the IP address update wizard of BASPro.

Note: This setting only takes effect on a BAS-3500 series DDC with a master module, while an independent BAS-3000 series DDC device cannot carry out this operation.

Click Online -> IP Set in the menu

The scanned BAS-3500 series DCC device in the LAN will show:

Check the current network settings:

Set the new IP address:

Note:

1 The system reserved IP address is "11.0.0.xxx", so here you cannot set the new IP address as "11.0.0.xxx".

2 IP address and default gateway are limited: the first segment should be: 0<IP_1<223, the end segment should be: 0<IP_4<255

3 Subnet mask should be keep as the old one, if you need to change, please contact network administrator.

4 If you are not good at the IP configuration, please seek help for your network administrator. If you give out an unfit IP address, it will make the DDC out of remote control.

if you are sure to change the current IP Address setting, you can click "OK," as follow,

When the IP setting is finished, the user needs to select the item [Reboot BAS-3500 series DDC now] to make the IP change take effect.

Click the [Finish] button to exit.


I/O Tag Editor

The I/O Tag Editor of the device is for user to customize I/O tag, and display the edited I/O tag and description on LCM module and Web Server,

here will introduce this function.

At first, you should find out the [I/O Tag Editor] Menu from the scanned BAS-3000 series DDC,

Then, enter in the main edit dialog,

Note:

1 This function is invalid for stand alone DDC which is connected to PC by RS-485 directly,

2 If no IP Address of one node in current project is same as the target DDC, this function is also invalid,

3 This function is binding with DDC switch ID, so after the edit action, don't modify the Switch configuration again.

If first edit the I/O tag, it will hint you to create the data file,

Then, enter in the edit interface, in this interface,

[Long Tag] is designed for Web Server Tag display, which is limited in 32 bytes;

[Short Tag] is designed for LCM Tag display, which is limited in 5 bytes;

[Long Tag] is designed for Web Server Tag description display, which is limited in 128 bytes;

After the edit job, you should click the [Apply] button, to validate it, otherwise, the edit contents may be overwrite by the default texts,

After all the edit, you can download the edited IOTagEditor.ini file to the Master DDC, as follow,

Then, it will be shown like this in Web Server,


Remote Maintenance

The remote maintenance of the device is accomplished mainly by Advantech BASPro Monitor, as shown below.

For detailed settings, please refer to the introduction on BASPro Monitor.


Troubleshooting

Any problem you meet, you can visit Advantech Web Site or contact us.

Web: http://support.advantech.com.tw/support/default.aspx

e-mail: info@advantech.com


Language Menu

Language

The pull down list of the Language includes two sub items: English and Chinese. Please refer to the below table:

No. | Sub Items | Description
1 | English | Displays BASPro user interface in English.
2 | Chinese | Displays BASPro user interface in Chinese.


Language

The pull down list of the Language includes two sub items: English and Chinese. Please refer to the below table:

No. | Sub Items | Description
1 | English | Displays BASPro user interface in English.
2 | Chinese | Displays BASPro user interface in Chinese.